﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

  <rule context="xbrli:xbrl/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberEntry.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CGNFT.000055
         ELS Ref: V1756
         
        WHERE PARENT RETURN EXISTS
        IF ANY OCCURRENCE OF (([cgnft14] <> NULL) AND ([cgnft14] < [cgnft6]))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cgnft06] = pyde.02.17:OrganisationDetails.TaxConsolidation.Date
        [cgnft14] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberEntry.Date
        
    -->
    <assert id="VR.ATO.CGNFT.000055" diagnostics="DVR.ATO.CGNFT.000055"
            test="not(
                        $cgnft06[1]
                        and
                        function:IsDate1GreaterThanDate2($cgnft06[1], .)
                     )"/>
  </rule>
  

  <rule context="xbrli:xbrl/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.CGNFT.000056
         ELS Ref: V1761
         
        WHERE PARENT RETURN EXISTS
        IF ([cgnft15] <> NULL) AND ([cgnft15] < [cgnft6])
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [cgnft06] = pyde.02.17:OrganisationDetails.TaxConsolidation.Date
        [cgnft15] = pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Date
    -->
    <assert id="VR.ATO.CGNFT.000056" diagnostics="DVR.ATO.CGNFT.000056"
            test="not(
                        $cgnft06[1]
                        and
                        function:IsDate1GreaterThanDate2($cgnft06[1], .)
                     )"/>

  </rule>  
</pattern>
