﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormCGNFT" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Cross Form Validations that are applicable to CGNFT.</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgnft/cgnft_0001/cgnft.0001.lodge.request.02.00.report.xsd']]">

    <!-- Rule ID: VR.ATO.CGNFT.000019
         ELS REF: V1803
         
        IF (PARENT RETURN <> NULL) AND (CTR:RP:OrganisationDetails.TaxConsolidationStatus.Code <> "1")
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000019" diagnostics="DVR.ATO.CGNFT.000019"
            test="not(
                        number($CTR.Context/pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.CTR.ContextId and not(@i:nil='true' or @i:nil='1')]) != 1
                     )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000027
         ELS REF: N/A
         
        IF (PARENT RETURN <> NULL) AND (RP:period.startDate <> CTR:RP:period.startDate)
          RETURN VALIDATION MESSAGE
        ENDIF       
    -->
    <assert id="VR.ATO.CGNFT.000027" diagnostics="DVR.ATO.CGNFT.000027"
            test="not(
                        xbrli:context[@id=$RP.CGNFT.ContextId]/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                     )"/>


    <!-- Rule ID: VR.ATO.CGNFT.000030
         ELS REF: N/A
         
        IF (PARENT RETURN <> NULL) AND (RP:period.endDate <> CTR:RP:period.endDate)
          RETURN VALIDATION MESSAGE
        ENDIF       
    -->
    <assert id="VR.ATO.CGNFT.000030" diagnostics="DVR.ATO.CGNFT.000030"
            test="not(
                        xbrli:context[@id=$RP.CGNFT.ContextId]/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        !=
                        $RP.CTR.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                     )"/>
  </rule>

 
  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/cgnft/cgnft_0001/cgnft.0001.lodge.request.02.00.report.xsd']]/pyde.02.17:OrganisationDetails.TaxConsolidation.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    
    <!-- Rule ID: VR.ATO.CGNFT.000057
         ELS Ref: V1765
         
        IF (PARENT RETURN <> NULL) 
           AND 
           (
              (CTR:RP.Period.Start.Date <> NULL) AND 
              (CTR:RP.Period.End.Date <> NULL)
           ) 
           AND 
           (
              ([cgnft6] < 2002-07-01) OR 
              ([cgnft6] < CTR:RP.Period.Start.Date) OR 
              ([cgnft6] > CTR:RP.Period.End.Date)
           )
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.CGNFT.000057" diagnostics="DVR.ATO.CGNFT.000057"
            test="not(
                        $RP.CTR.Context/xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]
                        and
                        $RP.CTR.Context/xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                        and
                        (
                            function:IsDate1GreaterThanDate2('2002-07-01', .)
                            or
                            function:IsDate1GreaterThanDate2($RP.CTR.Context/xbrli:period/xbrli:startDate, .)
                            or
                            function:IsDate1GreaterThanDate2(., $RP.CTR.Context/xbrli:period/xbrli:endDate)
                        )
                     )"/>

  </rule>

</pattern>