﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

    
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--Rule Id: VR.ATO.DIS.406035
            
            WHERE IN TUPLE (xbrli\personunstructuredname1.xx.xx:PersonUnstructuredName)
            IF ((pyde.xx.xx:PersonUnstructuredName.Usage.Code ) <> NULLORBLANK) AND ((pyde.xx.xx:PersonUnstructuredName.Usage.Code) <> ""Contact"")
                RETURN VALIDATION MESSAGE
            ENDIF-->

        <assert id="VR.ATO.DIS.406035" diagnostics="DVR.ATO.DIS.406035"
                test="upper-case(.) = 'CONTACT'"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/declaration2.02.01:Declaration">
        <!--
            WHERE IN TUPLE(Declaration2.xx.xx:Declaration)
            IF pyin.xx.xx:Declaration.StatementType.Code <> ""TrueAndCorrect"" 
            OR pyin.xx.xx:Declaration.StatementAccepted.Indicator = FALSE 
            OR Declaration.SignatoryIdentifier.Text = NULLORBLANK 
            OR Declaration.Signature.Date = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            VR.ATO.GEN.430250	CMN.ATO.GEN.430250
        -->
        <assert id="VR.ATO.GEN.430250" diagnostics="DVR.ATO.GEN.430250"
                test="not(
                        not(pyin.02.03:Declaration.StatementType.Code[matches(.,'^(TrueAndCorrect)$','i') and not(@i:nil='true' or @i:nil='1')])
                        or pyin.02.00:Declaration.StatementAccepted.Indicator[matches(.,'^(false|0)$','i') and not(@i:nil='true' or @i:nil='1')]
                        or not(pyin.02.00:Declaration.SignatoryIdentifier.Text[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])
                        or not(pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')])
               )"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF pyde.xx.xx:Declaration.Signature.Date <> NULL AND pyde.xx.xx:pyde.xx.xx:Declaration.Signature.Date > DATE(TODAY)
            RETURN VALIDATION MESSAGE
            ENDIF

            VR.ATO.GEN.430255	CMN.ATO.GEN.430255
        -->
        <assert id="VR.ATO.GEN.430255" diagnostics="DVR.ATO.GEN.430255"
                test="not(function:IsDate1GreaterThanDate2(., fn:current-dateTime()))"/>

    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/declaration2.02.01:Declaration/prsnunstrcnm1.02.01:PersonUnstructuredName">
        <!--
            WHERE IN TUPLE (personunstructuredname1.xx.xx:PersonUnstructuredName) IN TUPLE(declaration2.xx.xx:Declaration)
            IF pyde.xx.xx:PersonUnstructuredName.Usage.Code <> ""DeclarationSignatory""
            RETURN VALIDATION MESSAGE
            ENDIF
            VR.ATO.GEN.436279	CMN.ATO.GEN.436279
        -->
        <assert id="VR.ATO.GEN.436279" diagnostics="DVR.ATO.GEN.436279"
               test="pyde.02.05:PersonUnstructuredName.Usage.Code[matches(.,'^(DeclarationSignatory)$','i') and not(@i:nil='true' or @i:nil='1')]"/>
    </rule>


  

    <rule context="dis.0002.lodge.req.02.01:Investor[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.DIS.406010
               
            IF ([DIS41] = FALSE AND [DIS12] <> NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF

            [DIS41] = DIS:RP:pyde.xx.xx:AddressDetails.OverseasAddress.Indicator 
                WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") IN TUPLE(address1.xx.xx:AddressDetails) IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)

            [DIS12] = DIS:RP:pyde.xx.xx:AddressDetails.CountryName.Text 
                WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") IN TUPLE(address1.xx.xx:AddressDetails) IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
        -->
        <assert id="VR.ATO.DIS.406010" diagnostics="DVR.ATO.DIS.406010" 
                test="not(
                        count(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')
                           and( count(pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                            and string-length(normalize-space(.)) != 0
                            and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'
                            and matches(.,'^(false|0)$')]) &gt; 0)
                            and
                           ( count(pyde.02.08:AddressDetails.CountryName.Text
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                             and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS']) &gt; 0)
                             ]) &gt; 0
                             )"/>

        <!--
            Rule Id: VR.ATO.DIS.406015

            IF ([DIS15] <>SET (""117"", ""060"") AND [DIS3] = NULLORBLANK)
                RETURN VALIDATION ERROR
            ENDIF

            [DIS15] = DIS:RP:pyde.xx.xx:Party.Type.Code IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS3] = DIS:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = ""MN"") 
            IN TUPLE(orgname1.xx.xx:OrganisationNameDetails) TUPLE(dis.0001.lodge.req.xx.xx:Investor)
        -->
      <assert id="VR.ATO.DIS.406015" diagnostics="DVR.ATO.DIS.406015"
              test="not(
                            (count(pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(117|060)$'))]) &gt; 0)
                            and 
                            (
                              (count (
                                orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                                  and 
                                  (count(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1' 
                                    and 
                                    upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code)='MN') and string-length(normalize-space(.)) != 0])
                                  = 0)])
                                  &gt; 0
                              ) 
                              or 
                              not(orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')])
                            )
                        )"/>
        <!--
            Rule Id: VR.ATO.DIS.406002
            
            IF ([DIS17] > 2 AND [DIS16] < 1)
                RETURN VALIDATION MESSAGE
            ENDIF

            [DIS17] = DIS:RP:bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS16] = DIS:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
        -->


        <assert  id="VR.ATO.DIS.406002" diagnostics="DVR.ATO.DIS.406002" subject="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount" test="not
                        (
	                        number(bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 2
                            and
                            sum(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 1
                        )"/>
        <!--
            Rule Id: VR.ATO.DIS.406003
            
            IF ([DIS16] > 0 AND [DIS17] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [DIS16] = DIS:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS17] = DIS:RP:bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)"	VR.ATO.DIS.406003	CMN.ATO.DIS.406003	CrossField-->


        <assert  id="VR.ATO.DIS.406003" diagnostics="DVR.ATO.DIS.406003" subject="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount" test="not
                        (
	                        number(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and
                            count(bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )"/>
        <!--
            Rule Id: VR.ATO.DIS.406004
                        
            IF ([DIS16] < 1 AND [DIS17] < 1 AND [DIS18] < 1 AND [DIS19] < 1 AND [DIS20] < 1)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [DIS16] = DIS:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS17] = DIS:RP:bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS18] = DIS:RP.NONCFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier)
            [DIS19] = DIS:RP.CFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier)
            [DIS20] = DIS:RP:bafpr2.02.02:Expense.Interest.Paid.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            
            I think this is broken,
            [DIS18] = DIS:RP.NONCFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier)
            [DIS19] = DIS:RP.CFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier)
            shouldbe
            [DIS18] = DIS:RP.NONCFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(dis.0002.lodge.req.02.01:UnfrankedDividends)
            [DIS19] = DIS:RP.CFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(dis.0002.lodge.req.02.01:UnfrankedDividends)
        -->


        <assert  id="VR.ATO.DIS.406004" diagnostics="DVR.ATO.DIS.406004" subject="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount" test="not
	                    (
                            (sum(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) &lt; 1)
	                        and
	                        (sum(bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) &lt; 1)
	                        and
	                        (sum(bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[@contextRef = $RP.NONCFI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ])  &lt; 1)
	                        and
	                        (sum(bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[@contextRef = $RP.CFI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ])  &lt; 1)
	                        and
	                        (sum(bafpr2.02.02:Expense.Interest.Paid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) &lt; 1)
	                    )"/>
        <!--
            Rule Id: VR.ATO.DIS.406006
                
            IF ([DIS44] = TRUE AND [DIS15] <> "060")
                RETURN VALIDATION MESSAGE
            ENDIF

            [DIS44] = DIS:RP:pyde.02.00:PersonDemographicDetails.Deceased.Indicator IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS15] = DIS:RP:pyde.02.03:Party.Type.Code IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
        -->


        <assert  id="VR.ATO.DIS.406006" diagnostics="DVR.ATO.DIS.406006" subject="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount" test="not
                        (
                            count(pyde.02.00:PersonDemographicDetails.Deceased.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]) &gt; 0
                            and
                            pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '060'
                        )"/>
        <!--
            Rule Id: VR.ATO.DIS.406020           
            IF ([DIS13] > CURRENTDATE)
                RETURN VALIDATION MESSAGE
            ENDIF            
            [DIS13] = DIS:RP:pyde.02.00:PersonDemographicDetails.Birth.Date IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)"
        -->
        <assert id="VR.ATO.DIS.406020" diagnostics="DVR.ATO.DIS.406020"
                test="not(pyde.02.00:PersonDemographicDetails.Birth.Date[
                                                                            @contextRef = $RP.ContextId 
                                                                            and 
                                                                            not(@i:nil='true' or @i:nil='1')
                                                                            and
                                                                            function:IsDate1GreaterThanDate2(., fn:current-dateTime())
                                                                          ]
                        )"/>
        <!--
            Rule Id: VR.ATO.DIS.406016
            IF ([DIS15] = SET("117", "060") AND [DIS4] = NULLORBLANK)
                RETURN VALIDATION ERROR
            ENDIF
            [DIS15] = DIS:RP:pyde.xx.xx:Party.Type.Code IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS4] = DIS:RP:pyde.02.00:PersonNameDetails.FamilyName.Text IN TUPLE(prsnstrcnm1.02.00:PersonNameDetails)
        -->
        <assert id="VR.ATO.DIS.406016" diagnostics="DVR.ATO.DIS.406016"
                test="not(
                            count(pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(117|060)$')]) &gt; 0
                            and 
                            count(prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                        )"/>
        <!-- 
 
            IF [DIS3] <> NULLORBLANK AND ([DIS4] <> NULLORBLANK OR [DIS5] <> NULLORBLANK OR [DIS6] <> NULLORBLANK)
              RETURN VALIDATION MESSAGE
            ENDIF 
            [DIS3] DIS:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN") IN TUPLE(orgname1.02.00:OrganisationNameDetails) IN TUPLE(dis.0002.lodge.req.02.01:Investor) 
            [DIS4] DIS:RP:pyde.02.00:PersonNameDetails.FamilyName.Text IN TUPLE(prsnstrcnm1.02.00:PersonNameDetails) IN TUPLE(dis.0002.lodge.req.02.01:Investor) 
            [DIS5] DIS:RP:pyde.02.00:PersonNameDetails.GivenName.Text IN TUPLE(prsnstrcnm1.02.00:PersonNameDetails) IN TUPLE(dis.0002.lodge.req.02.01:Investor) 
            [DIS6] DIS:RP:pyde.02.00:PersonNameDetails.OtherGivenName.Text IN TUPLE(prsnstrcnm1.02.00:PersonNameDetails) IN TUPLE(dis.0002.lodge.req.02.01:Investor) 
        -->
        <assert id="VR.ATO.DIS.406023" diagnostics="DVR.ATO.DIS.406023"
                test="not(
                    (count (orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and (count(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1' and upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code)='MN') and string-length(normalize-space(.)) != 0]) &gt; 0)]) &gt; 0)
                    and
                    (
                    count(prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    or 
                    count(prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    or
                    count(prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0 
                    )
                       )"/>

        <!--
            WHERE IN TUPLE (addressdetails2.xx.xx:AddressDetails) IN TUPLE (dis.0002.lodge.req.xx.xx:Investor)
            IF (pyde.xx.xx:AddressDetails.Usage.Code <> POS"") OR (pyde.xx.xx:AddressDetails.Currency.Code <> ""C"")
            RETURN VALIDATION MESSAGE
            ENDIF
            VR.ATO.DIS.406048	CMN.ATO.DIS.406048
        -->
        <assert id="VR.ATO.DIS.406048" diagnostics="DVR.ATO.DIS.406048"
                test="not(
                            address2.02.02:AddressDetails[
                                not(./pyde.02.01:AddressDetails.Usage.Code[matches(.,'^(POS)$','i') and not(@i:nil='true' or @i:nil='1')])
                                 or not(pyde.02.00:AddressDetails.Currency.Code[matches(.,'^(C)$','i') and not(@i:nil='true' or @i:nil='1')])
                                 ]
                )"/>
        
    </rule>

    <rule context="orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF ([DIS24] = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF

            [DIS24] = DIS:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
            IN TUPLE(orgname1.xx.xx:OrganisationNameDetails)
        -->
        <assert id="VR.ATO.DIS.406005" diagnostics="DVR.ATO.DIS.406005"
                test="not(
                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                            [@contextRef = $RP.ContextId and 
                            (@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0)]
                            and upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                            )"/>
        <!--        
            Rule ID: VR.ATO.GEN.436002
            
            IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = NULLORBLANK) 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.436002" diagnostics="DVR.ATO.GEN.436002"
                test="not(string-length(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) = 0)"/>
        <!--
            Rule ID: VR.ATO.GEN.436003
        
            IN TUPLE(orgname1.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.436003" diagnostics="DVR.ATO.GEN.436003"
                test="not(count(./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') 
                and string-length(normalize-space(.)) != 0]) = 0)"/>
    </rule>

    <rule context="pyde.02.00:PersonDemographicDetails.Sex.Code[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
        <!--
            Rule ID: VR.ATO.DIS.406001
        
            IF (pyde.xx.xx:Person Demographic Details.Sex.Code <> NULLORBLANK AND pyde.xx.xx:Person Demographic Details.Sex.Code <> SET("1","2","3","0"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.DIS.406001" diagnostics="DVR.ATO.DIS.406001"
                test="not(
                          not(matches(.,'^(1|2|3|0)$'))
                          and not(@i:nil='true' or @i:nil='1')
                          and not(string-length(normalize-space(.)) = 0))"/>
    </rule>

    <rule context="prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.GEN.000530
        
            IN TUPLE(prsnstrcnm1.xx.xx:PersonNameDetails)
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK) 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000530" diagnostics="DVR.ATO.GEN.000530" 
                test="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/>
        <!--
            Rule ID: VR.ATO.GEN.000531
        
            IN TUPLE(prsnstrcnm1.xx.xx:PersonNameDetails)
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000531" diagnostics="DVR.ATO.GEN.000531" 
                test="not(count(./pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)"/>
    </rule>

    <rule context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF ([DIS25] <> NULL) AND ([DIS25 > TEXT (200))
                RETURN VALIDATION MESSAGE
            ENDIF

            [DIS25] = DIS:RP:pyde.xx.xx:PersonUnstructuredName.FullName.Text 
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonUnstructuredName.Usage.Code = "Contact") 
            IN TUPLE(prsnunstrcnm1.xx.xx:PersonUnstructuredName)
        -->
        <assert id="VR.ATO.DIS.406021" diagnostics="DVR.ATO.DIS.406021"
                test="not( 
                          string-length(pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]) &gt; 200
                          and upper-case(pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')]) = 'CONTACT'
                          )"/>

        <!--
            WHERE IN TUPLE(personunstructuredname1.xx.xx:PersonUnstructuredName)
            IF pyde.xx.xx:PersonUnstructuredName.Usage.Code = NULLORBLANK 
            OR pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.000243" diagnostics="DVR.ATO.GEN.000243"
                test="not( 
                          string-length(pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]) = 0
                          or 
                          string-length(pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')]) =0
                          )"/>
        <!--      
            WHERE IN TUPLE(personunstructuredname1.xx.xx:PersonUnstructuredName)
            IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS "" - "")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.408010" diagnostics="DVR.ATO.GEN.408010" 
                test="not(
                        pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')
                        and (string-length(normalize-space(.)) != 0) and matches(.,'^(.*)\s-\s(.*)$')]
                     )"/>

        <!--
            IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 200
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.430252" diagnostics="DVR.ATO.GEN.430252"
                test="not(string-length(pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]) &gt; 200)"/>
    </rule>

    <rule context="pyde.02.00:PersonUnstructuredName.FullName.Text">

        <!--
          IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK AND pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS SET("","",""*""))
             RETURN VALIDATION MESSAGE
          ENDIF
         -->
        <assert id="VR.ATO.GEN.438035" diagnostics="DVR.ATO.GEN.438035" 
                test="not(matches(.,'^(.*)(,|\*)(.*)$'))"/>
        
    </rule>    


  <rule context="pyde.02.00:ElectronicContact.Telephone.Usage.Code[not(@i:nil='true' or @i:nil='1')]">

    <!--
          IF ((pyde.02.00:ElectronicContact.Telephone.Usage.Code) <> NULLORBLANK) AND ((pyde.02.00:ElectronicContact.Telephone.Usage.Code) <> "03")
            RETURN VALIDATION MESSAGE
          ENDIF
        -->
    <assert id="VR.ATO.GEN.000051" diagnostics="DVR.ATO.GEN.000051" test="not(
                        string-length(normalize-space(.)) != 0 and . != '03'
                      )"/>
  </rule>
  

  <rule context="address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]">

        <!--
            IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> SET("NSW","VIC","ACT","QLD","TAS","SA","WA","NT"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.GEN.500141" diagnostics="DVR.ATO.GEN.500141" test="matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)$','i')"/>
        
    </rule>
   
    

  
    <!-- xsd-datatype-VR.ATO.GEN.428231, 000423, 410040, 410200, 410201 -->

    <rule name="VR.ATO.GEN.410040" context="prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
        <extends rule="VR-ATO-GEN-000423" />
        <extends rule="VR-ATO-GEN-000427" />
        <extends rule="VR-ATO-GEN-410040" />
        <extends rule="VR-ATO-GEN-410200" />
        <extends rule="VR-ATO-GEN-410201" />
        <extends rule="VR-ATO-GEN-428231" />
    </rule>
    <!-- xsd-datatype-VR.ATO.GEN.00434, 000439, 410202 ,410203 ,410204 ,410063 -->

    <rule name="VR.ATO.GEN.000434" context="prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
        <extends rule="VR-ATO-GEN-000434" />
        <extends rule="VR-ATO-GEN-000439" />
        <extends rule="VR-ATO-GEN-410202" />
        <extends rule="VR-ATO-GEN-410203" />
        <extends rule="VR-ATO-GEN-410204" />
        <extends rule="VR-ATO-GEN-410063" />
    </rule>
    <!-- xsd-datatype-VR.ATO.GEN.00446, 410131, 410207, 410208, 410209 -->

    <rule name="VR.ATO.GEN.000446" context="prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
        <extends rule="VR-ATO-GEN-000446" />
        <extends rule="VR-ATO-GEN-000451" />
        <extends rule="VR-ATO-GEN-410207" />
        <extends rule="VR-ATO-GEN-410208" />
        <extends rule="VR-ATO-GEN-410209" />
    </rule>
  

    <rule context="orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
        <!--
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )
                  RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428258" diagnostics="DVR.ATO.GEN.428258" test="not(matches(.,'^(.*) - (.*)$'))"/>
        <!--
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")
               RETURN VALIDATION MESSAGE
            ENDIF
         -->
        <assert id="VR.ATO.GEN.428259" diagnostics="DVR.ATO.GEN.428259" test="not(matches(.,'^(.*)P/L(.*)$'))"/>

        <!--
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("- -", """", "  "))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.428260" diagnostics="DVR.ATO.GEN.428260" test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/>

        <!--
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))
              RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410038" diagnostics="DVR.ATO.GEN.410038" test="not(matches(.,'^(T/A)(.*)( Pship| P''ship| P/ship)$'))"/>

        <!--
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.text DOES NOT CONTAIN SET('a-z', 'A-Z', '0-9'))
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410039" diagnostics="DVR.ATO.GEN.410039" test="not(not(matches(.,'^(.*)[a-zA-Z0-9](.*)$')))"/>

        <!--
            Rule ID:  VR.ATO.GEN.410206
        
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = FOUND("The trustee","The Exec","exec","The TTE"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.GEN.410206" diagnostics="DVR.ATO.GEN.410206" 
                test="not(
                            matches(.,'^(The trustee |The Exec |exec |The TTE )(.*)$','i')
                            or
                            matches(.,'^(.*)( The trustee | The Exec | exec | The TTE )(.*)$','i')
                            or
                            matches(.,'^(.*)( The trustee| The Exec| exec| The TTE)$','i')
                            or
                            matches(.,'^(The trustee|The Exec|exec|The TTE)$','i')               
                        )"/>
    </rule>
</pattern>