﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Abstracts" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Abstracts Validations</title>

<!-- DATA TYPE ABSTRACT RULES -->

<rule abstract="true" id="xsd-datatype-date">


<assert  id="VR.ATO.GEN.001008" diagnostics="DVR.ATO.GEN.001008" test="@i:nil='true' or @i:nil='1' or (matches(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.))"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-monetary">


<assert  id="VR.ATO.GEN.001009" diagnostics="DVR.ATO.GEN.001009" test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?\d+(\.\d+)?$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-boolean">


<assert  id="VR.ATO.GEN.001010" diagnostics="DVR.ATO.GEN.001010" test="@i:nil='true' or @i:nil='1' or matches(.,'^(0|1|true|false)$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-ID">


<assert  id="VR.ATO.GEN.001012" diagnostics="DVR.ATO.GEN.001012" test="@i:nil='true' or @i:nil='1' or matches(.,'^[A-Za-z_][A-Za-z0-9._-]*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-positiveIntegerItemType">


<assert  id="VR.ATO.GEN.001013" diagnostics="DVR.ATO.GEN.001013" test="@i:nil='true' or @i:nil='1' or matches(.,'^[1-9]\d*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-nonNegativeIntegerItemType">


<assert  id="VR.ATO.GEN.001014" diagnostics="DVR.ATO.GEN.001014" test="@i:nil='true' or @i:nil='1' or matches(.,'^\d+$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-decimal">


<assert  id="VR.ATO.GEN.001018" diagnostics="DVR.ATO.GEN.001018" test="@i:nil='true' or @i:nil='1' or matches(.,'^[-]?\d+(\.\d+)?$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-float">


<assert  id="VR.ATO.GEN.001032" diagnostics="DVR.ATO.GEN.001032" test="@i:nil='true' or @i:nil='1' or matches(.,'^[-+]?[0-9]+[.]?[0-9]*([eE][-+]?[0-9]+)?$')"></assert>
</rule>
<!-- CUSTOM TYPE ABSTRACT RULES -->

<rule abstract="true" id="xsd-datatype-sbrDocumentIdentificationItemType">


<assert  id="VR.ATO.GEN.002001" diagnostics="DVR.ATO.GEN.002001" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;''\|\-_=\\/@#$%\*=&amp;&quot;])*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrPostcodeItemType">


<assert  id="VR.ATO.GEN.002002" diagnostics="DVR.ATO.GEN.002002" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{4}$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrOrganisationNameItemType">


<assert  id="VR.ATO.GEN.002003" diagnostics="DVR.ATO.GEN.002003" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;''\|\-_=\\/@#$%\*=&amp;&quot;])*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrTelephoneNumberItemType">


<assert  id="VR.ATO.GEN.002004" diagnostics="DVR.ATO.GEN.002004" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9a-zA-Z\s])*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrOrganisationBranchItemType">


<assert  id="VR.ATO.GEN.002005" diagnostics="DVR.ATO.GEN.002005" test="@i:nil='true' or @i:nil='1' or matches(.,'^([1-9]|[1-9][0-9]|[1-9][0-9][0-9])*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrTaxFileNumberItemType">


<assert  id="VR.ATO.GEN.002006" diagnostics="DVR.ATO.GEN.002006" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9])*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrTaxAgentNumberItemType">


<assert  id="VR.ATO.GEN.002007" diagnostics="DVR.ATO.GEN.002007" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{8}$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrBPayBillerCodeItemType">


<assert  id="VR.ATO.GEN.002008" diagnostics="DVR.ATO.GEN.002008" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9])*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrFinancialInstitutionAccountNumberItemType">


<assert  id="VR.ATO.GEN.002009" diagnostics="DVR.ATO.GEN.002009" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9])*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrFamilyNameItemType">


<assert  id="VR.ATO.GEN.002010" diagnostics="DVR.ATO.GEN.002010" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;''\|\-_=\\/@#$%\*=&amp;&quot;])*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrGivenNameItemType">


<assert  id="VR.ATO.GEN.002011" diagnostics="DVR.ATO.GEN.002011" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;''\|\-_=\\/@#$%\*=&amp;&quot;])*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrOtherGivenNameItemType">


<assert  id="VR.ATO.GEN.002012" diagnostics="DVR.ATO.GEN.002012" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;''\|\-_=\\/@#$%\*=&amp;&quot;])*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrPersonFullNameItemType">


<assert  id="VR.ATO.GEN.002013" diagnostics="DVR.ATO.GEN.002013" test="@i:nil='true' or @i:nil='1' or matches(.,'^([0-9a-zA-Z \.,\?!\(\)\{\}:;''\|\-_=\\/@#$%\*=&amp;&quot;])*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrGenericNumericItemType">


<assert  id="VR.ATO.GEN.002014" diagnostics="DVR.ATO.GEN.002014" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]*$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrAustralianBusinessNumberItemType">


<assert  id="VR.ATO.GEN.002015" diagnostics="DVR.ATO.GEN.002015" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{11}$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrWithholderPayerNumberItemType">


<assert  id="VR.ATO.GEN.002016" diagnostics="DVR.ATO.GEN.002016" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{11}$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrTelephoneAreaCodeItemType">


<assert  id="VR.ATO.GEN.002017" diagnostics="DVR.ATO.GEN.002017" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{2}$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrBankServiceBranchCodeItemType">


<assert  id="VR.ATO.GEN.002018" diagnostics="DVR.ATO.GEN.002018" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{6}$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrAustralianCompanyNumberItemType">


<assert  id="VR.ATO.GEN.002019" diagnostics="DVR.ATO.GEN.002019" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{9}$')"></assert>
</rule>

<rule abstract="true" id="xsd-datatype-sbrAustralianRegisteredBodyNumberItemType">


<assert  id="VR.ATO.GEN.002020" diagnostics="DVR.ATO.GEN.002020" test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{9}$')"></assert>
</rule>

<rule abstract="true" id="xbrli:pureItemType">


<assert  id="VR.ATO.GEN.001015" diagnostics="DVR.ATO.GEN.001015" test="@i:nil='true' or @i:nil='1' or matches(.,'^[-]?\d+(\.\d+)?$')"></assert>
</rule>
</pattern>