﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ContextVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Context Id variables that are applicable accross all IDS services.</title>

<!-- RP Context -->
<let name="RP.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./*) = 1 and count(./xbrldi:explicitMember) = 1]/
                    xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
            ]" />
<!-- RP Context Id -->
<let name="RP.ContextId" value="$RP.Context/@id" />
<!-- RP.ForeignCountry Context -->
<let name="RP.ForeignCountry.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ForeignCountryCode\.\d\d\.\d\d:ForeignCountryCodeDimension$') and matches(.,'^ForeignCountryCode\.\d\d\.\d\d:(af|ax|al|dz|as|ad|ao|ai|aq|ag|ar|am|aw|au|at|az|bs|bh|bd|bb|by|be|bz|bj|bm|bt|bo|ba|bw|bv|br|io|bn|bg|bf|bi|kh|cm|ca|cv|ky|cf|td|cl|cn|cx|cc|co|km|cg|cd|ck|cr|ci|hr|cu|cy|cz|dk|dj|dm|do|ec|eg|sv|gq|er|ee|et|fk|fo|fj|fi|fr|gf|pf|tf|ga|gm|ge|de|gh|gi|gr|gl|gd|gp|gu|gt|gg|gn|gw|gy|ht|hm|va|hn|hk|hu|is|in|id|ir|iq|ie|im|il|it|jm|jp|je|jo|kz|ke|ki|kp|kr|kw|kg|la|lv|lb|ls|lr|ly|li|lt|lu|mo|mk|mg|mw|my|mv|ml|mt|mh|mq|mr|mu|yt|mx|fm|md|mc|mn|me|ms|ma|mz|mm|na|nr|np|nl|an|nc|nz|ni|ne|ng|nu|nf|mp|no|om|pk|pw|ps|pa|pg|py|pe|ph|pn|pl|pt|pr|qa|re|ro|ru|rw|bl|sh|kn|lc|mf|pm|vc|ws|sm|st|sa|sn|rs|sc|sl|sg|sk|si|sb|so|za|gs|es|lk|sd|sr|sj|sz|se|ch|sy|tw|tj|tz|th|tl|tg|tk|to|tt|tn|tr|tm|tc|tv|ug|ua|ae|gb|us|um|uy|uz|vu|ve|vn|vg|vi|wf|eh|ye|zm|zw|cw|bq|sx|ss)$')]) = 1]
         ]" />
<!-- RP.ForeignCountry Context Id -->
<let name="RP.ForeignCountry.ContextId" value="$RP.ForeignCountry.Context/@id" />
<!-- RP.ForeignCountry.ActivityCode Context -->
<let name="RP.ForeignCountry.ActivityCode.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ForeignCountryCode\.\d\d\.\d\d:ForeignCountryCodeDimension$') and matches(.,'^ForeignCountryCode\.\d\d\.\d\d:(af|ax|al|dz|as|ad|ao|ai|aq|ag|ar|am|aw|au|at|az|bs|bh|bd|bb|by|be|bz|bj|bm|bt|bo|ba|bw|bv|br|io|bn|bg|bf|bi|kh|cm|ca|cv|ky|cf|td|cl|cn|cx|cc|co|km|cg|cd|ck|cr|ci|hr|cu|cy|cz|dk|dj|dm|do|ec|eg|sv|gq|er|ee|et|fk|fo|fj|fi|fr|gf|pf|tf|ga|gm|ge|de|gh|gi|gr|gl|gd|gp|gu|gt|gg|gn|gw|gy|ht|hm|va|hn|hk|hu|is|in|id|ir|iq|ie|im|il|it|jm|jp|je|jo|kz|ke|ki|kp|kr|kw|kg|la|lv|lb|ls|lr|ly|li|lt|lu|mo|mk|mg|mw|my|mv|ml|mt|mh|mq|mr|mu|yt|mx|fm|md|mc|mn|me|ms|ma|mz|mm|na|nr|np|nl|an|nc|nz|ni|ne|ng|nu|nf|mp|no|om|pk|pw|ps|pa|pg|py|pe|ph|pn|pl|pt|pr|qa|re|ro|ru|rw|bl|sh|kn|lc|mf|pm|vc|ws|sm|st|sa|sn|rs|sc|sl|sg|sk|si|sb|so|za|gs|es|lk|sd|sr|sj|sz|se|ch|sy|tw|tj|tz|th|tl|tg|tk|to|tt|tn|tr|tm|tc|tv|ug|ua|ae|gb|us|um|uy|uz|vu|ve|vn|vg|vi|wf|eh|ye|zm|zw|cw|bq|sx|ss)$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ActivityCodeType\.\d\d\.\d\d:ActivityCodeTypeDimension$') and matches(.,'^ActivityCodeType\.\d\d\.\d\d:(DistributionAndSaleOfGoods|FinancingActivities|Guarantees|InsuranceAndReinsurance|Leasing|LicensingOrTransferOfIntellectualProperty|Logistics|ManufacturingAndSaleOfGoods|PurchaseAndDistributionOfGoods|PurchaseAndManufactureOfGoods|RetailTrade|SalesAndMarketingServices|SecuritisationServices|SoftwareAndInformationTechnologyServices|Superannuation|TechnicalServices|UnderwritingServices|UtilitiesAndInfrastructure|Other|AdministrativeServices|AdvisoryServices|AssetManagement|BorrowingAndLending|Brokerage|CashAndTradeServices|Construction|CustodyAndTransactionClearingServices|Derivatives|MediaTelecommunicationsAndInformationServices|PrimaryProductionExtractionAndSaleOfGoods|ReceiptPaymentOfDividendsAndDistributionsFromTrustsAndPartnerships|TollManufacturingServices|TreasuryRelatedServices|ActivityCodeTypeDimension)$')]) = 1]
         ]" />
<!-- RP.ForeignCountry.ActivityCode Context Id -->
<let name="RP.ForeignCountry.ActivityCode.ContextId" value="$RP.ForeignCountry.ActivityCode.Context/@id" />
<!-- RP.SpecifiedCountry -->
<let name="RP.SpecifiedCountry.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SpecifiedCountryCode\.\d\d\.\d\d:SpecifiedCountryCodeDimension$') and matches(.,'^SpecifiedCountryCode\.\d\d\.\d\d:(ad|ai|ag|aw|bs|bh|bz|bm|vg|ky|ck|cy|dm|gi|gd|gg|im|je|lr|li|mh|mu|mc|ms|nr|nu|pa|kn|lc|vc|ws|sm|sc|tc|vi|vu|cw|sx)$')]) = 1]
         ]" />
<!-- RP.SpecifiedCountry Context Id -->
<let name="RP.SpecifiedCountry.ContextId" value="$RP.SpecifiedCountry.Context/@id" />
<!-- RP.SpecifiedCountry.ActivityCode -->
<let name="RP.SpecifiedCountry.ActivityCode.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SpecifiedCountryCode\.\d\d\.\d\d:SpecifiedCountryCodeDimension$') and matches(.,'^SpecifiedCountryCode\.\d\d\.\d\d:(ad|ai|ag|aw|bs|bh|bz|bm|vg|ky|ck|cy|dm|gi|gd|gg|im|je|lr|li|mh|mu|mc|ms|nr|nu|pa|kn|lc|vc|ws|sm|sc|tc|vi|vu|cw|sx)$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ActivityCodeType\.\d\d\.\d\d:ActivityCodeTypeDimension$') and matches(.,'^ActivityCodeType\.\d\d\.\d\d:(DistributionAndSaleOfGoods|FinancingActivities|Guarantees|InsuranceAndReinsurance|Leasing|LicensingOrTransferOfIntellectualProperty|Logistics|ManufacturingAndSaleOfGoods|PurchaseAndDistributionOfGoods|PurchaseAndManufactureOfGoods|RetailTrade|SalesAndMarketingServices|SecuritisationServices|SoftwareAndInformationTechnologyServices|Superannuation|TechnicalServices|UnderwritingServices|UtilitiesAndInfrastructure|Other|AdministrativeServices|AdvisoryServices|AssetManagement|BorrowingAndLending|Brokerage|CashAndTradeServices|Construction|CustodyAndTransactionClearingServices|Derivatives|MediaTelecommunicationsAndInformationServices|PrimaryProductionExtractionAndSaleOfGoods|ReceiptPaymentOfDividendsAndDistributionsFromTrustsAndPartnerships|TollManufacturingServices|TreasuryRelatedServices|ActivityCodeTypeDimension)$')]) = 1]
         ]" />
<!-- RP.SpecifiedCountry Context Id -->
<let name="RP.SpecifiedCountry.ActivityCode.ContextId" value="$RP.SpecifiedCountry.ActivityCode.Context/@id" />
<!-- RP.AssetManagement Context -->
<let name="RP.AssetManagement.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:AssetManagement$')]) = 1]
         ]" />
<!-- RP.AssetManagement Context Id -->
<let name="RP.AssetManagement.ContextId" value="$RP.AssetManagement.Context/@id" />
<!-- RP.BranchOperations Context -->
<let name="RP.BranchOperations.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:BranchOperations$')]) = 1]
         ]" />
<!-- RP.BranchOperations Context Id -->
<let name="RP.BranchOperations.ContextId" value="$RP.BranchOperations.Context/@id" />
<!-- RP.CapitalNonMonetaryPayment Context -->
<let name="RP.CapitalNonMonetaryPayment.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:CapitalNonMonetaryPayment$')]) = 1]
         ]" />
<!-- RP.CapitalNonMonetaryPayment Context Id -->
<let name="RP.CapitalNonMonetaryPayment.ContextId" value="$RP.CapitalNonMonetaryPayment.Context/@id" />
<!-- RP.CapitalNoPayment Context -->
<let name="RP.CapitalNoPayment.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:CapitalNoPayment$')]) = 1]
         ]" />
<!-- RP.CapitalNoPayment Context Id -->
<let name="RP.CapitalNoPayment.ContextId" value="$RP.CapitalNoPayment.Context/@id" />
<!-- RP.DebtFactoring Context -->
<let name="RP.DebtFactoring.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:DebtFactoring$')]) = 1]
         ]" />
<!-- RP.DebtFactoring Context Id -->
<let name="RP.DebtFactoring.ContextId" value="$RP.DebtFactoring.Context/@id" />
<!-- RP.Derivatives Context -->
<let name="RP.Derivatives.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Derivatives$')]) = 1]
         ]" />
<!-- RP.Derivatives Context Id -->
<let name="RP.Derivatives.ContextId" value="$RP.Derivatives.Context/@id" />
<!-- RP.Insurance Context -->
<let name="RP.Insurance.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Insurance$')]) = 1]
         ]" />
<!-- RP.Insurance Context Id -->
<let name="RP.Insurance.ContextId" value="$RP.Insurance.Context/@id" />
<!-- RP.LicenceFees Context -->
<let name="RP.LicenceFees.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:LicenceFees$')]) = 1]
         ]" />
<!-- RP.LicenceFees Context Id -->
<let name="RP.LicenceFees.ContextId" value="$RP.LicenceFees.Context/@id" />
<!-- RP.Logistics Context -->
<let name="RP.Logistics.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Logistics$')]) = 1]
         ]" />
<!-- RP.Logistics Context Id -->
<let name="RP.Logistics.ContextId" value="$RP.Logistics.Context/@id" />
<!-- RP.ManagementAndAdmin Context -->
<let name="RP.ManagementAndAdmin.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:ManagementAndAdmin$')]) = 1]
         ]" />
<!-- RP.ManagementAndAdmin Context Id -->
<let name="RP.ManagementAndAdmin.ContextId" value="$RP.ManagementAndAdmin.Context/@id" />
<!-- RP.OtherFinancialDealings Context -->
<let name="RP.OtherFinancialDealings.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherFinancialDealings$')]) = 1]
         ]" />
<!-- RP.OtherFinancialDealings Context Id -->
<let name="RP.OtherFinancialDealings.ContextId" value="$RP.OtherFinancialDealings.Context/@id" />
<!-- RP.OtherGuarantees Context -->
<let name="RP.OtherGuarantees.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherGuarantees$')]) = 1]
         ]" />
<!-- RP.OtherGuarantees Context Id -->
<let name="RP.OtherGuarantees.ContextId" value="$RP.OtherGuarantees.Context/@id" />
<!-- RP.OtherInsurance Context -->
<let name="RP.OtherInsurance.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherInsurance$')]) = 1]
         ]" />
<!-- RP.OtherInsurance Context Id -->
<let name="RP.OtherInsurance.ContextId" value="$RP.OtherInsurance.Context/@id" />
<!-- RP.OtherInterest Context -->
<let name="RP.OtherInterest.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherInterest$')]) = 1]
         ]" />
<!-- RP.OtherInterest Context Id -->
<let name="RP.OtherInterest.ContextId" value="$RP.OtherInterest.Context/@id" />
<!-- RP.OtherNotReportedIntangibleNonRevenue Context -->
<let name="RP.OtherNotReportedIntangibleNonRevenue.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherNotReportedIntangibleNonRevenue$')]) = 1]
         ]" />
<!-- RP.OtherNotReportedIntangibleNonRevenue Context Id -->
<let name="RP.OtherNotReportedIntangibleNonRevenue.ContextId" value="$RP.OtherNotReportedIntangibleNonRevenue.Context/@id" />
<!-- RP.OtherNotReportedRevenue Context -->
<let name="RP.OtherNotReportedRevenue.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherNotReportedRevenue$')]) = 1]
         ]" />
<!-- RP.OtherNotReportedRevenue Context Id -->
<let name="RP.OtherNotReportedRevenue.ContextId" value="$RP.OtherNotReportedRevenue.Context/@id" />
<!-- RP.OtherNotReportedTangibleNonRevenue Context -->
<let name="RP.OtherNotReportedTangibleNonRevenue.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherNotReportedTangibleNonRevenue$')]) = 1]
         ]" />
<!-- RP.OtherNotReportedTangibleNonRevenue Context Id -->
<let name="RP.OtherNotReportedTangibleNonRevenue.ContextId" value="$RP.OtherNotReportedTangibleNonRevenue.Context/@id" />
<!-- RP.OtherReinsurance Context -->
<let name="RP.OtherReinsurance.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherReinsurance$')]) = 1]
         ]" />
<!-- RP.OtherReinsurance Context Id -->
<let name="RP.OtherReinsurance.ContextId" value="$RP.OtherReinsurance.Context/@id" />
<!-- RP.OtherServices Context -->
<let name="RP.OtherServices.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherServices$')]) = 1]
         ]" />
<!-- RP.OtherServices Context Id -->
<let name="RP.OtherServices.ContextId" value="$RP.OtherServices.Context/@id" />
<!-- RP.RechargeAmounts Context -->
<let name="RP.RechargeAmounts.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:RechargeAmounts$')]) = 1]
         ]" />
<!-- RP.RechargeAmounts Context Id -->
<let name="RP.RechargeAmounts.ContextId" value="$RP.RechargeAmounts.Context/@id" />
<!-- RP.Reinsurance Context -->
<let name="RP.Reinsurance.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Reinsurance$')]) = 1]
         ]" />
<!-- RP.Reinsurance Context Id -->
<let name="RP.Reinsurance.ContextId" value="$RP.Reinsurance.Context/@id" />
<!-- RP.RentLease Context -->
<let name="RP.RentLease.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:RentLease$')]) = 1]
         ]" />
<!-- RP.RentLease Context Id -->
<let name="RP.RentLease.ContextId" value="$RP.RentLease.Context/@id" />
<!-- RP.ResearchAndDevelopment Context -->
<let name="RP.ResearchAndDevelopment.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:ResearchAndDevelopment$')]) = 1]
         ]" />
<!-- RP.ResearchAndDevelopment Context Id -->
<let name="RP.ResearchAndDevelopment.ContextId" value="$RP.ResearchAndDevelopment.Context/@id" />
<!-- RP.RevenueNonMonetaryPayment Context -->
<let name="RP.RevenueNonMonetaryPayment.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:RevenueNonMonetaryPayment$')]) = 1]
         ]" />
<!-- RP.RevenueNonMonetaryPayment Context Id -->
<let name="RP.RevenueNonMonetaryPayment.ContextId" value="$RP.RevenueNonMonetaryPayment.Context/@id" />
<!-- RP.RevenueNoPayment Context -->
<let name="RP.RevenueNoPayment.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:RevenueNoPayment$')]) = 1]
         ]" />
<!-- RP.RevenueNoPayment Context Id -->
<let name="RP.RevenueNoPayment.ContextId" value="$RP.RevenueNoPayment.Context/@id" />
<!-- RP.Royalties Context -->
<let name="RP.Royalties.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Royalties$')]) = 1]
         ]" />
<!-- RP.Royalties Context Id -->
<let name="RP.Royalties.ContextId" value="$RP.Royalties.Context/@id" />
<!-- RP.SalesAndMarketing Context -->
<let name="RP.SalesAndMarketing.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:SalesAndMarketing$')]) = 1]
         ]" />
<!-- RP.SalesAndMarketing Context Id -->
<let name="RP.SalesAndMarketing.ContextId" value="$RP.SalesAndMarketing.Context/@id" />
<!-- RP.Securitisation Context -->
<let name="RP.Securitisation.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Securitisation$')]) = 1]
         ]" />
<!-- RP.Securitisation Context Id -->
<let name="RP.Securitisation.ContextId" value="$RP.Securitisation.Context/@id" />
<!-- RP.SoftwareAndITServices Context -->
<let name="RP.SoftwareAndITServices.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:SoftwareAndITServices$')]) = 1]
         ]" />
<!-- RP.SoftwareAndITServices Context Id -->
<let name="RP.SoftwareAndITServices.ContextId" value="$RP.SoftwareAndITServices.Context/@id" />
<!-- RP.TangibleRevenue Context -->
<let name="RP.TangibleRevenue.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:TangibleRevenue$')]) = 1]
         ]" />
<!-- RP.TangibleRevenue Context Id -->
<let name="RP.TangibleRevenue.ContextId" value="$RP.TangibleRevenue.Context/@id" />
<!-- RP.Technical Context -->
<let name="RP.Technical.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Technical$')]) = 1]
         ]" />
<!-- RP.Technical Context Id -->
<let name="RP.Technical.ContextId" value="$RP.Technical.Context/@id" />
<!-- RP.TreasuryRelated Context -->
<let name="RP.TreasuryRelated.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:TreasuryRelated$')]) = 1]
         ]" />
<!-- RP.TreasuryRelated Context Id -->
<let name="RP.TreasuryRelated.ContextId" value="$RP.TreasuryRelated.Context/@id" />
<!-- RP.Advisory Context -->
<let name="RP.Advisory.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Advisory$')]) = 1]
         ]" />
<!-- RP.Advisory Context Id -->
<let name="RP.Advisory.ContextId" value="$RP.Advisory.Context/@id" />
<!-- RP.Borrowing Context -->
<let name="RP.Borrowing.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Borrowing$')]) = 1]
         ]" />
<!-- RP.Borrowing Context Id -->
<let name="RP.Borrowing.ContextId" value="$RP.Borrowing.Context/@id" />
<!-- RP.Division770 Context -->
<let name="RP.Division770.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Division770$')]) = 1]
         ]" />
<!-- RP.Division770 Context Id -->
<let name="RP.Division770.ContextId" value="$RP.Division770.Context/@id" />
<!-- RP.EligibleContract Context -->
<let name="RP.EligibleContract.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:EligibleContract$')]) = 1]
         ]" />
<!-- RP.EligibleContract Context Id -->
<let name="RP.EligibleContract.ContextId" value="$RP.EligibleContract.Context/@id" />
<!-- RP.GuaranteeType Context -->
<let name="RP.GuaranteeType.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:GuaranteeType$')]) = 1]
         ]" />
<!-- RP.GuaranteeType Context Id -->
<let name="RP.GuaranteeType.ContextId" value="$RP.GuaranteeType.Context/@id" />
<!-- RP.GeneralDeduction Context -->
<let name="RP.GeneralDeduction.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:GeneralDeduction$')]) = 1]
         ]" />
<!-- RP.GeneralDeduction Context Id -->
<let name="RP.GeneralDeduction.ContextId" value="$RP.GeneralDeduction.Context/@id" />
<!-- RP.Hedging Context -->
<let name="RP.Hedging.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Hedging$')]) = 1]
         ]" />
<!-- RP.Hedging Context Id -->
<let name="RP.Hedging.ContextId" value="$RP.Hedging.Context/@id" />
<!-- RP.Investment Context -->
<let name="RP.Investment.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Investment$')]) = 1]
         ]" />
<!-- RP.Investment Context Id -->
<let name="RP.Investment.ContextId" value="$RP.Investment.Context/@id" />
<!-- RP.Lending Context -->
<let name="RP.Lending.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Lending$')]) = 1]
         ]" />
<!-- RP.Lending Context Id -->
<let name="RP.Lending.ContextId" value="$RP.Lending.Context/@id" />
<!-- RP.Other Context -->
<let name="RP.Other.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Other$')]) = 1]
         ]" />
<!-- RP.Other Context Id -->
<let name="RP.Other.ContextId" value="$RP.Other.Context/@id" />
<!-- RP.Reconciliation Context -->
<let name="RP.Reconciliation.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Reconciliation$')]) = 1]
         ]" />
<!-- RP.Reconciliation Context Id -->
<let name="RP.Reconciliation.ContextId" value="$RP.Reconciliation.Context/@id" />
<!-- RP.Total Context -->
<let name="RP.Total.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Total$')]) = 1]
         ]" />
<!-- RP.Total Context Id -->
<let name="RP.Total.ContextId" value="$RP.Total.Context/@id" />
<!-- RP.TotalNet Context -->
<let name="RP.TotalNet.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:TotalNet$')]) = 1]
         ]" />
<!-- RP.TotalNet Context Id -->
<let name="RP.TotalNet.ContextId" value="$RP.TotalNet.Context/@id" />
<!-- RP.Trading Context -->
<let name="RP.Trading.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Trading$')]) = 1]
         ]" />
<!-- RP.Trading Context Id -->
<let name="RP.Trading.ContextId" value="$RP.Trading.Context/@id" />
<!-- RP.BranchOperations.InternallyRecordedDealings Context -->
<let name="RP.BranchOperations.InternallyRecordedDealings.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:BranchOperations$')]) = 1
              and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternallyRecordedDealings\.\d\d\.\d\d_typedelement:InternallyRecordedDealingsDimension$')]/InternallyRecordedDealings.02.00_typedelement:InternationalDealings.Description.Text) = 1]
         ]" />
<!-- RP.Trading Context Id -->
<let name="RP.BranchOperations.InternallyRecordedDealings.ContextId" value="$RP.BranchOperations.InternallyRecordedDealings.Context/@id" />
<!-- RP.BranchOperations.InterestFree Context -->
<let name="RP.BranchOperations.InterestFree.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:BranchOperations$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LoanType\.\d\d\.\d\d:LoanTypeDimension$') and matches(.,'^LoanType\.\d\d\.\d\d:InterestFree$')]) = 1]
         ]" />
<!-- RP.BranchOperations.InterestFree Context Id -->
<let name="RP.BranchOperations.InterestFree.ContextId" value="$RP.BranchOperations.InterestFree.Context/@id" />
<!-- RP.BranchOperations.InterestBearing Context -->
<let name="RP.BranchOperations.InterestBearing.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:BranchOperations$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LoanType\.\d\d\.\d\d:LoanTypeDimension$') and matches(.,'^LoanType\.\d\d\.\d\d:InterestBearing$')]) = 1]
         ]" />
<!-- RP.BranchOperations.InterestBearing Context Id -->
<let name="RP.BranchOperations.InterestBearing.ContextId" value="$RP.BranchOperations.InterestBearing.Context/@id" />
<!-- RP.OtherFinancialDealings.InterestBearing Context -->
<let name="RP.OtherFinancialDealings.InterestBearing.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherFinancialDealings$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LoanType\.\d\d\.\d\d:LoanTypeDimension$') and matches(.,'^LoanType\.\d\d\.\d\d:InterestBearing$')]) = 1]
         ]" />
<!-- RP.OtherFinancialDealings.InterestBearing Context Id -->
<let name="RP.OtherFinancialDealings.InterestBearing.ContextId" value="$RP.OtherFinancialDealings.InterestBearing.Context/@id" />
<!-- RP.OtherFinancialDealings.InterestFree Context -->
<let name="RP.OtherFinancialDealings.InterestFree.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherFinancialDealings$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^LoanType\.\d\d\.\d\d:LoanTypeDimension$') and matches(.,'^LoanType\.\d\d\.\d\d:InterestFree$')]) = 1]
         ]" />
<!-- RP.OtherFinancialDealings.InterestFree Context Id -->
<let name="RP.OtherFinancialDealings.InterestFree.ContextId" value="$RP.OtherFinancialDealings.InterestFree.Context/@id" />
<!--RP.{RestructuringEvent}-->
<let name="RP.RestructuringEvent.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./*) = 2 and count(./xbrldi:explicitMember) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RestructuringEvent\.\d\d\.\d\d_typedelement:RestructuringEventDimension$')]/RestructuringEvent.02.00_typedelement:InternationalDealings.Description.Text) = 1]
         ]" />
<!-- RP.OtherFinancialDealings.InterestFree Context Id -->
<let name="RP.RestructuringEvent.ContextId" value="$RP.RestructuringEvent.Context/@id" />
<!-- RP.TrustExemptionCode Context -->
<let name="RP.TrustExemptionCode.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^TransferorTrustExemptionCode\.\d\d\.\d\d:TransferorTrustExemptionCodeDimension$') and matches(.,'^TransferorTrustExemptionCode\.\d\d\.\d\d:(TransferorTrustExemption1|TransferorTrustExemption2|TransferorTrustExemption3|TransferorTrustExemption4|TransferorTrustExemption5|TransferorTrustExemption6)$')]) = 1]
         ]" />
<!-- RP.TrustExemptionCode Context Id -->
<let name="RP.TrustExemptionCode.ContextId" value="$RP.TrustExemptionCode.Context/@id" />
<!-- RP.Quarterly Context -->
<let name="RP.Quarterly.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^PrdType\.\d\d\.\d\d:PeriodTypeDimension$') and matches(.,'^PrdType\.\d\d\.\d\d:Quarterly$')]) = 1]
         ]" />
<!-- RP.Quarterly Context Id -->
<let name="RP.Quarterly.ContextId" value="$RP.Quarterly.Context/@id" />
<!-- RP.Lending.RelatedParty Context -->
<let name="RP.Lending.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Lending$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
<!-- RP.Quarterly Context Id -->
<let name="RP.Lending.RelatedParty.ContextId" value="$RP.Lending.RelatedParty.Context/@id" />
<!-- RP.Borrowing.RelatedParty Context -->
<let name="RP.Borrowing.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Borrowing$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
<!-- RP.Borrowing.RelatedParty Context Id -->
<let name="RP.Borrowing.RelatedParty.ContextId" value="$RP.Borrowing.RelatedParty.Context/@id" />
<!-- RP.GuaranteeType.RelatedParty Context -->
<let name="RP.GuaranteeType.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:GuaranteeType$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
<!-- RP.GuaranteeType.RelatedParty Context Id -->
<let name="RP.GuaranteeType.RelatedParty.ContextId" value="$RP.GuaranteeType.RelatedParty.Context/@id" />
<let name="RP.Trading.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Trading$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
<!-- RP.GuaranteeType.RelatedParty Context Id -->
<let name="RP.Trading.RelatedParty.ContextId" value="$RP.Trading.RelatedParty.Context/@id" />
<let name="RP.EligibleContract.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:EligibleContract$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
<!-- RP.EligibleContract.RelatedParty Context Id -->
<let name="RP.EligibleContract.RelatedParty.ContextId" value="$RP.EligibleContract.RelatedParty.Context/@id" />
<let name="RP.Investment.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Investment$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
<!-- RP.Investment.RelatedParty Context Id -->
<let name="RP.Investment.RelatedParty.ContextId" value="$RP.Investment.RelatedParty.Context/@id" />
<!-- RP.CFCLC Context -->
<let name="RP.CFCLC.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
          ]" />
<!-- RP.CFCLC Context Id -->
<let name="RP.CFCLC.ContextId" value="$RP.CFCLC.Context/@id" />
<!-- RP.CFCSP Context -->
<let name="RP.CFCSP.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:SpecifiedCountry$')]) = 1]
         ]" />
<!-- RP.CFCSP Context Id -->
<let name="RP.CFCSP.ContextId" value="$RP.CFCSP.Context/@id" />
<!-- RP.CFCUC Context -->
<let name="RP.CFCUC.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
         ]" />
<!-- RP.CFCUC Context Id -->
<let name="RP.CFCUC.ContextId" value="$RP.CFCUC.Context/@id" />
<!-- RP.Advisory.RelatedParty Context -->
<let name="RP.Advisory.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Advisory$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
<!-- RP.Advisory.RelatedParty Context Id -->
<let name="RP.Advisory.RelatedParty.ContextId" value="$RP.Advisory.RelatedParty.Context/@id" />
<!-- RP.Hedging.RelatedParty Context -->
<let name="RP.Hedging.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Hedging$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
<!-- RP.Hedging.RelatedParty Context Id -->
<let name="RP.Hedging.RelatedParty.ContextId" value="$RP.Hedging.RelatedParty.Context/@id" />
<!-- RP.Other.RelatedParty Context -->
<let name="RP.Other.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Other$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
<!-- RP.Other.RelatedParty Context Id -->
<let name="RP.Other.RelatedParty.ContextId" value="$RP.Other.RelatedParty.Context/@id" />
<!-- RP.Total.RelatedParty Context -->
<let name="RP.Total.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Total$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
<!-- RP.Total.RelatedParty Context Id -->
<let name="RP.Total.RelatedParty.ContextId" value="$RP.Total.RelatedParty.Context/@id" />
<!-- RP.Reconciliation.RelatedParty Context -->
<let name="RP.Reconciliation.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:Reconciliation$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
<!-- RP.Reconciliation.RelatedParty Context Id -->
<let name="RP.Reconciliation.RelatedParty.ContextId" value="$RP.Reconciliation.RelatedParty.Context/@id" />
<!-- RP.TotalNet.RelatedParty Context -->
<let name="RP.TotalNet.RelatedParty.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^BankingType\.\d\d\.\d\d:BankingTypeDimension$') and matches(.,'^BankingType\.\d\d\.\d\d:TotalNet$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:CounterpartyRelationshipTypeDimension$') and matches(.,'^CntrprtyRltnshpTyp\.\d\d\.\d\d:RelatedParty$')]) = 1]
         ]" />
<!-- RP.TotalNet.RelatedParty Context Id -->
<let name="RP.TotalNet.RelatedParty.ContextId" value="$RP.TotalNet.RelatedParty.Context/@id" />
<!-- RP.DTA Context -->
<let name="RP.DTA.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^WTE\.\d\d\.\d\d:WithholdingTaxExemptionDimension$') and matches(.,'^WTE\.\d\d\.\d\d:DoubleTaxAgreement$')]) = 1]
         ]" />
<!-- RP.DTA Context Id -->
<let name="RP.DTA.ContextId" value="$RP.DTA.Context/@id" />
<!-- RP.s128F Context -->
<let name="RP.s128F.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^WTE\.\d\d\.\d\d:WithholdingTaxExemptionDimension$') and matches(.,'^WTE\.\d\d\.\d\d:Section128F$')]) = 1]
         ]" />
<!-- RP.s128F Context Id -->
<let name="RP.s128F.ContextId" value="$RP.s128F.Context/@id" />
<!-- RP.s128F Context -->
<let name="RP.s128FA.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^WTE\.\d\d\.\d\d:WithholdingTaxExemptionDimension$') and matches(.,'^WTE\.\d\d\.\d\d:Section128FA$')]) = 1]
         ]" />
<!-- RP.s128FA Context Id -->
<let name="RP.s128FA.ContextId" value="$RP.s128FA.Context/@id" />
<let name="RP.Identifier.TFN" value="$RP.Context/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn']/text()" />
</pattern>