﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Cross Form Validation Variables</title>

    <!-- PTR Context -->
    <let name="PTR.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ptr/ptr_0004/ptr.0004.lodge.request.02.00.report.xsd']]" />
    <!-- RP Context -->
    <let name="RP.PTR.Context" value="$PTR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1') 
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
            ]" />
    <!-- RP Context Id -->
    <let name="RP.PTR.ContextId" value="$RP.PTR.Context/@id" />
    <!-- INT Context -->
    <let name="INT.PTR.Context" value="$PTR.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]
            ]" />
    <!-- INT Context Id -->
    <let name="INT.PTR.ContextId" value="$INT.PTR.Context/@id" />
    <!-- RP.JAUS.Prim.Context Variables -->
    <let name="RP.JAUS.Prim.PTR.Context" value="$PTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and matches(.,'^IndustryProductionType\.\d\d\.\d\d:PrimaryProduction$')]) = 1]
           ]" />
    <let name="RP.JAUS.Prim.PTR.ContextId" value="$RP.JAUS.Prim.PTR.Context/@id" />
    <!-- RP.JAUS.NonPrim Context Variables -->
    <let name="RP.JAUS.NonPrim.PTR.Context" value="$PTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and matches(.,'^IndustryProductionType\.\d\d\.\d\d:NonPrimaryProduction$')]) = 1]
           ]" />
    <let name="RP.JAUS.NonPrim.PTR.ContextId" value="$RP.JAUS.NonPrim.PTR.Context/@id" />
    <!-- RP.JFOREIGN Context -->
    <let name="RP.JFOREIGN.PTR.Context" value="$PTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]
            ]" />
    <!-- RP.JFOREIGN Context Id -->
    <let name="RP.JFOREIGN.PTR.ContextId" value="$RP.JFOREIGN.PTR.Context/@id" />
    <!-- RP.JAUS Context -->
    <let name="RP.JAUS.PTR.Context" value="$PTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]
            ]" />
    <!-- RP.JAUS Context Id -->
    <let name="RP.JAUS.PTR.ContextId" value="$RP.JAUS.PTR.Context/@id" />
    <!-- RP.JFOREIGN.CFCLC.Context Variables -->
    <let name="RP.JFOREIGN.CFCLC.PTR.Context" value="$PTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />
    <let name="RP.JFOREIGN.CFCLC.PTR.ContextId" value="$RP.JFOREIGN.CFCLC.PTR.Context/@id" />
    <!-- RP.JFOREIGN.CFC404.Context Variables -->
    <let name="RP.JFOREIGN.CFC404.PTR.Context" value="$PTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />
    <let name="RP.JFOREIGN.CFC404.PTR.ContextId" value="$RP.JFOREIGN.CFC404.PTR.Context/@id" />
    <!-- RP.JFOREIGN.CFCUC.Context Variables -->
    <let name="RP.JFOREIGN.CFCUC.PTR.Context" value="$PTR.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
           ]" />
    <let name="RP.JFOREIGN.CFCUC.PTR.ContextId" value="$RP.JFOREIGN.CFCUC.PTR.Context/@id" />
    <!-- RP.TOFA Context -->
    <let name="RP.TOFA.PTR.Context" value="$PTR.Context/xbrli:context[         
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and matches(.,'^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]
            ]" />
    <!--RP.TOFA Context Id-->
    <let name="RP.TOFA.PTR.ContextId" value="$RP.TOFA.PTR.Context/@id" />

    <!-- IDS Context Variable -->
    <let name="IDS.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ids/ids_0003/ids.0003.lodge.request.02.00.report.xsd']]" />
    <!-- RP.IDS Context -->
    <let name="RP.IDS.Context" value="$IDS.Context/xbrli:context[
            not(@i:nil='true' or @i:nil='1') 
            and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
            xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
         ]" />
    <!-- RP.IDS Context Id -->
    <let name="RP.IDS.ContextId" value="$RP.IDS.Context/@id" />
    <!-- RP.Royalties.IDS Context -->
    <let name="RP.Royalties.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Royalties$')]) = 1]
         ]" />
    <!-- RP.Royalties.IDS Context Id -->
    <let name="RP.Royalties.IDS.ContextId" value="$RP.Royalties.IDS.Context/@id" />
    <!-- RP.OtherInterest.IDS Context -->
    <let name="RP.OtherInterest.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherInterest$')]) = 1]
         ]" />
    <!-- RP.OtherInterest.IDS Context Id -->
    <let name="RP.OtherInterest.IDS.ContextId" value="$RP.OtherInterest.IDS.Context/@id" />
    <!-- RP.CFCLC Context -->
    <let name="RP.CFCLC.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
          ]" />
    <!-- RP.CFCLC Context Id -->
    <let name="RP.CFCLC.IDS.ContextId" value="$RP.CFCLC.IDS.Context/@id" />
    <!-- RP.CFCSP Context -->
    <let name="RP.CFCSP.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:SpecifiedCountry$')]) = 1]
          ]" />
    <!-- RP.CFCSP Context Id -->
    <let name="RP.CFCSP.IDS.ContextId" value="$RP.CFCSP.IDS.Context/@id" />
    <!-- RP.CFCUC Context -->
    <let name="RP.CFCUC.IDS.Context" value="$IDS.Context/xbrli:context[         
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]              
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
          ]" />
    <!-- RP.CFCUC Context Id -->
    <let name="RP.CFCUC.IDS.ContextId" value="$RP.CFCUC.IDS.Context/@id" />

</pattern>