﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Lengths" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Length Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!--
	      IF (pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.LocalityName.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
          RETURN VALIDATION MESSAGE
        ENDIF               
    -->

    <assert  id="VR.ATO.GEN.500028" diagnostics="DVR.ATO.GEN.500028"
           test="not(                       
                        $RS19 and string-length(normalize-space($RS19)) != 0 and
                        matches($RS19,'^(.*)([^-a-zA-Z0-9!@$%*()=\[\];:,.?/\s''&quot;&amp;])(.*)$')              
                      )">
    </assert>

    <!--
	      IF (pyde.xx.xx:AddressDetails.Line2.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.Line2.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
          RETURN VALIDATION MESSAGE
        ENDIF                  
    -->

    <assert  id="VR.ATO.GEN.500027" diagnostics="DVR.ATO.GEN.500027"
           test="not(                       
                        $RS18 and string-length(normalize-space($RS18)) != 0 and
                        matches($RS18,'^(.*)([^-a-zA-Z0-9!@$%*()=\[\];:,.?/\s''&quot;&amp;])(.*)$')              
                      )">
    </assert>

    <!--
	       IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:AddressDetails.Line1.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
            RETURN VALIDATION MESSAGE
         ENDIF                    
    -->

    <assert  id="VR.ATO.GEN.500026" diagnostics="DVR.ATO.GEN.500026"
           test="not(                       
                        $RS17 and string-length(normalize-space($RS17)) != 0 and
                        matches($RS17,'^(.*)([^-a-zA-Z0-9!@$%*()=\[\];:,.?/\s''&quot;&amp;])(.*)$')              
                      )">
    </assert>

    <!--
       IF [RS28] <> NULL AND [RS28] <> NUMBER(U,3,0) 
          RETURN VALIDATION MESSAGE 
       ENDIF

      [RS28] = RS:RP:bafot.02.00:RealEstateProperty.Ownership.Percent
    -->

    <assert  id="VR.ATO.RS.000144" diagnostics="DVR.ATO.RS.000144" test="not(
                        bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,3}$'))]
                      )"></assert>

    <!--
     IF ([RS27] <> NULL) AND ([RS27] <> NUMBER(U,2,0))
       RETURN VALIDATION MESSAGE
     ENDIF

     [RS27] = RS:RP:bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count
    -->

    <assert  id="VR.ATO.RS.000143" diagnostics="DVR.ATO.RS.000143" test="not(
                        bafot.02.00:RealEstateProperty.RentalWeeksAvailable.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,2}$'))]
                      )"></assert>


    <!--
    IF ([RS25] <> NULL) AND ([RS25] <> NUMBER(U,2,0))
    RETURN VALIDATION MESSAGE
    ENDIF

    [RS25] = RS:RP:bafot.02.00:RealEstateProperty.RentalWeeks.Count
    -->

    <assert  id="VR.ATO.RS.000145" diagnostics="DVR.ATO.RS.000145" test="not(
                        bafot.02.00:RealEstateProperty.RentalWeeks.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,2}$'))]
                      )"></assert>

    <!--
    IF [RS28] > 100
    RETURN VALIDATION MESSAGE
    ENDIF

    [RS28] = RS:RP:bafot.02.00:RealEstateProperty.Ownership.Percent
    -->
    <assert id="VR.ATO.RS.000140" diagnostics="DVR.ATO.RS.000140" test="not(
            number(bafot.02.00:RealEstateProperty.Ownership.Percent[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;100
            )"/>

    <!--
    IF (TFNALGORITHM (RP:entity.identifier.TFN) = FALSE)
      RETURN VALIDATION MESSAGE
    ENDIF
    -->

    <let name="rp_identifier" value="xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]/xbrli:entity/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]" />

    <assert id="VR.ATO.GEN.500009" diagnostics="DVR.ATO.GEN.500009" test="count(xbrli:context[@id = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 1 and string-length(normalize-space($rp_identifier)) != 0 and function:ValidateTFN($rp_identifier)
            "/>
  </rule>
    <rule context="bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
    IF ([rs30] <> NULL) AND ([rs30] <> MONETARY(U,11,0))
    RETURN VALIDATION MESSAGE
    ENDIF


    [rs12] = RS:RP:pyde.02.21:Party.Type.Code
    [rs30] = RS:RP:bafpo7.02.04:Assets.Investment.RealEstatePropertyPurchase.Amount
    -->
    <assert id="VR.ATO.RS.000127" diagnostics="DVR.ATO.RS.000127"
        test="not(
        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                   )"/>
  </rule>
    <rule context="bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
    IF ([rs32] <> NULL) AND ([rs32] <> MONETARY(U,11,0))
    RETURN VALIDATION MESSAGE
    ENDIF

    [rs12] = RS:RP:pyde.02.21:Party.Type.Code
    [rs32] = RS:RP:bafpo7.02.04:Assets.Investment.RealEstatePropertySale.Amount
    -->
    <assert id="VR.ATO.RS.000126" diagnostics="DVR.ATO.RS.000126"
        test="not(
        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                   )"/>
  </rule>
    <rule context="bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
    IF ([rs33] <> NULL) AND([rs33] <> MONETARY(S,11,0))
    RETURN VALIDATION MESSAGE
    ENDIF

    [rs12] = RS:RP:pyde.02.21:Party.Type.Code
    [rs32] = RS:RP:bafpr2.02.04:Income.RealEstateProperty.CapitalGainsNet.Amount
    -->
    <assert id="VR.ATO.RS.000128" diagnostics="DVR.ATO.RS.000128"
        test="not(
        @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))  
                   )"/>
  </rule>
    <rule context="bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
    IF ([rs32] <> NULL) AND ([rs32] <> MONETARY(U,11,0))
    RETURN VALIDATION MESSAGE
    ENDIF

    [rs12] = RS:RP:pyde.02.21:Party.Type.Code
    [rs34] = bafpr2.02.04:Expense.RealEstateProperty.PlantRecoupedDepreciationOnSale.Amount
    -->
    <assert id="VR.ATO.RS.000125" diagnostics="DVR.ATO.RS.000125" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                   )"/>
  </rule>
  
  <rule context="bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
         IF [RS59] <> MONETARY(S,11,0)
            RETURN VALIDATION MESSAGE
         ENDIF

        [RS59] = RS:RP:bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount
        -->

    <assert  id="VR.ATO.RS.000041" diagnostics="DVR.ATO.RS.000041" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[-+]?[0-9]{1,11}$'))
                      )"></assert>
  </rule>0

  <rule context="bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
           IF [RS58] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
           ENDIF

          [RS58] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount
        -->

    <assert  id="VR.ATO.RS.000040" diagnostics="DVR.ATO.RS.000040" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>    
    
  </rule>

  <rule context="bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
       IF [RS57] <> MONETARY(U,11,0)
           RETURN VALIDATION MESSAGE
       ENDIF

       [RS57] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Water.Amount
        -->

    <assert  id="VR.ATO.RS.000039" diagnostics="DVR.ATO.RS.000039" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )"></assert>

  </rule>

  <rule context="bafpr1.02.00:Expense.Travel.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
      IF [RS56] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
      ENDIF

      [RS56] = RS:RP:bafpr1.02.00:Expense.Travel.Amount
    -->

    <assert id="VR.ATO.RS.000038" diagnostics="DVR.ATO.RS.000038" test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>

  <rule context="bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
    IF [RS55] <> MONETARY(U,11,0)
         RETURN VALIDATION MESSAGE
    ENDIF

    [RS55] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount
        -->

    <assert id="VR.ATO.RS.000037" diagnostics="DVR.ATO.RS.000037"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>
  
  <rule context="bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
       IF [RS54] <> MONETARY(U,11,0)
          RETURN VALIDATION MESSAGE
       ENDIF

      [RS54] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
        -->

    <assert id="VR.ATO.RS.000036" diagnostics="DVR.ATO.RS.000036"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>

  <rule context="bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
      IF [RS53] <> MONETARY(U,11,0)
         RETURN VALIDATION MESSAGE
      ENDIF

      [RS53] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount
        -->

    <assert id="VR.ATO.RS.000035" diagnostics="DVR.ATO.RS.000035"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>

  <rule context="bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
      IF [RS52] <> MONETARY(U,11,0)
          RETURN VALIDATION MESSAGE
      ENDIF

      [RS52] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount
        -->

    <assert id="VR.ATO.RS.000034" diagnostics="DVR.ATO.RS.000034"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>

  <rule context="bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
      IF [RS51] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
      ENDIF

      [RS51] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount
        -->

    <assert id="VR.ATO.RS.000033" diagnostics="DVR.ATO.RS.000033"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>

  <rule context="bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
       IF [RS50] <> MONETARY(U,11,0)
          RETURN VALIDATION MESSAGE
       ENDIF

       [RS50] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount
        -->

    <assert id="VR.ATO.RS.000032" diagnostics="DVR.ATO.RS.000032"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>
  
  <rule context="bafpr1.02.00:Expense.LandTax.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
      IF [RS49] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
      ENDIF

      [RS49] = RS:RP:bafpr1.02.00:Expense.LandTax.Amount
        -->

    <assert id="VR.ATO.RS.000031" diagnostics="DVR.ATO.RS.000031"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>

  <rule context="bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
      IF [RS48] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
      ENDIF

      [RS48] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount
        -->

    <assert id="VR.ATO.RS.000030" diagnostics="DVR.ATO.RS.000030"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>
  
  <rule context="bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
      IF [RS47] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
      ENDIF

      [RS47] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount
        -->

    <assert id="VR.ATO.RS.000029" diagnostics="DVR.ATO.RS.000029"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>

  <rule context="bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
     IF [RS46] <> MONETARY(U,11,0)
         RETURN VALIDATION MESSAGE
    ENDIF

    [RS46] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount
        -->

    <assert id="VR.ATO.RS.000028" diagnostics="DVR.ATO.RS.000028"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>

  <rule context="bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
      IF [RS45] <> MONETARY(U,11,0)
         RETURN VALIDATION MESSAGE
      ENDIF

      [RS45] = RS:RP:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
        -->

    <assert id="VR.ATO.RS.000027" diagnostics="DVR.ATO.RS.000027"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>

  <rule context="bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
      IF [RS44] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
      ENDIF

      [RS44] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount
        -->

    <assert id="VR.ATO.RS.000026" diagnostics="DVR.ATO.RS.000026"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>

  <rule context="bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
      IF [RS43] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
      ENDIF

      [RS43] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount
        -->

    <assert id="VR.ATO.RS.000025" diagnostics="DVR.ATO.RS.000025"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>
  
  <rule context="bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
      IF [RS42] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
      ENDIF

      [RS42] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount
        -->
    <assert id="VR.ATO.RS.000024" diagnostics="DVR.ATO.RS.000024"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>
  </rule>

  <rule context="bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
      IF [RS41] <> MONETARY(U,11,0)
          RETURN VALIDATION MESSAGE
      ENDIF

      [RS41] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount
        -->
    <assert id="VR.ATO.RS.000023" diagnostics="DVR.ATO.RS.000023"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>
  </rule>
  
  <rule context="bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[not(@i:nil='true' or @i:nil='1')]">

    <!--
       IF [RS40] <> MONETARY(U,11,0)
          RETURN VALIDATION MESSAGE
       ENDIF

      [RS40] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount
        -->

    <assert id="VR.ATO.RS.000022" diagnostics="DVR.ATO.RS.000022"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>

  </rule>

  <rule context="bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
      IF [RS39] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
      ENDIF

      [RS39] = RS:RP:bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount
        -->
    <assert id="VR.ATO.RS.000021" diagnostics="DVR.ATO.RS.000021"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>
  </rule>

  <rule context="bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
      IF [RS38] <> MONETARY(U,11,0)
          RETURN VALIDATION MESSAGE
      ENDIF

      [RS38] = RS:RP:bafpr2.02.04:Income.RealEstateProperty.Rental.Amount
        -->
    <assert id="VR.ATO.RS.000020" diagnostics="DVR.ATO.RS.000020"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>
  </rule>

  <rule context="bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount[not(@i:nil='true' or @i:nil='1')]">
    <!--
     IF [RS35] <> MONETARY(U,11,0)
        RETURN VALIDATION MESSAGE
     ENDIF

      [RS35] = RS:RP:bafpr2.02.05:Expense.RealEstateProperty.CapitalWorksDeductionRecouped.Amount
        -->
    <assert id="VR.ATO.RS.000129" diagnostics="DVR.ATO.RS.000129"
            test="not(
                        @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))
                      )">
    </assert>
  </rule>

 
</pattern>