﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossForm" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Cross Form Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/trt/trt_0004/trt.0004.lodge.request.02.00.report.xsd']]">

<!--
                Rule ID: VR.ATO.TRT.432429
            
                IF [TRT32] = "179" AND [TRT144] > 100000 AND (COUNT(SCHEDULE = "LS") = 0) 
                    RETURN VALIDATION MESSAGE
                END IF
            
                [TRT32] = TRT:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
                [TRT144] = TRT:RP:rvctc2.xx.xx:IncomeTax.Deduction.TaxLossesDeducted.Amount
        -->
  
<let name="RP.TRT.TFN" value="$RP.TRT.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn' and string-length(normalize-space(.)) != 0]" />

  <assert  id="VR.ATO.TRT.432429" diagnostics="DVR.ATO.TRT.432429" test="not(
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.TRT.ContextId  and not(@i:nil='true' or @i:nil='1') and number(.)=179]
                        and sum(rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 100000
                        and count($LOS.Context) = 0
                     )"></assert>

  
  <!--
                Rule ID: VR.ATO.TRT.432124
            
                IF  (COUNT(SCHEDULE = ""RS"") > 0) AND SUM([RS54]) <> [TRT91]
                    RETURN VALIDATION MESSAGE
                ENDIF

                [RS54] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
                [TRT91] = TRT:RP.JAUS:bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
        -->

        <assert  id="VR.ATO.TRT.432124" diagnostics="DVR.ATO.TRT.432124" test="not(
                        count($RS.Context) &gt; 0
                        and
                        (
                            round(xs:decimal(100 * sum($RS.Context/bafpr2.02.04:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[@contextRef=$RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            !=
                            round(xs:decimal(100 * sum(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                     )"></assert>

  <!--
                Rule ID: VR.ATO.TRT.432020
              
                IF ([TRT31] = ""R"") AND (COUNT(SCHEDULE = ""IEE"") = 0)
                     RETURN VALIDATION MESSAGE
                ENDIF

                [TRT31] = TRT:RP:rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code
        -->
  
<assert  id="VR.ATO.TRT.432020" diagnostics="DVR.ATO.TRT.432020" test="not(
                        rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code 
                            [@contextRef = $RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')] = 'R'
                        and count($IEE.Context) = 0
                     )"></assert>

  <!--
                Rule ID: VR.ATO.TRT.432122  

                IF (COUNT(SCHEDULE = ""RS"") > 0) AND SUM([RS48]) <> [TRT90] 
                    RETURN VALIDATION MESSAGE
                ENDIF

                [RS48] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.LoanInterest.Amount
                [TRT90] = TRT:RP.JAUS:bafpr1.02.05:Expense.Interest.Amount


                [RS48] = RS:RP:bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount
                [TRT90] = TRT:RP.JAUS:bafpr1.02.05:Expense.Interest.Amount
  -->

  <assert  id="VR.ATO.TRT.432122" diagnostics="DVR.ATO.TRT.432122" test="not(
                        count($RS.Context) &gt; 0
                        and
                        (
                            round(xs:decimal(100 * sum($RS.Context/bafpr2.02.04:Expense.RealEstateProperty.LoanInterest.Amount[@contextRef=$RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            !=                            
                            round(xs:decimal(100 * sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                     )"></assert>

        <!--
                Rule ID: VR.ATO.TRT.432126
            
                IF  (COUNT(SCHEDULE = ""RS"") > 0) AND (SUM(ALL OCCURRENCES OF([RS40] + [RS41] + [RS42] + [RS43] + [RS44] + [RS45] + [RS46] + [RS47] + [RS49] + [RS50] + [RS51] + [RS52] + [RS53] + [RS55] + [RS56] + [RS57] + [RS58])) <> [TRT92])
                   RETURN VALIDATION MESSAGE
                ENDIF

                [RS40] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Marketing.Amount
                [RS41] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.BodyCorporate.Amount
                [RS42] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Borrowing.Amount
                [RS43] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Cleaning.Amount
                [RS44] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.CouncilRates.Amount
                [RS45] = RS:RP:bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
                [RS46] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Gardening.Amount
                [RS47] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Insurance.Amount
                [RS49] = RS:RP:bafpr1.xx.xx:Expense.LandTax.Amount
                [RS50] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.LegalFees.Amount
                [RS51] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.PestControl.Amount
                [RS52] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.AgentFeesCommission.Amount
                [RS53] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.RepairsAndMaintenance.Amount
                [RS55] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.OfficeSupplies.Amount
                [RS56] = RS:RP:bafpr1.xx.xx:Expense.Travel.Amount
                [RS57] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Water.Amount
                [RS58] = RS:RP:bafpr2.xx.xx:Expense.RealEstateProperty.Sundry.Amount
                [TRT92] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount

-->

<assert  id="VR.ATO.TRT.432126" diagnostics="DVR.ATO.TRT.432126" test="not(
                        count($RS.Context) &gt; 0
                        and
                        round(xs:decimal(100 * sum(
                             $RS.Context/bafpr2.02.04:Expense.RealEstateProperty.Marketing.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.BodyCorporate.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.Borrowing.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.Cleaning.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.CouncilRates.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.Gardening.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.Insurance.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr1.02.00:Expense.LandTax.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.LegalFees.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.PestControl.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.AgentFeesCommission.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.OfficeSupplies.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr1.02.00:Expense.Travel.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.Water.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            |$RS.Context/bafpr2.02.04:Expense.RealEstateProperty.Sundry.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))
                         !=
                         round(xs:decimal(100 * sum(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"></assert>
  
  <!--
                Rule ID: VR.ATO.TRT.432215
            
                IF (COUNT(SCHEDULE = ""LS"") = 1) AND [LS52] <> [TRT146]  
                   RETURN VALIDATION MESSAGE
                ENDIF

                [LS52] = LS:RP.ALL:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
                [TRT146] = TRT:RP.Closing(Instant):rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
       -->

<assert  id="VR.ATO.TRT.432215" diagnostics="DVR.ATO.TRT.432215" test="not(
                        count($LOS.Context) = 1
                        and
                        (
                            round(xs:decimal(100*sum($LOS.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.All.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            !=                            
                            round(xs:decimal(100*sum(rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Closing.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                     )"></assert>

  <!--
                Rule ID: VR.ATO.TRT.432213
            
                IF (COUNT(SCHEDULE = "CGTS") = 1) AND ([CGTS124] + [CGTS125]) <> [TRT146]  
                    RETURN VALIDATION MESSAGE
                ENDIF

                [CGTS124] = CGTS:RP.Collectables.Unapplied:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
                [CGTS125] = CGTS:RP.CGTOther.Unapplied:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount
                [TRT146] = TRT:RP.Closing(Instant):rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
       -->
  
<assert  id="VR.ATO.TRT.432213" diagnostics="DVR.ATO.TRT.432213" test="not(
                        count($CGT.Context) = 1
                        and
                        sum(
                            $CGT.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CGT.Collectables.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            $CGT.Context/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CGT.CGTOther.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                        !=
                        sum(
                            rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[$RPI.Closing.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                    )"></assert>

<!--
                Rule ID: VR.ATO.TRT.432042
            
                IF [TRT133] > 10000 AND [TRT44] <> TRUE AND  (COUNT(SCHEDULE = "CGTS") = 0)
                    RETURN VALIDATION MESSAGE
                ENDIF
            
                [TRT133] = TRT:RP:Income.CapitalGainsNet.Amount
                [TRT44] = TRT:RP:OrganisationDetails.TaxConsolidationStatus.Indicator
        -->
         
<assert  id="VR.ATO.TRT.432042" diagnostics="DVR.ATO.TRT.432042" test="not(
                         sum(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                         &gt; 10000
                         and
                         not(pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                         and
                         count($CGT.Context) = 0
                     )"></assert>

  <!--
                Rule ID: VR.ATO.TRT.432011
      
                IF [TRT1] <> NULL AND 
                   (COUNT(SCHEDULE = ""IEE"") > 0) AND 
                   (
                     ANY OCCURRENCE OF ([IEE116] = "R") AND
                     ([IEE82] <> [TRT1])
                   )
                     RETURN VALIDATION MESSAGE
                ENDIF
            
                [TRT1]   = TRT:RP:Report.TargetFinancial.Year
                [IEE116] = IEE:RP:rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code
                [IEE82]  = IEE:RP:rvctc3.xx.xx:Elections.Revocation.Year
        -->
  
  <assert  id="VR.ATO.TRT.432011" diagnostics="DVR.ATO.TRT.432011" test="not(
                        pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and count($IEE.Context) &gt; 0
                        and count($IEE.Context/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')
                                    and . = 'R']) &gt; 0
                        and $IEE.Context/rvctc3.02.00:Elections.Revocation.Year[@contextRef=$RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1')]
                            !=
                            pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"></assert>


  <!--
                Rule ID: VR.ATO.TRT.432019

            
                IF [TRT30] = NULL AND (COUNT(SCHEDULE = ""IEE"") > 0)
                    RETURN VALIDATION MESSAGE
                ENDIF
            
                [TRT30] = TRT:RP:Elections.InterposedEntityElectionStatus.Year
        -->
  
<assert  id="VR.ATO.TRT.432019" diagnostics="DVR.ATO.TRT.432019" test="not(
                        not(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and count($IEE.Context) &gt; 0
                      )"></assert>
  


  <!--
                Rule ID: VR.ATO.TRT.432017
            
                IF [TRT29] = SET("R|V") AND (COUNT(SCHEDULE = "FTER") = 0)
                     RETURN VALIDATION MESSAGE
                ENDIF

                [TRT29] = TRT:RP:Elections.FamilyTrustElectionRevocation.Code        
        -->
  
<assert  id="VR.ATO.TRT.432017" diagnostics="DVR.ATO.TRT.432017" test="not(
                        rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') 
                          and matches(.,'^(R|V)$')]
                        and
                        count($FTER.Context) = 0
                      )"></assert>
  
  <!--
                Rule ID: VR.ATO.TRT.432210
            
                IF ([TRT145] + [TRT146]) > 100000 AND [TRT44] <> TRUE AND (COUNT(SCHEDULE = "LS") = 0)
                     RETURN VALIDATION MESSAGE
                ENDIF
            
                [TRT145] = TRT:RP.Closing:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
                [TRT146] = TRT:RPI.Closing:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount
                [TRT44] = TRT:RP:OrganisationDetails.TaxConsolidationStatus.Indicator
        -->
  
<assert  id="VR.ATO.TRT.432210" diagnostics="DVR.ATO.TRT.432210" test="not(
                          sum(
                             rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Closing.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]
                           )&gt;100000
                           and not(pyde.02.00:OrganisationDetails.TaxConsolidationStatus.Indicator[@contextRef=$RP.TRT.ContextId  and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                         and count($LOS.Context) = 0                             
                     )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432208
            
                IF [TRT32] = "179" AND [TRT144] > 100000 AND (COUNT(SCHEDULE = "LS") = 1) AND [LS15] = NULL AND [LS16] = NULL AND [LS17] = NULL AND [LS18] = NULL AND [LS19] = NULL AND [LS53] = NULL 
                    RETURN VALIDATION MESSAGE
                END IF

                [LS15] = LS:RP.Y0:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
                [LS16] = LS:RP.Y0-1:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
                [LS17] = LS:RP.Y0-2:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
                [LS18] = LS:RP.Y0-3:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
                [LS19] = LS:RP.Y0-4:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
                [LS53] = LS:RP.Y0-5P:rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator
                [TRT32] = TRT:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code
                [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
        -->

<assert  id="VR.ATO.TRT.432208" diagnostics="DVR.ATO.TRT.432208" test="not(
                         pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.TRT.ContextId  and not(@i:nil='true' or @i:nil='1') and number(.)=179]
                         and 
                         sum(rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')])
                         &gt;
                         100000                         
                         and count($LOS.Context) =1   
                         and not($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                         and not($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-1.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                         and not($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-2.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                         and not($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-3.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                         and not($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-4.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                         and not($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-5P.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>

  <!--
                Rule ID: VR.ATO.TRT.432212
            
                IF (COUNT(SCHEDULE = ""LS"") = 1) AND [LS50] <> [TRT145] 
                    RETURN VALIDATION MESSAGE
                ENDIF

                [LS50] = LS:RP.ALL:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
                [TRT145] = TRT:RP.Closing:rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->
  
          <assert  id="VR.ATO.TRT.432212" diagnostics="DVR.ATO.TRT.432212" test="not(
                            count($LOS.Context) =1 
                            and 
                            round(xs:decimal(100 * sum(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')])))
                             !=  
                            round(xs:decimal(100 * sum($LOS.Context/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.All.LOS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          )"></assert>

      <!--
                Rule ID: VR.ATO.TRT.432043
            
                IF ([TRT46] + [TRT47]) > 0 AND (COUNT(SCHEDULE = ""PSS"") = 0)
                    RETURN VALIDATION MESSAGE
                ENDIF

                [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
                [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount

        -->

        <assert  id="VR.ATO.TRT.432043" diagnostics="DVR.ATO.TRT.432043" test="not(
                          sum(
                             lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]|
                             lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]
                           )&gt;0
                          and count($PSS.Context) = 0                             
                     )"></assert>
   
  <!--
                Rule ID: VR.ATO.TRT.432044
          
                IF (COUNT(SCHEDULE = ""PSS"") > 0) AND SUM([PSS19]) <> [TRT46] + [TRT47] 
                    RETURN VALIDATION MESSAGE
                ENDIF

                [PSS19] = PSS:RP:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount 
                [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
                [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount

        -->

<assert  id="VR.ATO.TRT.432044" diagnostics="DVR.ATO.TRT.432044" test="not(
                          round(xs:decimal(100 * sum(
                              lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]|
                              lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]
                           )))
                           !=
                           round(xs:decimal(100 * sum(
                              $PSS.Context/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Payer.PSS.ContextId and not(@i:nil='true' or @i:nil='1')]
                           )))                           
                          and count($PSS.Context) &gt; 0                             
                     )"></assert>
  
      <!--
                Rule ID: VR.ATO.TRT.432051
            
                IF  (COUNT(SCHEDULE = ""PSS"") > 0) AND ([TRT49] <> SUM([PSS18]))
                    RETURN VALIDATION MESSAGE
                ENDIF

                [PSS18] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
                [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount

        -->

<assert  id="VR.ATO.TRT.432051" diagnostics="DVR.ATO.TRT.432051" test="not(
                          round(xs:decimal(100 * sum(
                              lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]
                           )))
                           !=
                           round(xs:decimal(100 * sum(
                              $PSS.Context/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.Payer.PSS.ContextId and not(@i:nil='true' or @i:nil='1')]
                           )))                           
                          and count($PSS.Context) &gt; 0                             
                     )"></assert>
        
      <!--
                Rule ID: VR.ATO.TRT.432088
          
                IF ([TRT73] > 0) AND ((COUNT(SCHEDULE = ""PSS"") = 0) OR (SUM([PSS23]) <> [TRT73]))
                   RETURN VALIDATION MESSAGE
                ENDIF

                [PSS23] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
                [TRT73] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount

        -->

        <assert  id="VR.ATO.TRT.432088" diagnostics="DVR.ATO.TRT.432088" test="not(
                            sum(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            and 
                            (
                                count($PSS.Context) = 0   
                                or
                                sum($PSS.Context/rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount[@contextRef=$RP.Payer.PSS.ContextId and not(@i:nil='true' or @i:nil='1')])
                                !=
                                sum(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.JAus.TRT.ContextId  and not(@i:nil='true' or @i:nil='1')]) 
                            )
                      )"></assert>
  
  <!-- 
  
                Rule ID: VR.ATO.TRT.432116
  
                IF (COUNT(SCHEDULE = ""RS"") > 0) AND (SUM(ALL OCCURRENCES OF([RS38] + [RS39]))) <> [TRT89]
                    RETURN VALIDATION MESSAGE
                ENDIF

                [RS38] = RS:RP:bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
                [RS39] = RS:RP:bafpr2.xx.xx:Income.RealEstateProperty.RentalRelatedOther.Amount
                [TRT89] = TRT:RP.JAUS:bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount


                [RS38] = RS:RP:bafpr2.02.04:Income.RealEstateProperty.Rental.Amount
                [RS39] = RS:RP:bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount
                [TRT89] = TRT:RP.JAUS:bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount

  -->

<assert  id="VR.ATO.TRT.432116" diagnostics="DVR.ATO.TRT.432116" test="not(
                        count($RS.Context) &gt; 0
                        and 
                        (
                          round(xs:decimal(100 * sum(
                            $RS.Context/bafpr2.02.04:Income.RealEstateProperty.Rental.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            $RS.Context/bafpr2.02.04:Income.RealEstateProperty.RentalRelatedOther.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          !=
                          round(xs:decimal(100 * sum(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                      )"></assert>
  
  <!--
                Rule ID: VR.ATO.TRT.432189
                
                IF (COUNT(SCHEDULE = ""CGTS"") = 1) AND ([TRT133] <> [CGTS131])
                  RETURN VALIDATION MESSAGE
                ENDIF

                [CGTS131] = CGTS:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
                [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            -->
  
<assert  id="VR.ATO.TRT.432189" diagnostics="DVR.ATO.TRT.432189" test="not(
                        count($CGT.Context) = 1
                        and
                        (
                          round(100 * sum(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                          !=
                          round(100 * sum($CGT.Context/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        )
                      )"></assert>

  <!--
                Rule ID: VR.ATO.TRT.430008
        
                IF (COUNT(SCHEDULE = "IEE") > 0) AND RP:entity.identifier.TFN = (ANY OCCURRENCE OF([IEE50]) 
                    RETURN VALIDATION MESSAGE
                ENDIF
            
                [IEE50] = IEE:RP:pyid.xx.xx:Identifiers.TaxFileNumber.Identifier
                          IN TUPLE(iee.0002.lodge.req.xx.xx:FamilyTrust)
        -->
  
  <assert  id="VR.ATO.GEN.430008" diagnostics="DVR.ATO.GEN.430008" test="not(                    
                        count($IEE.Context) &gt; 0
                        and
                        count($IEE.Context
                                /iee.0002.lodge.req.02.00:FamilyTrust[not(@i:nil='true' or @i:nil='1')]
                                    /pyid.02.00:Identifiers.TaxFileNumber.Identifier
                                        [@contextRef = $RP.IEE.ContextId and not(@i:nil='true' or @i:nil='1') and . = $RP.TRT.TFN]) &gt; 0
                      )"></assert>
  
        <!--
                Rule ID: VR.ATO.TRT.432115
                
                IF (COUNT(SCHEDULE = ""RS"") > 0) AND [TRT89] = NULL AND ([TRT90] = 0 OR [TRT90] = NULL) AND ([TRT91] = 0 OR [TRT91] = NULL) AND ([TRT92] = 0 OR [TRT92] = NULL) 
                    RETURN VALIDATION MESSAGE
                ENDIF

                [TRT89] = TRT:RP.JAUS:bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount
                [TRT90] = TRT:RP.JAUS:bafpr1.02.05:Expense.Interest.Amount
                [TRT91] = TRT:RP.JAUS:bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
                [TRT92] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
       -->

      <assert  id="VR.ATO.TRT.432115" diagnostics="DVR.ATO.TRT.432115" test="not(
                          count($RS.Context) &gt;0 
                          and
                         (
                           not(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and  sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                          and  sum(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                          and sum(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                          )
                     )"></assert>

        <!--    
                Rule ID: VR.ATO.TRT.432117
                
                IF (COUNT(SCHEDULE = ""RS"") > 0) AND SUM([RS59]) <> ([TRT89] - [TRT90] - [TRT91] - [TRT92]) 
                    RETURN VALIDATION MESSAGE
                ENDIF

                [RS59] = RS:RP:bafpr2.xx.xx:Income.RealEstateProperty.RentalNet.Amount
                [TRT89] = TRT:RP.JAUS:bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount
                [TRT90] = TRT:RP.JAUS:bafpr1.02.05:Expense.Interest.Amount
                [TRT91] = TRT:RP.JAUS:bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
                [TRT92] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount

        -->

      <assert  id="VR.ATO.TRT.432117" diagnostics="DVR.ATO.TRT.432117" test="not(
                          count($RS.Context) &gt;0 
                          and
                          round(xs:decimal(100 * (  
                                   sum(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                                   -
                                   sum(
                                      bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                      bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                      rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                                      )
                          )))
                          !=
                          round(xs:decimal(100 *(                              
                                  sum($RS.Context/bafpr2.02.04:Income.RealEstateProperty.RentalNet.Amount[@contextRef = $RP.RS.ContextId and not(@i:nil='true' or @i:nil='1')])
                          )))                           
                     )"></assert>
  
    <!--
                Rule ID: VR.ATO.TRT.432120
                
                IF ([TRT89] <> NULL OR [TRT90] > 0 OR [TRT91] > 0 OR [TRT92] > 0) AND (COUNT(SCHEDULE = ""RS"") = 0)
                    RETURN VALIDATION MESSAGE
                ENDIF

                [TRT89] = TRT:RP.JAUS:bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount
                [TRT90] = TRT:RP.JAUS:bafpr1.02.05:Expense.Interest.Amount
                [TRT91] = TRT:RP.JAUS:bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
                [TRT92] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount

       -->

<assert  id="VR.ATO.TRT.432120" diagnostics="DVR.ATO.TRT.432120" test="not(
                          count($RS.Context) =0 
                          and
                         (
                           bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                          or bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')and number(.) &gt;0 ]
                          or bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt;0 ]
                          or rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and number(.) &gt;0 ]
                          )
                     )"></assert>
  
<!--
                Rule ID: VR.ATO.GEN.438002
                
                IF (bafpr3.xx.xx:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator = TRUE) 
                AND (COUNT(SCHEDULE = ""IDS"") = 0)
                    RETURN VALIDATION MESSAGE
                ENDIF
        -->

<assert  id="VR.ATO.GEN.438002" diagnostics="DVR.ATO.GEN.438002" test="not(
                        bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[matches(.,'^(true|1)$') and not(@i:nil='true' or @i:nil='1')]
                        and 
                        count($IDS.Context) = 0
                    )"></assert>
  
<!--
                Rule ID: VR.ATO.GEN.438002
                
                IF (rvctc4.xx.xx:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator = TRUE) AND (COUNT(SCHEDULE = "IDS") = 0) 
                    RETURN VALIDATION MESSAGE
                ENDIF
        -->

<assert  id="VR.ATO.GEN.438003" diagnostics="DVR.ATO.GEN.438003" test="not(
                        rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and count($IDS.Context) = 0
                    )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432646
                
                IF (([IDS191] + [IDS192] + [IDS193]) > ([TRT134] + [TRT135] + [TRT136]))
                  RETURN VALIDATION MESSAGE
                ENDIF
                [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
                [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
                [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
                [IDS191] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount
                [IDS192] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount
                [IDS193] = IDS:RP:bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount
        -->

<assert  id="VR.ATO.TRT.432646" diagnostics="DVR.ATO.TRT.432646" test="not( 
                        sum(
                          $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                        | $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                        | $IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                        &gt; 
                        sum(
                          bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        | bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        | bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                        )"></assert>
  
<!-- 
                Rule ID: VR.ATO.TRT.432647
            
                IF ([TRT134] > 0) AND ([IDS188] > [TRT134])
                   RETURN VALIDATION MESSAGE
                ENDIF

                [IDS188] = IDS:RP.CFCLC:bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount
                [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        -->

<assert  id="VR.ATO.TRT.432647" diagnostics="DVR.ATO.TRT.432647" test="not(
                        sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        (
                           sum($IDS.Context/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount[@contextRef=$RP.CFCLC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt;
                            sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                    )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432650
            
                IF ([TRT63] = NULL OR [TRT63] = 0 ) 
                        AND ([TRT182] = NULL OR [TRT182] = 0 ) 
                        AND ([TRT129] = NULL OR [TRT129] = 0) 
                        AND ([IDS207] > 0)
                    RETURN VALIDATION MESSAGE
                ENDIF
                [TRT63] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.InterestTotal.Amount
                [TRT182] = TRT:RP.JFOREIGN:bafpr1.02.05:Expense.Interest.Amount
                [TRT129] = TRT:RP.JAUS:bafpr1.02.04:Expense.DeductibleOther.Amount IN TUPLE(trt.0004.lodge.req.02.00:OtherDeductions)
                [IDS207] = IDS:RP:rvctc2.02.08:IncomeTax.Deduction.DebtEarningNonAssessableForeignIncomeTotal.Amount
        -->

<assert  id="VR.ATO.TRT.432650" diagnostics="DVR.ATO.TRT.432650" test="not(
                          sum(bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and sum(trt.0004.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.JAus.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                          and sum($IDS.Context/rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableNonExemptForeignIncomeTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          )"></assert>

<!-- 
                Rule ID: VR.ATO.TRT.432126
            
                IF ([TRT131] = FALSE) AND ([IDS208] = TRUE)
                   RETURN VALIDATION MESSAGE
                ENDIF

                [IDS208] = IDS:RP:rvctc3.02.00:CapitalGainsTax.Event.Indicator
                [TRT131] = TRT:RP:rvctc3.02.00:CapitalGainsTax.Event.Indicator
        -->

<assert  id="VR.ATO.TRT.432652" diagnostics="DVR.ATO.TRT.432652" test="not(
                        rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                        and
                        $IDS.Context/rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                    )"></assert>
  
<!-- 
                Rule ID: VR.ATO.TRT.432651
            
                IF ([TRT140] = NULL) AND ([IDS219] > 0)
                   RETURN VALIDATION MESSAGE
                ENDIF

                [IDS219] = IDS:RP:bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount
                [TRT140] = TRT:RP.JFOREIGN:bafpr1.02.04:Income.Other.Amount
        -->

<assert  id="VR.ATO.TRT.432651" diagnostics="DVR.ATO.TRT.432651" test="not(
                        not(bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        sum($IDS.Context/bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432653
            
                IF ([TRT133] = NULL AND ([IDS209] > 0))
                   RETURN VALIDATION MESSAGE
                ENDIF

                [IDS209] = IDS:RP:rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalGains.Amount
                [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
        -->

<assert  id="VR.ATO.TRT.432653" diagnostics="DVR.ATO.TRT.432653" test="not(
                        not(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        sum($IDS.Context/rvctc3.02.10:CapitalGainsTax.ActiveForeignBusinessCapitalGains.Amount[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432655
            
                IF ([TRT183] = 0 OR [TRT183] = NULL) AND ([IDS22] > 0)
                RETURN VALIDATION MESSAGE
                ENDIF

                [IDS22] = IDS:RP.Royalties:bafpr1.02.12:Expense.DeductionsTotal.Amount
                [TRT183] = TRT:RP.JFOREIGN:bafpr1.02.04:Expense.Royalties.Amount
        -->

<assert  id="VR.ATO.TRT.432655" diagnostics="DVR.ATO.TRT.432655" test="not(
                        sum(bafpr1.02.04:Expense.Royalties.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        sum($IDS.Context/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.Royalties.IDS.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)"></assert>

  <!--
                Rule ID: VR.ATO.TRT.432648
            
                IF ([TRT134] > 0 OR [TRT135] > 0 OR [TRT136] > 0) AND ([IDS185] = NULL AND [IDS186] = NULL AND [IDS187] = NULL)
                RETURN VALIDATION MESSAGE
                ENDIF

                [IDS185] = IDS:RP.CFCLC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                [IDS186] = IDS:RP.CFCSP:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                [IDS187] = IDS:RP.CFCUC:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count
                [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
                [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
                [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        -->

<assert  id="VR.ATO.TRT.432648" diagnostics="DVR.ATO.TRT.432648" test="not( 
                        (
                            sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        )
                        and
                        (
                            not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCLC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCSP.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                            or not($IDS.Context/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCUC.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                        ))"></assert>
  
<!-- 
                Rule ID: VR.ATO.TRT.432656
            
                IF ([TRT183] > 0) AND ([TRT183] < [IDS22])
                    RETURN VALIDATION MESSAGE
                ENDIF

                [IDS22] = IDS:RP.Royalties:bafpr1.02.12:Expense.DeductionsTotal.Amount
                [TRT183] = TRT:RP.JFOREIGN:bafpr1.02.04:Expense.Royalties.Amount
        -->

<assert  id="VR.ATO.TRT.432656" diagnostics="DVR.ATO.TRT.432656" test="not(
                        sum(bafpr1.02.04:Expense.Royalties.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        sum(bafpr1.02.04:Expense.Royalties.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        &lt; 
                        sum($IDS.Context/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.Royalties.IDS.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.GEN.438022
            
                IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = "A - Small business active asset reduction") 
                    AND 
                    (COUNT(SCHEDULE = "CGTS") = 1) 
                    AND [CGTS127] = NULL
                 RETURN VALIDATION MESSAGE
                ENDIF
                [CGTS127] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
         -->

<assert  id="VR.ATO.GEN.438022" diagnostics="DVR.ATO.GEN.438022" test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(A \- Small business active asset reduction)$')])
                            and
                            (count($CGT.Context) = 1)
                            and
                            not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"></assert>
  
<!--
                Rule ID: VR.ATO.GEN.438023
            
                IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""B - Small business retirement exemption"") 
                AND (COUNT(SCHEDULE = ""CGTS"") = 1) 
                AND [CGTS128] = NULL
                 RETURN VALIDATION MESSAGE
                ENDIF
                [CGTS128] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
        -->

<assert  id="VR.ATO.GEN.438023" diagnostics="DVR.ATO.GEN.438023" test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(B \- Small business retirement exemption)$')])
                            and
                            (count($CGT.Context) = 1)
                            and
                            not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"></assert>
  
<!--
                Rule ID: VR.ATO.GEN.438024
            
                IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""C - Small business roll-over"") AND (COUNT(SCHEDULE = ""CGTS"") = 1) AND [CGTS129] = NULL
                 RETURN VALIDATION MESSAGE
                ENDIF

                [CGTS129] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
        -->

<assert  id="VR.ATO.GEN.438024" diagnostics="DVR.ATO.GEN.438024" test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(C \- Small business roll-over)$')])
                            and
                            (count($CGT.Context) = 1)
                            and
                            not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"></assert>
  
<!--
                Rule ID: VR.ATO.GEN.438025
            
                IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""D - Small business 15 year exemption"") AND (COUNT(SCHEDULE = ""CGTS"") = 1) AND [CGTS138] = NULL
                    RETURN VALIDATION MESSAGE
                ENDIF
                [CGTS138] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount
        -->

<assert  id="VR.ATO.GEN.438025" diagnostics="DVR.ATO.GEN.438025" test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(D \- Small business 15 year exemption)$')])
                            and
                            (count($CGT.Context) = 1)
                            and
                            not($CGT.Context/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"></assert>
  
<!--
                Rule ID: VR.ATO.GEN.438026
            
                IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""E - Foreign resident CGT exemption"") AND (COUNT(SCHEDULE = ""CGTS"") = 1) AND [CGTS140] = NULL
                RETURN VALIDATION MESSAGE
                ENDIF

                [CGTS140] = CGTS:RP:rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount
        -->

<assert  id="VR.ATO.GEN.438026" diagnostics="DVR.ATO.GEN.438026" test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(E \- Foreign resident CGT exemption)$')])
                            and
                            (count($CGT.Context) = 1)
                            and
                            not($CGT.Context/rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"></assert>
  
<!--
                Rule ID: VR.ATO.GEN.438027
            
                IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""F - Scrip for scrip roll-over"") AND (COUNT(SCHEDULE = ""CGTS"") = 1) AND [CGTS45] = NULL
                RETURN VALIDATION MESSAGE
                ENDIF
                [CGTS45] = CGTS:RP:rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferral.Amount    
        -->

<assert  id="VR.ATO.GEN.438027" diagnostics="DVR.ATO.GEN.438027.TRT" test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(F \- Scrip for scrip roll-over)$')])
                            and
                            (count($CGT.Context) = 1)
                            and
                            not($CGT.Context/rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferral.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"></assert>
  
<!--
                Rule ID: VR.ATO.GEN.438028
            
                IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code = ""H - Demerger exemption"") AND (COUNT(SCHEDULE = ""CGTS"") = 1) AND [CGTS47] = NULL
                RETURN VALIDATION MESSAGE
                ENDIF

                [CGTS47] = CGTS:RP:rvctc3.02.11:Capital.Gains.DemergingEntityExemption.Amount
        -->

<assert  id="VR.ATO.GEN.438028" diagnostics="DVR.ATO.GEN.438028" test="not(
                            (rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(i?)(H \- Demerger exemption)$')])
                            and
                            (count($CGT.Context) = 1)
                            and
                            not($CGT.Context/rvctc3.02.11:Capital.Gains.DemergingEntityExemption.Amount[@contextRef=$RP.CGT.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )"></assert>
  
<!-- 
                Rule ID: VR.ATO.GEN.438017
            
                IF (RP:bafpo6.xx.xx:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator = TRUE) 
                        AND (COUNT(SCHEDULE = "IDS") = 0)
                    RETURN VALIDATION MESSAGE
                ENDIF  
        -->

<assert  id="VR.ATO.GEN.438017" diagnostics="DVR.ATO.GEN.438017" test="not(
                            (bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                             and
                            (count($IDS.Context) = 0)
                        )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432675
            
                IF ([TRT182] > 0) AND (COUNT(SCHEDULE = ""IDS"") = 0)
                RETURN VALIDATION MESSAGE
                ENDIF
                [TRT182] = TRT:RP.JFOREIGN:bafpr1.02.05:Expense.Interest.Amount
        -->

<assert  id="VR.ATO.TRT.432675" diagnostics="DVR.ATO.TRT.432675" test="not(
                          sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          and
                          count($IDS.Context) = 0
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432676
            
                IF ([TRT183] > 0) AND (COUNT(SCHEDULE = ""IDS"") = 0)
                RETURN VALIDATION MESSAGE
                ENDIF

                [TRT183] = TRT:RP.JFOREIGN:bafpr1.02.04:Expense.Royalties.Amount
        -->

<assert  id="VR.ATO.TRT.432676" diagnostics="DVR.ATO.TRT.432676" test="not(
                          sum(bafpr1.02.04:Expense.Royalties.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                          and
                          count($IDS.Context) = 0
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432707
            
                IF ([TRT138] = FALSE AND [TRT148] = FALSE AND [TRT449] = FALSE) AND (([TRT182] = NULL
                OR [TRT182] = 0) AND ([TRT183] = NULL OR [TRT183] = 0)) AND (COUNT (Schedule = “IDS”) = 1)
                RETURN VALIDATION MESSAGE
                ENDIF


                [TRT138] = TRT:RP.JFOREIGN:bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
                [TRT148] = TRT:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
                [TRT182] = TRT:RP.JFOREIGN:bafpr1.02.05:Expense.Interest.Amount
                [TRT183] = TRT:RP.JFOREIGN:bafpr1.02.04:Expense.Royalties.Amount
                [TRT449] = TRT:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
        -->

<assert  id="VR.ATO.TRT.432707" diagnostics="DVR.ATO.TRT.432707" test="not(
                            (
                                bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                                and
                                rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                                and
                                bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                            )
                            and
                            ( 
                                (
                                    not(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                                    or
                                    sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                                )
                                and
                                (
                                    not(bafpr1.02.04:Expense.Royalties.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                                    or
                                    sum(bafpr1.02.04:Expense.Royalties.Amount[@contextRef=$RP.JForeign.TRT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                                )
                            )
                            and 
                            count($IDS.Context) = 1
                        )"></assert>

<!--
            IF (RP:rvctc1.xx.xx:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator = NULL) AND (COUNT(SCHEDULE = "IDS") = 1)  AND ([IDS177] = TRUE)
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS177] = IDS:RP:rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator

        -->

  <assert  id="VR.ATO.GEN.438040" diagnostics="DVR.ATO.GEN.438040" test="not(
                            not(rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef=$RP.TRT.ContextId and not(@i:nil='true' or @i:nil='1')])
                               and
                            count($IDS.Context) = 1
                               and
                            $IDS.Context/rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator[@contextRef=$RP.IDS.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        )"></assert>
</rule>
</pattern>