﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="CrossFormVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Cross Form Validation Variables</title>

    <!-- TRT Context -->
    <let name="TRT.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/trt/trt_0004/trt.0004.lodge.request.02.00.report.xsd']]" />
    <!-- RP Context -->
    <let name="RP.TRT.Context" value="$TRT.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1') 
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
            ]" />
    <!-- RP Context Id -->
    <let name="RP.TRT.ContextId" value="$RP.TRT.Context/@id" />
    <!-- RP.Prim.JAus.Context Variables -->
    <let name="RP.Prim.JAus.TRT.Context" value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and matches(.,'^IndustryProductionType\.\d\d\.\d\d:PrimaryProduction$')]) = 1]
           ]" />
    <let name="RP.Prim.JAus.TRT.ContextId" value="$RP.Prim.JAus.TRT.Context/@id" />
    <!-- RP.NonPrim.JAus Context Variables -->
    <let name="RP.NonPrim.JAus.TRT.Context" value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IndustryProductionType.\d\d\.\d\d:IndustryProductionTypeDimension$') and matches(.,'^IndustryProductionType\.\d\d\.\d\d:NonPrimaryProduction$')]) = 1]
           ]" />
    <let name="RP.NonPrim.JAus.TRT.ContextId" value="$RP.NonPrim.JAus.TRT.Context/@id" />
    <!-- RP.JForeign Context -->
    <let name="RP.JForeign.TRT.Context" value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1]
            ]" />
    <!-- RP.JForeign Context Id -->
    <let name="RP.JForeign.TRT.ContextId" value="$RP.JForeign.TRT.Context/@id" />
    <!-- RP.JAus Context -->
    <let name="RP.JAus.TRT.Context" value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Australian$')]) = 1]
            ]" />
    <!-- RP.JAus Context Id -->
    <let name="RP.JAus.TRT.ContextId" value="$RP.JAus.TRT.Context/@id" />
    <!-- RP.CFCLC.JForeign.Context Variables -->
    <let name="RP.CFCLC.JForeign.TRT.Context" value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
           ]" />
    <let name="RP.CFCLC.JForeign.TRT.ContextId" value="$RP.CFCLC.JForeign.TRT.Context/@id" />
    <!-- RP.CFC404.JForeign.Context Variables -->
    <let name="RP.CFC404.JForeign.TRT.Context" value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:Section404Country$')]) = 1]
           ]" />
    <let name="RP.CFC404.JForeign.TRT.ContextId" value="$RP.CFC404.JForeign.TRT.Context/@id" />
    <!-- RP.CFCUC.JForeign.Context Variables -->
    <let name="RP.CFCUC.JForeign.TRT.Context" value="$TRT.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 3 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^IntlJurisdiction.\d\d\.\d\d:InternationalJurisdictionDimension$') and matches(.,'^IntlJurisdiction\.\d\d\.\d\d:Foreign$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
           ]" />
    <let name="RP.CFCUC.JForeign.TRT.ContextId" value="$RP.CFCUC.JForeign.TRT.Context/@id" />
    <!-- INT Context -->
    <let name="INT.TRT.Context" value="$TRT.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]
            ]" />
    <!-- INT Context Id -->
    <let name="INT.TRT.ContextId" value="$INT.TRT.Context/@id" />
    <!-- RP.Closing.Y0Plus.TRT Context -->
    <let name="RP.Closing.Y0Plus.TRT.Context" value="$TRT.Context/xbrli:context[
				not(@i:nil='true' or @i:nil='1')
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])
			]" />
    <!-- RP.Closing.Y0Plus.TRT Context Id -->
    <let name="RP.Closing.Y0Plus.TRT.ContextId" value="$RP.Closing.Y0Plus.TRT.Context/@id" />
    <!-- RPI.Closing.Y0Plus.TRT Context -->
    <let name="RPI.Closing.Y0Plus.TRT.Context" value="$TRT.Context/xbrli:context[
				not(@i:nil='true' or @i:nil='1')
				and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
				xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 3 
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:Y0Plus$')]) = 1
				and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]
			]" />
    <!-- RPI.Closing.Y0Plus.TRT Context Id -->
    <let name="RPI.Closing.Y0Plus.TRT.ContextId" value="$RPI.Closing.Y0Plus.TRT.Context/@id" />
    <!-- RP.TOFA Context -->
    <let name="RP.TOFA.TRT.Context" value="$TRT.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^FinclArrngmtType.\d\d\.\d\d:FinancialArrangementTypeDimension$') and matches(.,'^FinclArrngmtType\.\d\d\.\d\d:TOFA$')]) = 1]
            ]" />
    <!-- RP.TOFA Context Id -->
    <let name="RP.TOFA.TRT.ContextId" value="$RP.TOFA.TRT.Context/@id" />
    <!-- RP.Closing Context -->
    <let name="RP.Closing.TRT.Context" value="$TRT.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
				and not(./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')])
            ]" />
    <!-- RP.Closing Context Id -->
    <let name="RP.Closing.TRT.ContextId" value="$RP.Closing.TRT.Context/@id" />
    <!-- RPI.Closing Context -->
    <let name="RPI.Closing.TRT.Context" value="$TRT.Context/xbrli:context[
                not(@i:nil='true' or @i:nil='1')
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^OpenCloseBalance.\d\d\.\d\d:OpeningAndClosingBalanceDimension$') and matches(.,'^OpenCloseBalance\.\d\d\.\d\d:Closing$')]) = 1]
                and ./xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:instant[not(@i:nil='true' or @i:nil='1')]
            ]" />
    <!-- RPI.Closing Context Id -->
    <let name="RPI.Closing.TRT.ContextId" value="$RPI.Closing.TRT.Context/@id" />

    <!-- PSS Context Variables -->
    <let name="PSS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/pss/pss_0001/pss.0001.lodge.request.02.00.report.xsd']]" />

    <!-- RP Payer -->
    <let name="RP.Payer.PSS" value="$PSS.Context/xbrli:context[
            not(@i:nil='true' or @i:nil='1') 
            and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              
            and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
            xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2]/ 
            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
              
            and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
            xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2]/ 
            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:SecondaryPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Payer$')]
              
            and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
            xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:typedMember) = 1]
            /xbrldi:typedMember [ends-with(@dimension,':SequenceNumberDimension')]]" />


    <!-- RP.Payer Context Id -->
    <let name="RP.Payer.PSS.ContextId" value="$RP.Payer.PSS/@id" />

    <!-- RS Context Variables -->
    <let name="RS.Context" value="//xbrli:xbrl[not(@i:nil='true' or @i:nil='1') and child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rs/rs_0001/rs.0001.lodge.request.02.00.report.xsd']]" />

    <!-- RP.RS Context -->
    <let name="RP.RS.Context" value="$RS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />

    <!-- RP.RS.ContextId -->
    <let name="RP.RS.ContextId" value="$RP.RS.Context/@id" />

    <!-- IDS Context Variable -->
    <let name="IDS.Context" value="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/ids/ids_0003/ids.0003.lodge.request.02.00.report.xsd']]" />
    <!-- RP.IDS Context -->
    <let name="RP.IDS.Context" value="$IDS.Context/xbrli:context[
            not(@i:nil='true' or @i:nil='1') 
            and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
            and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
            xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
         ]" />
    <!-- RP.IDS Context Id -->
    <let name="RP.IDS.ContextId" value="$RP.IDS.Context/@id" />
    <!-- RP.CFCLC Context -->
    <let name="RP.CFCLC.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:ListedCountry$')]) = 1]
          ]" />
    <!-- RP.CFCLC Context Id -->
    <let name="RP.CFCLC.IDS.ContextId" value="$RP.CFCLC.IDS.Context/@id" />
    <!-- RP.CFCSP Context -->
    <let name="RP.CFCSP.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:SpecifiedCountry$')]) = 1]
          ]" />
    <!-- RP.CFCSP Context Id -->
    <let name="RP.CFCSP.IDS.ContextId" value="$RP.CFCSP.IDS.Context/@id" />
    <!-- RP.CFCUC Context -->
    <let name="RP.CFCUC.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^CountryResCFCClass\.\d\d\.\d\d:CountryOfResidencyCFCClassificationDimension$') and matches(.,'^CountryResCFCClass\.\d\d\.\d\d:UnlistedCountry$')]) = 1]
          ]" />
    <!-- RP.CFCUC Context Id -->
    <let name="RP.CFCUC.IDS.ContextId" value="$RP.CFCUC.IDS.Context/@id" />
    <!-- RP.Royalties.IDS Context -->
    <let name="RP.Royalties.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:Royalties$')]) = 1]
         ]" />
    <!-- RP.Royalties.IDS Context Id -->
    <let name="RP.Royalties.IDS.ContextId" value="$RP.Royalties.IDS.Context/@id" />
    <!-- RP.OtherInterest.IDS Context -->
    <let name="RP.OtherInterest.IDS.Context" value="$IDS.Context/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2 
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
              and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:InternationalRelatedPartyDealingsTypeDimension$') and matches(.,'^InternationalRelatedPartyDealingsType\.\d\d\.\d\d:OtherInterest$')]) = 1]
         ]" />
    <!-- RP.OtherInterest.IDS Context Id -->
    <let name="RP.OtherInterest.IDS.ContextId" value="$RP.OtherInterest.IDS.Context/@id" />



</pattern>