﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron">
   <diagnostic id="DVR.ATO.CGLS.404006">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CGLS.404212</Code>
            <Description>Total tax losses deducted must equal tax losses deducted on the Company Return</Description>
            <LongDescription>(Tax losses deducted - Total) must equal (Tax losses deducted) on the Company Return</LongDescription>
            <Location>rvctc3.02.15:Tax.Losses.Deducted.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CGLS.404011">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CGLS.404011</Code>
            <Description>Tax losses carried forward must equal corresponding field on the Company Return</Description>
            <LongDescription>(Tax losses carried forward to later income years - Total) must equal (Tax losses carried forward to later income years) on the Company Return</LongDescription>
            <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CGLS.404020">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CGLS.404020</Code>
            <Description>Net capital losses carried forward must equal corresponding field on the Company Return</Description>
            <LongDescription>(Net capital losses carried forward to later income years - Total) must equal (Net capital losses carried forward to later income years) on the Company Return</LongDescription>
            <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CGNFT.000019">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CGNFT.000019</Code>
            <Description>Consolidated group status absent or incorrect on Parent form</Description>
            <LongDescription>The Consolidated group status indicator on the Parent company return form must be present and equal to '1' for the Head company if the Notification of formation of a consolidated group schedule is present</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CGNFT.000027">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CGNFT.000027</Code>
            <Description>Invalid context. Period start date must be the same as the Period start date of the parent form.</Description>
            <LongDescription/>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CGNFT.000030">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CGNFT.000030</Code>
            <Description>Invalid context. Period end date must be the same as the Period end date of the parent form.</Description>
            <LongDescription/>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CGNFT.000057">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CGNFT.000057</Code>
            <Description>Date of consolidation is invalid</Description>
            <LongDescription>The Date of consolidation must not be prior to 01/07/2002 and must be within the financial year of income applying to the income tax return of the head company</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CGNFT.000100">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CGNFT.000100</Code>
            <Description>The number of Consolidated Group Notification schedules must not exceed 1</Description>
            <LongDescription/>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CGTS.402173">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CGTS.402173</Code>
            <Description>The total percentage applied to capital gains by a company must not be greater than 33%</Description>
            <Location>gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CGTS.402174">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CGTS.402174</Code>
            <Description>The CGT discount rate applied to capital gains by a trust must not be greater than 50%</Description>
            <Location>gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CGTS.402203">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CGTS.402203</Code>
            <Description>A capital loss must not be carried forward when a positive net capital gain amount has been provided</Description>
            <LongDescription/>
            <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CGTS.438001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438001</Code>
            <Description>The context period end date is incorrect.</Description>
            <LongDescription>Period end date within context on the schedule must match period end date within the parent return reporting party context</LongDescription>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428014</Code>
            <Description>Form type is not valid</Description>
            <LongDescription>Form Type is not valid for this lodger</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428017">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428017</Code>
            <Description>Invalid code provided for In Liquidation field</Description>
            <LongDescription>Company Income Tax returns requires a code of L for In Liquidation</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428018</Code>
            <Description>Previous ACN present without previous name</Description>
            <LongDescription>Company Income Tax return has a previous Australia Company Number (ACN) without a previous name noted</LongDescription>
            <Location>pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428019">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428019</Code>
            <Description>Previous name without either ARBN or ACN</Description>
            <LongDescription>The Company Income Tax return must have either an ARBN or ACN if previous name noted on return</LongDescription>
            <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428020">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428020</Code>
            <Description>Previous ARBN present without name</Description>
            <LongDescription>Company Income Tax return has a previous Australia Registered Business Number (ARBN) without a previous name noted</LongDescription>
            <Location>pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428021">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428021</Code>
            <Description>Please provide only one of either ARBN or ACN</Description>
            <LongDescription>You may only provide a previous ARBN or ACN on the Company Income Tax return</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428022">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428022</Code>
            <Description>Ultimate holding company name details required when ABN or overseas location code is present</Description>
            <LongDescription>Where an Ultimate holding company ABN or overseas location code is present, an ultimate holding company name must be provided</LongDescription>
            <Location>pyde.02.08:Residency.TaxPurposesCountry.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428023">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428023</Code>
            <Description>Either ultimate holding company ABN or the country code is required. Both must not be present.</Description>
            <Location>pyde.02.08:Residency.TaxPurposesCountry.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428024">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428024</Code>
            <Description>Immediate holding company name details required when immediate holding company ABN is present</Description>
            <LongDescription>Where an immediate holding company ABN is present at Item 1 on the form cover, then the immediate holding company name must be present</LongDescription>
            <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428026">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430067</Code>
            <Description>For corp. unit trusts or public trading trusts, you must provide Business industry code 62400. Residency and Status of business must not be provided.</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428027">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430012</Code>
            <Description>Total CGT discount applied not applicable</Description>
            <LongDescription>Companies cannot claim CGT discount unless they are life insurance companies or friendly societies or the company type is FHSA Trust</LongDescription>
            <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428028">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428028</Code>
            <Description>Invalid Percentage of foreign shareholding (valid values are 1-100%)</Description>
            <LongDescription>Valid Percentage of foreign shareholding are 1 to 100</LongDescription>
            <Location>bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428030">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428368</Code>
            <Description>Residency status of company required. Except corporate unit trust or public trading trust</Description>
            <LongDescription>Residency is required unless the Company is a corporate unit trust or public trading trust</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428031">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428031</Code>
            <Description>First home saver account information required as FHSA Trust is indicated</Description>
            <LongDescription>Company type is indicated as a FHSA Trust and First home saver account information is not completed</LongDescription>
            <Location>bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428033">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428033</Code>
            <Description>Invalid Company Type code - Valid Company Types codes are 027, 032, 045, 054, 088,120,139,163, 174, 205</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428034">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428034</Code>
            <Description>Losses schedule BP cannot be lodged with a consolidated Head company return</Description>
            <LongDescription>A consolidated head company is not required to lodge a Losses schedule for unconsolidated entities</LongDescription>
            <Location>pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428037">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428037</Code>
            <Description>IEE specified income year to be completed when IEE schedule is attached</Description>
            <LongDescription>An IEE schedule is attached: however the IEE specified income year has not been completed on the Company Income Tax Return</LongDescription>
            <Location>rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428038">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428038</Code>
            <Description>Valid Interposed Entity Election revocation code is "R"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428039">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428039</Code>
            <Description>Interposed Entity Election or Revocation schedule required where a revocation is being made</Description>
            <LongDescription>The Interposed Entity Election code indicates a revocation is being made, however no schedule is attached</LongDescription>
            <Location>rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428040">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428040</Code>
            <Description>Gross payments are required on Payment Summary Schedule, where amount entered at Gross Payments where ABN not quoted</Description>
            <LongDescription>An amount has been entered at gross payment where ABN is not quoted and there are no corresponding amounts on the Payment Summary Schedule</LongDescription>
            <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428041">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428369</Code>
            <Description>In the Calculation statement, Gross payment where ABN not quoted amount, is incorrect</Description>
            <LongDescription>Tax withheld where ABN not quoted in the calculation statement cannot be greater than 50% of Gross payments where ABN not quoted</LongDescription>
            <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428042">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428370</Code>
            <Description>Calculation statement, Tax withheld where ABN not quoted is required</Description>
            <LongDescription>An amount has been entered at Gross payments where ABN not quoted and Tax withheld where ABN not quoted in the calculation statement is missing</LongDescription>
            <Location>lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428043">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428371</Code>
            <Description>Check other refundable credits including film tax offset in calculation statement</Description>
            <LongDescription>At the calculation of total profit or loss, an amount is present at gross distribution from partnerships or gross distribution from trusts and other refundable credits including film tax offset dismissing in the calculation statement. Please input the missing amount/s (if there are no credits, enter zero at the other refundable credits label in the calculation statement)</LongDescription>
            <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428044">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428372</Code>
            <Description>Check taxable income/loss for the Company, in Reconciliation to taxable income or loss</Description>
            <LongDescription>The Taxable income/loss must be equal to the sum of all income items less the sum of all expense items plus extraordinary revenue/expenses, total capital gains, non deductible exempt income expenditure, other assessable income and non deductible expenses items less other expense items</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428045">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428373</Code>
            <Description>In Calculation statement, Credit for Tax withheld-Foreign resident withholding amount is incorrect</Description>
            <LongDescription>Credit for tax withheld - Foreign resident withholding (Calculation statement) cannot be greater than 50% of Gross payments subject to foreign resident withholding unless relevant distributions from partnerships or trusts are shown</LongDescription>
            <Location>ctr.0006.lodge.req.02.01:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428046">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428374</Code>
            <Description>Gross payments subject to foreign resident withholding amount required</Description>
            <LongDescription>Credit for tax withheld - Foreign resident withholding (Calculation statement) has an amount greater than zero and Gross payments subject to foreign resident withholding and gross distributions from partnerships and gross distributions from trusts are missing</LongDescription>
            <Location>ctr.0006.lodge.req.02.01:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428048">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428048</Code>
            <Description>Gross distribution from trusts indicator required where gross distribution trusts amount is present</Description>
            <LongDescription>A gross distribution from trusts figure is present without a corresponding gross distribution from trusts action code (Item 6 Income Label E)</LongDescription>
            <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428049">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428049</Code>
            <Description>Gross distribution from trusts required where gross distribution from trusts code is present</Description>
            <LongDescription>Gross distribution from trusts action code is present without corresponding gross distribution from trust amount (Item 6 Income Label E)</LongDescription>
            <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428051">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428051</Code>
            <Description>Invalid Gross distribution from trust code. Valid - "T", "S", "I", "U", "F" ,"H", "D", "P", "Q", "M"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428052">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428052</Code>
            <Description>Check assessable government industry payments amount, Calculation of total profit or loss (Label Q)</Description>
            <LongDescription>Assessable government industry payments action code is present and the amount of assessable government industry payments is either absent or zero. (Item 6 Income Label Q)</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428053">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428053</Code>
            <Description>Invalid Assessable government industry payments action code. Valid code is "true"</Description>
            <LongDescription>Valid Assessable government industry payments action code is "true"</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428054">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428054</Code>
            <Description>Contact Name contains "space hyphen space"</Description>
            <LongDescription>Contact Name cannot contain "space hyphen space"</LongDescription>
            <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428055">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428055</Code>
            <Description>Check for the Taxation of financial arrangements (TOFA) indicator</Description>
            <LongDescription>You have indicated that you made a gain, loss or transitional balancing adjustment from a financial arrangement subject to the TOFA rules.  Therefore you must enter an amount at the Taxation of financial arrangements (TOFA ) income or expenses items, or one or more of the following amounts: Total TOFA gains, Total TOFA losses, TOFA transitional balancing adjustment, TOFA gains from unrealised movements in the value of financial arangements</LongDescription>
            <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428056">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428056</Code>
            <Description>Response required to Taxation of financial arrangements indicator. Check TOFA income</Description>
            <LongDescription>You have entered an amount at the Taxation of financial arrangements (TOFA ) income or expenses items, or one or more of the following amounts: Total TOFA gains, Total TOFA losses, TOFA transitional balancing adjustment, TOFA gains from unrealised movements in the value of financial arangements.  If you enter an amount at one or more of the labels specified above, you must indicate that you made a gain, loss or transitional balancing adjustment from a financial arrangement subject to the TOFA rules</LongDescription>
            <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428057">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428375</Code>
            <Description>Total salary and wage expenses cannot exceed total expenses</Description>
            <LongDescription>Total salary and wage expenses on a Company Income Tax Return cannot exceed the total of Profit or loss expenses</LongDescription>
            <Location>lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428058">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428376</Code>
            <Description>Trading account items are present without cost of sales.  Include cost of sales to clear error.</Description>
            <Location>bafpr2.02.00:Expense.Operating.CostOfSales.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428061">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430021</Code>
            <Description>Check depreciation expenses or deduction for decline in value of  depreciating assets amount</Description>
            <LongDescription>An amount is present at deduction for decline in value of  depreciating assets and there is no amount at depreciation expenses or an amount is present at depreciation expenses and there is no amount at deduction for decline in value of  depreciating asset</LongDescription>
            <Location>bafpr1.02.13:Expense.DepreciationAllowableDeduction.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428062">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430016</Code>
            <Description>Depreciation expenses is greater than accounting expenditure subject to R&amp;D incentive plus non-deductible expenses</Description>
            <LongDescription>Depreciation expenses cannot be greater than accounting expenditure subject to R&amp;D tax incentive plus non deductible expenses for a taxpayer not claiming any small business entity simplified depreciating assets deductions</LongDescription>
            <Location/>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428063">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430017</Code>
            <Description>Accounting expenditure subject to R&amp;D tax incentive and non-deductible expenses not supplied</Description>
            <LongDescription>Depreciation expenses has a value and accounting expenditure subject to R&amp;D tax incentive and non-deductible expenses are not supplied for a taxpayer not claiming any small business entity simplified depreciating assets deductions</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428064">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428378</Code>
            <Description>Response to CGT event question required, where amount noted at Net Capital gain</Description>
            <LongDescription>Where an amount has been entered at net capital gain, the answer to the question "Did you have a CGT event during the year" must be Yes</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428067">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428067</Code>
            <Description>Invalid Closing stock action code</Description>
            <LongDescription>Valid Closing stock action codes are "C", "M" and "R"</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428070">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428070</Code>
            <Description>Invalid Loans to shareholders action code</Description>
            <LongDescription>Valid Loans to shareholders action codes are "A", "B" and "M"</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428071">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428071</Code>
            <Description>Invalid Total salary and wage expenses action code</Description>
            <LongDescription>Valid Total salary and wage expenses action codes are "C", "A", "B" and "O"</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428076">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428076</Code>
            <Description>Invalid Percentage of non-member income</Description>
            <LongDescription>Valid Percentage of non-member income is 0 to 100</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428078">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428078</Code>
            <Description>Invalid Hours taken to prepare and complete this form</Description>
            <LongDescription>Valid values for Hours taken to prepare and complete this form is 1 to 999</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428081">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428081</Code>
            <Description>Invalid foreign currency code</Description>
            <LongDescription>The currency code is not one of the valid codes that can be used for lodgment. You should be accessing valid codes from a lookup table provided with your software</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428086">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428086</Code>
            <Description>Companies are not required to complete the Life insurance companies and friendly societies section</Description>
            <LongDescription>The Life insurance companies and friendly societies section on the return form (Item 16 Label B) are only to be completed when the industry code (Item 2 Label B) is indicative of a life insurance company or a friendly society</LongDescription>
            <Location>bafpr3.02.02:Income.Insurance.Taxable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428091">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428091</Code>
            <Description>The Company is required to complete the Life insurance companies and friendly societies section</Description>
            <LongDescription>The company is indicating it is a life insurance company (industry code 63100) and the Life insurance companies and friendly societies section is not completed (Item 16 Label B)</LongDescription>
            <Location>bafpr3.02.02:Income.Insurance.Taxable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428096">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428379</Code>
            <Description>Capital Gains Tax schedule required, where net capital gains exceeds $10,000</Description>
            <LongDescription>When Net capital gains is in excess of $10,000, a Capital Gains Tax schedule must be attached</LongDescription>
            <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428098">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430019</Code>
            <Description>Net capital gain in return must equal net capital gain in CGT schedule</Description>
            <LongDescription>Net capital gain amount on the company return  must equal the net capital gain amount on the CGT schedule</LongDescription>
            <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428099">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428099</Code>
            <Description>Losses schedule must be attached where total of tax losses and net capital losses exceeds $100000</Description>
            <LongDescription>Where the total of tax losses and net capital losses exceeds $100000 and the company is not part of a consolidated group, a Losses schedule must be attached</LongDescription>
            <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428100">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428100</Code>
            <Description>Consolidated losses schedule must be attached where Tax Losses and Net Capital Losses greater than $100000</Description>
            <LongDescription>Consolidated losses schedule must be attached where total of tax losses and net capital losses exceeds $100000 and the Head company indicator is complete at Consolidated group status field</LongDescription>
            <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428101">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428101</Code>
            <Description>Amount withheld required on Payment Summary schedule</Description>
            <LongDescription>An amount has been entered at tax withheld from payments where ABN no quoted in the calculation statement and on the Payment Summary schedule there are no corresponding amounts and the payment type is "N"</LongDescription>
            <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428102">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428102</Code>
            <Description>Companies are required to indicate whether continuity of majority ownership test passes for each year of loss</Description>
            <LongDescription>Companies not part of the consolidated group that have Tax losses deducted of greater than $100.000 (Item 7 Label R) must complete Part B1 on the Losses schedule. Companies are required to indicate whether continuity of majority ownership test passed for each year of loss</LongDescription>
            <Location>pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428104">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428381</Code>
            <Description>Gross payment where ABN not quoted amount required</Description>
            <LongDescription>In the Calculation statement, where "Credit for tax withheld where ABN not quoted is greater than zero, there must be an amount at 'Gross payments where ABN not quoted' in the calculation of total profit or loss</LongDescription>
            <Location>ctr.0006.lodge.req.02.01:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428105">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428382</Code>
            <Description>S102AAM interest amount incorrect in Calculation statement Label H</Description>
            <LongDescription>Calculation statement 'S102AAM Interest charge amount cannot be greater than calculation statement Gross tax amount</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428107">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428107</Code>
            <Description>Overseas address indicator can only be false</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428108">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428108</Code>
            <Description>Country code is not required</Description>
            <Location>pyde.02.08:AddressDetails.Country.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428109">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428383</Code>
            <Description>Credit for tax withheld-foreign resident withholding must not be less than the amount present in the schedule</Description>
            <LongDescription>There is an amount present at Gross payments subject to foreign resident withholding;and Credit for tax withheld - foreign resident withholding (Calculation Statement) on the return form does not equal the sum of the amounts on the Payment Summary schedule</LongDescription>
            <Location>ctr.0006.lodge.req.02.01:ITPAYGWithholdingDetails/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428110">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428384</Code>
            <Description>Response to international transaction question incorrect</Description>
            <LongDescription>There is a 'yes' response to the question concerning whether the value of property is greater than $2 million but there is no 'yes' response to question concerning whether the entity had international dealings, including transfer of tangible or intangible property. As these items relate to international related party dealings or transfer pricing, the answers can not conflict with one another.</LongDescription>
            <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428111">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428385</Code>
            <Description>Response to international aggregate amount transactions question incorrect</Description>
            <LongDescription>There is 'no' response to question concerning whether the entity had international dealings, including transfer of tangible or intangible property and there is a 'no' response to the question concerning whether the value of property is greater than $2 million. As these items relate to international related party dealings or transfer pricing, the answers can not conflict with one another</LongDescription>
            <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428115">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428312</Code>
            <Description>Answer to Overseas interests question must be yes (true) when Attributed Foreign income is present</Description>
            <LongDescription>If there is amount greater than zero for 'Attributed foreign income' - Listed country, Section 404 country, Unlisted country, or Transferor trust - there must be a 'yes' (true) response to 'Did you have an overseas branch or a direct or indirect interest in a foreign trust, foreign company, controlled foreign entity or transferor trust?'</LongDescription>
            <Location>rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428122">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430018</Code>
            <Description>Depreciation expenses amount incorrect</Description>
            <LongDescription>Total of the small business entity simplified depreciating deductions is greater than the amount entered at depreciation expenses</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428135">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428135</Code>
            <Description>Consolidated losses schedule may be required</Description>
            <LongDescription>If the amount of Tax losses deducted is greater than $100000 and the Consolidated group status indicator is equal to "1" for head company then a Consolidated losses schedule must be completed</LongDescription>
            <Location>rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428136">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428136</Code>
            <Description>Check losses recouped or losses transferred in as these cannot create a taxable loss</Description>
            <LongDescription>At Item 7 losses recouped (Label R) or losses transferred in (from or to: a foreign bank branch or a PE of a foreign financial entity) (Label S) cannot add to or create a taxable loss (Label T). Adjust losses recouped or losses transferred in until the taxable income/loss figure is zero</LongDescription>
            <Location>bafpr1.02.02:Income.Taxable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428137">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428387</Code>
            <Description>Gross tax incorrect. Check rate calculation and Company entity type</Description>
            <LongDescription>The Company is not an entity that has been identified as being allowed to have a tax rate of less than 30%. Check the rate calculation and company entity type. (Calculation statement Label B)</LongDescription>
            <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428138">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428388</Code>
            <Description>Gross tax incorrect. Check rate calculation and Credit Union operation entity validity</Description>
            <LongDescription>The Company is not an entity that has been identified as being allowed to have a tax rate of less than 30%. Check the rate calculation and company entity type. (Calculation statement Gross tax)</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428139">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428389</Code>
            <Description>Gross tax is not equal to 45% of excess over $49,999 on Taxable/Net income for Credit Unions only</Description>
            <LongDescription>Calculation statement Gross Tax is not equal to 45% of any excess over $49,999 on calculation statement Taxable/Net income for Credit Unions only</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428140">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428390</Code>
            <Description>Check gross tax and company type</Description>
            <LongDescription>The gross tax is less than 15% of taxable income and the company type is a pooled development fund. Check calculation statement gross tax and company type</LongDescription>
            <Location/>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428149">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428149</Code>
            <Description>Currency translation rate and currency code must both be either present or not present</Description>
            <Location>rvctc3.02.00:TaxRate.Designation.Rate</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428150">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428150</Code>
            <Description>Check closing stock amount, where closing stock action code is present</Description>
            <LongDescription>Under business income and expenses, the closing stock action code is present; however the closing stock amount is missing or equal to 0. The amount must be present as it is the total of the value of each trading stock calculated for tax purposes under s70-45 of the ITAA 1997.</LongDescription>
            <Location>bafpo7.02.02:Assets.Inventories.ValuationMethod.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428151">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428151</Code>
            <Description>Closing stock action code must be present, where closing stock amount is present</Description>
            <LongDescription>Under business income and expenses, the closing stock amount is present (Item 8 Label B); however the closing stock action code is missing. The code must be present to indicate the method used to value closing stock</LongDescription>
            <Location>bafpo7.02.02:Assets.Inventories.ValuationMethod.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428152">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428152</Code>
            <Description>Trade debtors cannot exceed all current assets in Financial and other information</Description>
            <LongDescription>In Financial and other information, trade debtors is greater than all current assets (item 8 Labels C and D)</LongDescription>
            <Location>bafpo1.02.13:Assets.TradeandReceivablesOther.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428153">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428153</Code>
            <Description>All current assets cannot exceed total assets in Financial and other information</Description>
            <LongDescription>In Financial and other information, all current assets is greater than total assets Item 8 Labels D and E)</LongDescription>
            <Location>bafpo1.02.00:Assets.CurrentTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428155">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428155</Code>
            <Description>Trade creditors cannot exceed all current liabilities in Financial and other information</Description>
            <LongDescription>In Financial and other information, trade creditors (Item 8 Label F) is greater than all current liabilities (Item 8 Label G)</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428156">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428156</Code>
            <Description>All current liabilities cannot exceed total liabilities in Financial and other information</Description>
            <LongDescription>In Financial and other information, All current liabilities (item 8 Label G) is greater than total liabilities (Item 8 Label H)</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428164">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428164</Code>
            <Description>Check company type, where Loans to shareholders completed and entity is not a limited partnership or a private company</Description>
            <LongDescription>At Financial and other information, Loans to shareholders at Item 8 Label N can only be completed by a limited partnership or a private company</LongDescription>
            <Location>bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428165">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428165</Code>
            <Description>Loan to shareholders action code required, where amount field has been populated</Description>
            <LongDescription>At Financial and other information, when there is an amount regarding loans to shareholders and their associates, the loan type action code must also be indicated. (Item 8 Label N)</LongDescription>
            <Location>bafpo1.02.02:Assets.LoansAndReceivablesAction.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428166">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428166</Code>
            <Description>Loans to shareholders amount required, where the loan type action code field has been populated</Description>
            <LongDescription>At Financial and other information, when there is a loan type action code, there must be an amount present at loans to shareholders and their associates. (Item 8 Label N)</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428167">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428167</Code>
            <Description>Total salary and wage expenses action code required, where amount field has been populated</Description>
            <LongDescription>At Financial and other information, when there is an amount present at Total salary and wage expenses, Item 8 Label D, the Total salary and wage expenses action code must also be indicated. Please check and input the relevant salary and wage expense action code</LongDescription>
            <Location>lrla.02.05:Remuneration.WagesAndSalariesAction.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428168">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428168</Code>
            <Description>Check total salary and wage expenses amount, where a valid action code has been input</Description>
            <LongDescription>At Financial and other information, if there is a valid Total salary and wage expenses action code present, then an amount greater than zero must be present at Total salary and wage expenses, Item 8 Label D</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428169">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428314</Code>
            <Description>Foreign income tax offsets must not exceed Net foreign and Attributed foreign income</Description>
            <LongDescription>The amount of Foreign income tax offsets claimed must be less than or equal to the sum of Net foreign income and all Attributed foreign income.</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428170">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428313</Code>
            <Description>Net foreign income and/or Attributed foreign income amounts must be present</Description>
            <LongDescription>There is an amount at the Foreign income tax offsets and no amounts at Net foreign income or Attributed foreign income are present.</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428173">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428173</Code>
            <Description>First home saver account information is incomplete</Description>
            <LongDescription>At First home saver account (FHSA) - Amounts credited to FHSAs is present without Fees and charges applied to FHSAs and/or Net amount credited to FHSAs present</LongDescription>
            <Location>bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428174">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428174</Code>
            <Description>First home saver account (FHSA) - Net amount credited to FHSAs is incorrect</Description>
            <LongDescription>At First home saver account (FHSA) - Net amount credited to FHSAs should equal Amounts credited to FHSAs minus Fees and charges applied to FHSAs</LongDescription>
            <Severity>Error</Severity>
            <Location>bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount</Location>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428175">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428175</Code>
            <Description>First home saver account (FHSA) - Net amount credited to FHSAs is incorrect</Description>
            <LongDescription>At First home saver account (FHSA) - Net amount credited to FHSAs should be equal to zero when the Amounts credited to FHSAs is less then the Fees and charges applied to FHSAs</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428177">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428177</Code>
            <Description>First name must be present</Description>
            <LongDescription>Other given name/s present without first name</LongDescription>
            <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428185">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428185</Code>
            <Description>Check claim for early payment interest CR - must not be less than 50 cents</Description>
            <LongDescription>In the Calculation statement, Early payment interest credit amount of less than 50 cents cannot be claimed</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428186">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428396</Code>
            <Description>In Calculation statement, PAYG instalments raised amount should be greater than or equal to zero</Description>
            <LongDescription>The Status of the Head company or Subsidiary member has been selected, however, there is no amount for PAYG instalments raised in the calculation statement</LongDescription>
            <Location>rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428187">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428187</Code>
            <Description>Total net capital losses C/F must equal Label V Net Capital Losses C/F in the Company Income Tax Form</Description>
            <LongDescription>The total amount of Net capital losses carried forward to later income year on the Losses schedule for a consolidated group (Part A 10 Label V) must equal the amount of Net capital losses carried forward to later income year (Item 13 Label V) on the Company tax return</LongDescription>
            <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428188">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428397</Code>
            <Description>Gross tax amount is incorrect in the Calculation Statement</Description>
            <LongDescription>The gross tax figure is excessive in the calculation statement</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428190">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428190</Code>
            <Description>Total of tax losses C/F to later income year in schedule must equal tax losses C/F to late year in the return</Description>
            <LongDescription>Total of the tax losses carried forward to later income years in the losses schedule (Part A Label U) for unconsolidated entities must equal tax losses carried forward to later income years (Item 13 Label U) on the company Income Tax Return form</LongDescription>
            <Location>rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428191">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428191</Code>
            <Description>Net capital losses carried forward incorrect</Description>
            <LongDescription>Net capital losses carried forward to later income years - total in Losses schedule for unconsolidated entities is must equal to the Net capital losses carried forward to later income year, Losses information, (Item 13 Label V) on the main income tax return</LongDescription>
            <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428192">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438042</Code>
            <Description>Reporting year must be 2015</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428193">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428193</Code>
            <Description>More than one business address has been provided</Description>
            <Location>pyde.02.01:AddressDetails.Usage.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428197">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>pyin.02.00:Lodgment.FinalReturn.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428198">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428199">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428200">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>pyde.02.03:OrganisationDetails.OrganisationType.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428201">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428202">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>bafpr1.02.02:Income.Taxable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428204">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428205">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428206">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428207">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428209">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428210">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428211">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428213">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428213</Code>
            <Description>PAYG Withholding Payment Type Code must be "DFRW" or "DNOABN"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428215">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428215</Code>
            <Description>Country name is not required</Description>
            <Location>pyde.02.08:AddressDetails.CountryName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428216">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428220">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428221">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location> address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428225">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428226">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428227">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428228">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428234">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428234</Code>
            <Description>Main entity cannot interpose itself</Description>
            <LongDescription>An Entity cannot interpose itself, therefore the family trust tax file number quoted in Interposed Entity Election cannot be the same as the entity making the election</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428235">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>phone1.02.00:ElectronicContactTelephone/pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428240">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428240</Code>
            <Description>Revocation date of the Interposed Entity Election is invalid</Description>
            <LongDescription>The income year for which the details of the Interposed Entity Election are being revoked must equal the income year of the main return being lodged</LongDescription>
            <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428251">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428278</Code>
            <Description>Incorrect number of XBRL contexts</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428253">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428278</Code>
            <Description>Incorrect number of XBRL contexts</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428254">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428278</Code>
            <Description>Incorrect number of XBRL contexts</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428255">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428278</Code>
            <Description>Incorrect number of XBRL contexts</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428256">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428278</Code>
            <Description>Incorrect number of XBRL contexts</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428259">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428278</Code>
            <Description>Incorrect number of XBRL contexts</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428260">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428278</Code>
            <Description>Incorrect number of XBRL contexts</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428261">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428278</Code>
            <Description>Incorrect number of XBRL contexts</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428262">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428278</Code>
            <Description>Incorrect number of XBRL contexts</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428263">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428278</Code>
            <Description>Incorrect number of XBRL contexts</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428264">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428278</Code>
            <Description>Incorrect number of XBRL contexts</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428265">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428278</Code>
            <Description>Incorrect number of XBRL contexts</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428268">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428268</Code>
            <Description>Number of Organisation Name Details supplied cannot exceed 4</Description>
            <Location>pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428269">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428269</Code>
            <Description>Ultimate holding company main business name must be supplied</Description>
            <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428270">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428273">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.200009</Code>
            <Description>Period start date must be prior to Period end date</Description>
            <Location>xbrli:context/xbrli:period/</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428278">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428278</Code>
            <Description>Gross payments are required on Payment Summary Schedule, where amount entered at Gross payments subject to foreign resident withholding</Description>
            <LongDescription>An amount has been entered at gross payment where Gross payments are subject to foreign resident withholding and there is no corresponding amounts on the Payment Summary Schedule.</LongDescription>
            <Location>lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428290">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428290</Code>
            <Description>Only current name to be provided for Immediated or Ultimate Holding Company</Description>
            <Location>ctr.0006.lodge.req.02.01:ImmediateHoldingCompany/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428326">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430207</Code>
            <Description>RSA income tax payable on no-TFN contributions income is incorrect</Description>
            <LongDescription>The amount of Retirement savings accounts income tax payable on no-TFN contributions income should be equal to the amount of Retirement savings accounts no-TFN contributions income multiplied by 0.34</LongDescription>
            <Location>rvctc1.02.04:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428327">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428327</Code>
            <Description>RSA income tax payable on no-TFN contributions income should be nil</Description>
            <LongDescription>If Retirement savings accounts no-TFN contributions income is nil, then Retirement savings accounts income tax payable on no-TFN contributions income should also be nil</LongDescription>
            <Location>rvctc1.02.04:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428328">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428328</Code>
            <Description>Unstructured name of Public officer should not be supplied</Description>
            <LongDescription>Unstructured name of Public officer should not be supplied. The public officer's name should be supplied in a structured format</LongDescription>
            <Location>declaration2.02.01:Declaration/prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.05:PersonUnstructuredName</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428330">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428333</Code>
            <Description>TOFA financial items cannot all be blank if TOFA income or expenses fields have been supplied</Description>
            <LongDescription>You have included an amount at one of the TOFA income or expense fields, therefore you must also include one or more of the following amounts: Total TOFA gains, Total TOFA losses, TOFA transitional balancing adjustment, TOFA gains from unrealised movements in the value of financial arangements</LongDescription>
            <Location>bafpr1.02.04:Income.Total.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428335">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428335</Code>
            <Description>Subtotal 1 must equal zero</Description>
            <LongDescription>Where Gross Tax is less than or equal to non-refundable non-carry forward tax offsets; subtotal 1 must be zero</LongDescription>
            <Location>rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428336">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428336</Code>
            <Description>Where subtotal 1 equals zero - subtotal 2 all must also equal zero</Description>
            <Location>rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428337">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428337</Code>
            <Description>Subtotal 2 must equal Subtotal 1 less Non-refundable carry forward tax offsets</Description>
            <LongDescription>Where non-refundable carry forward tax offsets is less than subtotal 1, subtotal 2 must equal subtotal 1 less non-refundable carry forward tax offsets</LongDescription>
            <Location>rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428338">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428338</Code>
            <Description>Subtotal 2 must equal zero</Description>
            <LongDescription>Where non-refundable carry forward tax offsets greater than or equal to subtotal 1, subtotal 2 must equal zero</LongDescription>
            <Location>rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428339">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428339</Code>
            <Description>Subtotal 3 and Tax Payable must equal zero</Description>
            <LongDescription>Where subtotal 2 equals zero, subtotal 3 and Tax Payable all must also equal zero</LongDescription>
            <Location>rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428340">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428340</Code>
            <Description>Subtotal 3 must equal Subtotal 2 less refundable tax offsets</Description>
            <LongDescription>Where refundable tax offsets is less than subtotal 2, subtotal 3 must equal subtotal 2 less refundable tax offsets</LongDescription>
            <Location>rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428341">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428341</Code>
            <Description>Subtotal 3 must equal zero</Description>
            <LongDescription>Where refundable tax offsets is greater than or equal to subtotal 2, subtotal 3 must equal zero</LongDescription>
            <Location>rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428342">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430060</Code>
            <Description>Tax offset refunds must equal refundable tax offsets less subtotal 2</Description>
            <LongDescription>Where subtotal 3 equals zero, tax offset refunds must equal refundable tax offsets less subtotal 2</LongDescription>
            <Location>rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428343">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428343</Code>
            <Description>Tax payable must equal zero</Description>
            <LongDescription>Where subtotal 3 equals zero, Tax Payable must also equal zero</LongDescription>
            <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428344">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428344</Code>
            <Description>Tax Payable must equal subtotal 3 less franking deficit tax offset</Description>
            <LongDescription>Where franking deficit tax offset is less than subtotal 3, Tax Payable must equal subtotal 3 less franking deficit tax offset</LongDescription>
            <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428345">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428345</Code>
            <Description>Tax payable must equal zero</Description>
            <LongDescription>Where franking deficit tax offset is greater than or equal to subtotal 3, Tax Payable must equal zero</LongDescription>
            <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428347">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428347</Code>
            <Description>Eligible credits is incorrect in the Calculation statement</Description>
            <LongDescription>Eligible credits is equal to credit for interest on early payments - amount of interest plus credit for tax withheld - foreign resident withholding plus credit for tax withheld where ABN is not quoted plus tax withheld from interest or investments plus credit for TFN amounts withheld from payments from closely held trusts plus other credits</LongDescription>
            <Location>rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428349">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>bafot.02.10:RegulatoryDisclosures.ReportableTaxPosition.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428350">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428350</Code>
            <Description>Gross foreign income is less than Net foreign income</Description>
            <Location>rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428351">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428351</Code>
            <Description>Net foreign income is present and Gross foreign income is missing.</Description>
            <Location>rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428352">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428352</Code>
            <Description>International Dealings schedule required</Description>
            <LongDescription>There is an amount present at Offshore banking unit adjustment or there is a 'yes' response to any of the questions concerning whether the value of dealings with international related parties is greater than $2 million or whether the entity had either a direct or indirect interest in a foreign trust, foreign company, controlled foreign entity or transferor trust or there is a 'yes' response to the question "Did the thin capitalisation provisions apply" and an International Dealings schedule is not attached.</LongDescription>
            <Location>gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428353">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430050</Code>
            <Description>International Dealings schedule not required</Description>
            <LongDescription>If there are blank or zero amounts entered at the labels 'Interest expenses overseas', 'Royalty expenses overseas', 'Section 46FA deductions for flow-on dividends' and 'Offshore banking unit adjustment' plus you have answered "No" to 'Was the aggregate amount of the transactions with international parties (including the value of any property or service transferred or the balance of any loans) greater than $2 million?' and "No" to 'Did you have overseas branch operations or a direct or indirect interest in a foreign trust, foreign company. Controlled foreign entity or transferor trust?' and "No" to 'Did the thin capitalisation provisions affect you?', an International Dealing Schedule should not be attached</LongDescription>
            <Location>gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428354">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428354</Code>
            <Description>Research and Development Tax Incentive schedule must be attached</Description>
            <LongDescription>Where R&amp;D labels have been completed a Research and Development Tax Incentive schedule must be attached.</LongDescription>
            <Location>gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428355">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428355</Code>
            <Description>R&amp;D label mismatch</Description>
            <LongDescription>R&amp;D labels do not equal their matching labels in the Research and Development Tax Incentive schedule.</LongDescription>
            <Location>gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428356">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428356</Code>
            <Description>Refundable R&amp;D tax offset is greater than Refundable tax offsets on the calculation statement</Description>
            <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428357">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428357</Code>
            <Description>Gross tax calculation incorrect</Description>
            <LongDescription>Gross Tax must be equal to Tax on taxable income plus R&amp;D Recoupment tax</LongDescription>
            <Location>rvctc1.02.01:IncomeTax.TaxableGross.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428358">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428358</Code>
            <Description>Subtotal 1 must be equal to Gross Tax less non-refundable non-carry forward tax offsets</Description>
            <LongDescription>Where Gross Tax is greater than non-refundable non-carry forward tax offsets; subtotal 1 must be equal to Gross Tax less non-refundable non-carry forward tax offsets</LongDescription>
            <Location>rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428366">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428366</Code>
            <Description>Invalid Ultimate holding company country code - Australia is not a valid code</Description>
            <Location>pyde.02.08:Residency.TaxPurposesCountry.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428398">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428355</Code>
            <Description>R&amp;D label mismatch</Description>
            <LongDescription>R&amp;D labels do not equal their matching labels in the Research and Development Tax Incentive schedule.</LongDescription>
            <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428399">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428355</Code>
            <Description>R&amp;D label mismatch</Description>
            <LongDescription>R&amp;D labels do not equal their matching labels in the Research and Development Tax Incentive schedule.</LongDescription>
            <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428400">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428355</Code>
            <Description>R&amp;D label mismatch</Description>
            <LongDescription>R&amp;D labels do not equal their matching labels in the Research and Development Tax Incentive schedule.</LongDescription>
            <Location>rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428401">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428401</Code>
            <Description>Where subtotal 1 equals zero - subtotal 3 all must also equal zero</Description>
            <Location>rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428402">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428402</Code>
            <Description>Where subtotal 1 equals zero - Tax Payable all must also equal zero</Description>
            <Location>rvctc1.02.01:IncomeTax.Payable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428404">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428404</Code>
            <Description>An amended R&amp;D tax incentive schedule may only be attached to an amended main form</Description>
            <Location>pyin.02.07:Report.Amendment.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428405">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428405</Code>
            <Description>Check response to Thin Capitalisation question</Description>
            <LongDescription>If there is a 'True' response to 'Did the thin capitalisation rules apply to you?' on the IDS then a 'True' response is required at 'Did the thin capitalisation provisions apply as outlined in the instructions?' on the company return form.</LongDescription>
            <Location>bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428406">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428406</Code>
            <Description>Royalty expenses overseas or Foreign resident withholding expenses required</Description>
            <LongDescription>If a Royalties deduction amount has been completed on the IDS then Foreign resident withholding expenses or Royalty expenses overseas must be greater than zero on the company return form.</LongDescription>
            <Location>lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428408">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428408</Code>
            <Description>Royalties deductions incorrect</Description>
            <LongDescription>If Royalties deductions has been completed on the IDS then it must be less than or equal to Royalty expenses overseas on the Company return form</LongDescription>
            <Location>bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428409">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428409</Code>
            <Description>Lease expenses overseas or Rent expenses are required</Description>
            <LongDescription>Where there is a Rent/leasing expenditure amount present on the IDS, there must also be an amount at either Lease expenses overseas or Rent expenses on the company return form</LongDescription>
            <Location>bafpr2.02.00:Expense.Operating.Lease.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428410">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428410</Code>
            <Description>Gross rent and other leasing and hiring income required</Description>
            <LongDescription>If Rent/leasing revenue has been completed on the IDS then Gross rent and other leasing and hiring income must be greater than zero on the company return form</LongDescription>
            <Location>bafpr1.02.02:Income.RentLeasingHiringGross.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428412">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428412</Code>
            <Description>Gross interest or Gross payments subject to foreign resident withholding required</Description>
            <LongDescription>If Interest revenue has been completed on the IDS then Gross interest or Gross payments subject to foreign resident withholding must be greater than zero on the company return form</LongDescription>
            <Location>lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428413">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428413</Code>
            <Description>Attributed foreign income incorrect</Description>
            <LongDescription>The sum of amounts at attributable income of controlled foreign companies and controlled foreign trusts on the IDS should be equal to or greater than the sum of amounts at Listed country, Section 404 country and Unlisted country and equal to or less than the sum of amounts at Listed country, Section 404 country, Unlisted country and Transferor trust on the company return form.</LongDescription>
            <Location>rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
  <diagnostic id="DVR.ATO.CTR.428414">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CTR.428414</Code>
      <Description>Attributed foreign income incorrect</Description>
      <LongDescription>CFCs attributable income - Listed countries amount on the International Dealings Schedule (IDS) must be equal to or less than Attributed foreign income - Listed country on the parent Company Tax Return (CTR)</LongDescription>
      <Location>bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428415">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428415</Code>
            <Description>Response required at overseas interests question</Description>
            <LongDescription>If assessable income of controlled foreign companies and controlled foreign trusts under sections 456, 457 or 459A has been completed on the IDS then the response to the Overseas interests question on the company return form must be 'True'.</LongDescription>
            <Location>rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428416">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428416</Code>
            <Description>Number of controlled foreign companies or trusts required</Description>
            <LongDescription>There is an amount at Listed country or Section 404 country or Unlisted country or Transferor trust on the company tax return form and the number of controlled foreign companies or trusts on the IDS has not been supplied.</LongDescription>
            <Location>bafpr3.02.02:Income.InternationalDealings.Attributed.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428417">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428417</Code>
            <Description>Transactions with specified countries question incorrect</Description>
            <LongDescription>If there is a 'True' response at 'Did you have dealings with international related parties located in specified countries?' on the International Dealings Schedule (IDS) then the response at Overseas transactions - Transactions with specified countries on the company return must be 'True'.</LongDescription>
            <Location>rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428418">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428418</Code>
            <Description>Cost of sales required</Description>
            <LongDescription>If an expenditure amount has been completed at 'Tangible property of a revenue nature including trading stock and raw materials' on the IDS then Cost of sales must be completed on the company return form.</LongDescription>
            <Location>bafpr2.02.00:Expense.Operating.CostOfSales.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428419">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428419</Code>
            <Description>Other sales of goods and services required</Description>
            <LongDescription>If a revenue amount has been completed at 'Tangible property of a revenue nature including trading stock and raw materials' on the IDS then Other sales of goods and services must be greater than zero on the company return form.</LongDescription>
            <Location>bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428420">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430046</Code>
            <Description>Interest expenses required</Description>
            <LongDescription>If Debt deductions in earning non-assessable non-exempt foreign income claimed under s25-90 or 230-15(3) has been completed on the International dealings schedule (IDS) then Interest expenses within Australia or Interest expenses overseas must be greater than zero on the company return</LongDescription>
            <Location>bafpr2.02.02:Expense.Operating.Interest.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428421">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428421</Code>
            <Description>Other assessable income required</Description>
            <LongDescription>If Total amount of your share of net income/distribution of profit has been completed on the IDS then Other assessable income must be completed on the company return form.</LongDescription>
            <Location>bafpr1.02.02:Income.AssessableOther.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428422">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428422</Code>
            <Description>Net capital gain required</Description>
            <LongDescription>If Capital gain amounts has been completed on the IDS then Net capital gain must be completed on the main return.</LongDescription>
            <Location>bafpr1.02.00:Income.CapitalGainsNet.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428423">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428423</Code>
            <Description>Response to TOFA question required</Description>
            <LongDescription>If there is a 'True' response to 'Are you subject to the Taxation of Financial Arrangements rules contained in Division 230 of the ITAA 1997?' on the IDS, then there must be a 'True' response to 'Did you make a gain, loss or balancing adjustment from a financial arrangement subject to the TOFA rules?' on the company return.</LongDescription>
            <Location>rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428424">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428424</Code>
            <Description>Offshore banking unit adjustment required</Description>
            <LongDescription>If there is a 'True' response to 'Were you an offshore banking unit (OBU) or the head company of a consolidated group that included an OBU?' on the IDS then Offshore banking unit adjustment must be completed (zero is acceptable) on the company return form.</LongDescription>
            <Location>gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428425">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428425</Code>
            <Description>Incorrect response for an OBU</Description>
            <LongDescription>If Offshore banking unit adjustment has been completed (including zero) on the company return form then there must be a 'True' response at 'Were you an offshore banking unit (OBU) or the head company of a consolidated group that included an OBU?' on the IDS, and the relevant amount must be completed.</LongDescription>
            <Location>bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428426">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430011</Code>
            <Description>Status of company is incorrect</Description>
            <LongDescription>If there is a 'True' response to "Has an Australian resident company elected under subdivision 820-FB of the ITAA 1997 to treat your qualifying Australian branch operations as part of a consolidated group, MEC group or a single company for thin capitalisation purposes?" on the IDS then the residency status at Status of company must be Non-resident with permanent establishment on the company return</LongDescription>
            <Location>pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428427">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.428427</Code>
            <Description>Check response to CGT event question</Description>
            <LongDescription>If there is a 'True' response to 'Did you have any capital gains tax (CGT) events in relation to your interest in a foreign company?' On the IDS then a 'True' response is required at 'Did you have a CGT event during the year?' on the company return.</LongDescription>
            <Location>rvctc3.02.00:CapitalGainsTax.Event.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.428428">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430061</Code>
            <Description>Tax offset refunds must be zero</Description>
            <LongDescription>If Refundable tax offsets is less than Subtotal 2 then Tax offset refunds must be zero</LongDescription>
            <Location>rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</Location>
            <Severity>Information</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429831">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429833">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429834">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429835">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429836">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429837">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429838">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429839">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429840">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429841">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429842">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429843">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429844">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429845">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429846">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429847">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429848">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429849">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429850">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429851">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429852">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429853">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429855">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429856">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429858">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429859">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429860">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429862">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429863">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429864">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429865">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429866">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429867">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429868">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429869">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429870">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429871">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429872">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429873">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429874">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429875">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429876">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429877">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429878">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429879">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429880">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429881">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429882">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429883">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429884">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429885">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429886">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429887">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429888">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429889">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429890">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429891">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429892">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429893">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429894">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429895">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429896">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429897">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429898">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429899">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429900">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429901">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429902">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429903">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429908">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429909">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429910">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429911">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429912">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429913">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429914">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429915">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429917">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429919">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429920">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429921">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429922">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429923">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429924">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429925">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429926">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429927">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429928">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429930">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429931">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429932">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429935">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429937">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429938">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429939">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429940">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429941">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429942">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429943">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429944">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429946">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429947">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429948">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429949">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429960">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429961">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429962">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429963">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429964">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429965">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429966">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429967">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429968">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429973">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429975">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429977">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429978">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429979">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429980">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429981">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429982">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429984">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429985">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429986">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429987">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429988">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001011</Code>
            <Description>Field value supplied exceeds maximum field length</Description>
            <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429989">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429991">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429992">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429993">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429994">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429995">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429996">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429997">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429998">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.429999">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430000">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430000</Code>
            <Description>Invalid context. The number of Reporting party:LowCost contexts must not exceed 1</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430001</Code>
            <Description>Invalid context. The number of Reporting party:GeneralPool contexts must not exceed 1</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430002">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430002</Code>
            <Description>Invalid context. The number of Reporting party:PreRules contexts must not exceed 1</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430003">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430003</Code>
            <Description>Invalid context. The number of Reporting party:InterimRules contexts must not exceed 1</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430004">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430004</Code>
            <Description>Invalid context. The number of Reporting party:ProspectiveRules contexts must not exceed 1</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430005">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430005</Code>
            <Description>Invalid context. The number of Reporting party:Carried back to middle year contexts must not exceed 1</Description>
            <Location>Context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430007">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430007</Code>
            <Description>Invalid context. The number of Reporting party:Carried forward to next year contexts must not exceed 1</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430008">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430008</Code>
            <Description>Invalid context. The number of Reporting party:Carried forward from previous year contexts must not exceed 1</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430013</Code>
            <Description>Specified Income year must not be less than 1995 or greater than the current reporting year</Description>
            <Location>rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430014</Code>
            <Description>International dealings schedule required</Description>
            <LongDescription>International dealings schedule must be attached if interest expenses overseas amount is greater than zero</LongDescription>
            <Location>bafpr2.02.02:Expense.Operating.Interest.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430015">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430015</Code>
            <Description>International dealings schedule required</Description>
            <LongDescription>International dealings schedule must be attached if royalty expenses overseas amount is greater than zero</LongDescription>
            <Location>bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430020">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430020</Code>
            <Description>International dealings schedule required</Description>
            <LongDescription>International dealings schedule must be attached if section 46FA deduction for flow-on dividends amount is greater than zero</LongDescription>
            <Location>bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430022">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400012</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a numeric field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430023">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430023</Code>
            <Description>Net capital losses carried forward to later income years incorrect</Description>
            <LongDescription>Net capital losses carried forward to later income years on the company return  must equal the total net capital losses carried forward (including collectables) to later income years on the CGT schedule</LongDescription>
            <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430024">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430025">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430025</Code>
            <Description>Non-refundable R&amp;D tax offset to be utilised amount incorrect</Description>
            <LongDescription>Non-refundable R&amp;D tax offset to be utilised in the current year cannot be greater than the total sum of Non-refundable R&amp;D tax offset and Non-refundable R&amp;D tax offset carried forward from previous year</LongDescription>
            <Location>gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundableUtilised.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430026">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430027">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430027</Code>
            <Description>Non-refundable R&amp;D tax offset to be carried forward amount is incorrect</Description>
            <LongDescription>Non-refundable R&amp;D tax offset to be carried forward should be equal to Non-refundable R&amp;D tax offset plus Non-refundable R&amp;D tax offset carried forward from previous year minus Non-refundable R&amp;D tax offset to be utilised in the current year</LongDescription>
            <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430028">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430028</Code>
            <Description>Invalid exemption or rollover code</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430029">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430029</Code>
            <Description>Exemption or rollover code must be unique</Description>
            <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430030">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430030</Code>
            <Description>Maximum of eighteen exemption or rollover codes allowed for company tax return</Description>
            <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430031">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430031</Code>
            <Description>Capital gains disregarded as a result of inter-company assets roll-over amount missing from CGT schedule</Description>
            <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Intercompany rollover Subdivision 126B", then Capital gains disregarded as a result of inter-company assets roll-over amount on attached CGT schedule must be completed</LongDescription>
            <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430032">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430033">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430034">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430035">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430042">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430043">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430041</Code>
            <Description>Feedstock adjustment amount cannot be greater than other assessable income amount</Description>
            <Location>bafpr3.02.11:Income.ResearchAndDevelopment.FeedstockAdjustment.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430049">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430056">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001001</Code>
            <Description>Mandatory field not supplied</Description>
            <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430057">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430068">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430068</Code>
            <Description>Amount of payment/refund is incorrect</Description>
            <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430069">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430069</Code>
            <Description>This field must not be supplied.</Description>
            <LongDescription/>
            <Location>gfagc.02.08:TaxConcession.ResearchAndDevelopment.CreditReceivedNet.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430071">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430072">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430072</Code>
            <Description>Paid Parental Leave Levy excluded distributions are incorrect</Description>
            <LongDescription>If adjusted taxable income (less excluded income) is greater than $5 million, then Paid Parental Leave Levy excluded distributions  cannot be greater than Total dividend Income plus Franking credits.</LongDescription>
            <Location>bafpr1.02.21:Income.DistributionsExcludedFromPaidParentalLeaveLevy.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430073">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430073</Code>
            <Description>Paid Parental Leave Levy excluded distributions are incorrect</Description>
            <LongDescription>If adjusted taxable income (less excluded income) is greater than $5 million and Paid Parental Leave Levy excluded distributions is greater than zero, then Total dividend income cannot be zero.</LongDescription>
            <Location>bafpr1.02.21:Income.DistributionsExcludedFromPaidParentalLeaveLevy.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.430074">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430074</Code>
            <Description>Paid Parental Leave Levy excluded distributions are incorrect</Description>
            <LongDescription>If adjusted taxable income (less excluded income) is $5 million or less, then Paid Parental Leave Levy excluded distributions cannot be greater than zero.</LongDescription>
            <Location>bafpr1.02.21:Income.DistributionsExcludedFromPaidParentalLeaveLevy.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.CTR.438037">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.CTR.430212</Code>
            <Description>The Paid Parental Leave Levy excluded distribution cannot be claimed.</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
  <diagnostic id="DVR.ATO.CTR.500001">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430009</Code>
      <Description>Previous postal address must not be the same as current postal address</Description>
      <Location>address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
   <diagnostic id="DVR.ATO.DIS.406027">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.DIS.406027</Code>
            <Description>Year of Return must not be supplied when submitted with a parent return</Description>
            <LongDescription/>
            <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.DIS.406032">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.402010</Code>
            <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
            <LongDescription>Your supplied ABN does not match the ABN supplied on the parent form it was submitted with</LongDescription>
            <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.DIS.406036">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.DIS.406036</Code>
            <Description>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with.</Description>
            <LongDescription/>
            <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.DIS.406038">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.DIS.406038</Code>
            <Description>Organisation main name on schedule does not match parent return.</Description>
            <LongDescription/>
            <Location>orgname1.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.DIS.406039">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.DIS.406039</Code>
            <Description>Intermediary is not required when Dividend and Interest Schedule is submitted with a parent return.</Description>
            <LongDescription/>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.DIS.406040">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.DIS.406040</Code>
            <Description>Address must not be supplied when submitted with the parent return.</Description>
            <Location>address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.DIS.406041">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.DIS.406041</Code>
            <Description>Reporting party declaration must not be supplied when submitted with a parent return.</Description>
            <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.DIS.406047">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.DIS.406047</Code>
            <Description>Intermediary declaration must not be supplied when submitted with a parent return</Description>
            <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000012</Code>
            <Description>State or Territory is required for an Australian address</Description>
            <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000051">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000051</Code>
            <Description>Telephone Usage Code must be 03</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000208">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.200007</Code>
            <Description>Invalid XBRL schema</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000226">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.200007</Code>
            <Description>Invalid XBRL schema</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000405">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000405</Code>
            <Description>Address line 1 cannot contain "UNKNOWN"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000407">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000407</Code>
            <Description>Address line 2 cannot contain "UNKNOWN"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000409">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000409</Code>
            <Description>Suburb/Town/City cannot contain "UNKNOWN"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000410">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000410</Code>
            <Description>Suburb/Town/City cannot contain numeric characters</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000413">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000413</Code>
            <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
            <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000414">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000414</Code>
            <Description>Non Individual Name cannot contain "P/L"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000416">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000416</Code>
            <Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000423">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000423</Code>
            <Description>Family Name cannot contain "space hyphen space"</Description>
            <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000427">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000427</Code>
            <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000434">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000434</Code>
            <Description>First name cannot contain space hyphen space</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000439">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000439</Code>
            <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000446">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000446</Code>
            <Description>Other given name cannot contain space hyphen space</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000451">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000451</Code>
            <Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000458">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000458</Code>
            <Description>Suffix is invalid</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000459">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000459</Code>
            <Description>Title is invalid</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000466">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000466</Code>
            <Description>Organisation Name Currency Code must be "C" or "P"</Description>
            <Location>pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000467">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000467</Code>
            <Description>Address usage code must be "POS" or "BUS"</Description>
            <Location>pyde.02.01:AddressDetails.Usage.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000468">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000468</Code>
            <Description>Postal address currency code must be "C" or "P"</Description>
            <Location>pyde.02.00:AddressDetails.Currency.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.001008">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001008</Code>
            <Description>Field not supplied in valid date format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.001009">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001009</Code>
            <Description>Field not supplied in valid monetary format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.001010">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001010</Code>
            <Description>Field not supplied in valid boolean format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.001012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001012</Code>
            <Description>ID supplied is invalid</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.001013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001013</Code>
            <Description>Field not supplied in valid Positive Integer format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.001014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001014</Code>
            <Description>Field not supplied in valid Non Negative Integer format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.001015">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001015</Code>
            <Description>Field not supplied in valid Pure format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.001018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001018</Code>
            <Description>Field not supplied in valid decimal format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.001023">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001023</Code>
            <Description>Unexpected TFN mismatch with Reporting Party</Description>
            <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.001026">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001026</Code>
            <Description>TFN must be supplied for Reporting Party or ABN must be supplied for Intermediary</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.001032">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001032</Code>
            <Description>Field not supplied in valid float format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002002">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002003">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002004">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002005">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002006">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002007">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002008">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002009">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002010">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002011">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002015">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002016">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002017">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002019">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.002020">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.001017</Code>
            <Description>Field not supplied in valid format</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.010028.CTR">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.010028</Code>
            <Description>If the return is an amendment, sequence number, type and reason must be present</Description>
            <LongDescription>If the Amendment Indicator is 'yes' (true), then the Amendment Sequence Number, Amendment Type and Amendment Reason must be present and not blank.</LongDescription>
            <Location>pyin.02.07:Report.Amendment.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.010029.CTR">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.010029</Code>
            <Description>If the return is an amendment, Amendment Indicator must be 'yes' (true)</Description>
            <LongDescription>If an Amendment Sequence Number, Amendment Type or Amendment Reason is present, then the Amendment Indicator must be 'yes' (true)</LongDescription>
            <Location>pyin.02.07:Report.Amendment.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.010030CTR">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.010030</Code>
            <Description>Amendment sequence number must be a number between 1 and 9</Description>
            <Location>pyin.02.08:Report.AmendmentSequence.Number</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.307001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.307001</Code>
            <Description>Declaration Statement Type Code must be 'TrueAndCorrect'</Description>
            <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.307002">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.307002</Code>
            <Description>Declaration statement is required to be completed</Description>
            <LongDescription>An Intermediary must sign the Intermediary declaration, or the Reporting Party must sign the Reporting Party declaration</LongDescription>
            <Location>declaration2.02.01:Declaration/pyin.02.00:Declaration.StatementAccepted.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.307003">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.307003</Code>
            <Description>Declaration Signatory Identifier is required</Description>
            <LongDescription>Intermediary or Report Party declaration signatory is required</LongDescription>
            <Location>declaration2.02.01:Declaration/pyin.02.00:Declaration.SignatoryIdentifier.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.307004">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.307004</Code>
            <Description>Declaration Signature Date is required</Description>
            <LongDescription>Intermediary or Report Party declaration signatory date is required</LongDescription>
            <Location>declaration2.02.01:Declaration/pyin.02.00:Declaration.Signature.Date</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.400013.0">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400013</Code>
            <Description>Organisation main name on schedule does not match parent return</Description>
            <Location>pyid.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.402009">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.402009</Code>
            <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
            <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.402009.CTR">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.402009</Code>
            <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
            <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
            <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.402009.RDTIS">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.402009</Code>
            <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
            <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
            <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.402010">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.402010</Code>
            <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
            <LongDescription>Your supplied ABN does not match the ABN supplied on the parent form it was submitted with</LongDescription>
            <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410038.CTR">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410038</Code>
            <Description>Non-individual name field cannot contain 'Pship', 'P'ship or 'P/Ship'</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410039">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410039</Code>
            <Description>Organisation name must contain at least one alpha or numeric character</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410049">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410049</Code>
            <Description>Organisation Name Type Code must be 'MN'</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410105">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410105</Code>
            <Description>ARBN must be a valid number that passes the algorithm</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410113.1">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410113</Code>
            <Description>TFN for Reporting Party must be present</Description>
            <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410115">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410115</Code>
            <Description>TFN on Schedule must match TFN on main form</Description>
            <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410119">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410119</Code>
            <Description>ABN of the Intermediary on the schedule must match the ABN on the main form</Description>
            <Location>xbrli:context/xbrli:entity/xbrli:identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410131">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410131</Code>
            <Description>Other Given Name must contain at least one alphabetical character</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410200">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000424</Code>
            <Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410201">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000426</Code>
            <Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410203">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000437</Code>
            <Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410204">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000438</Code>
            <Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410205">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410001</Code>
            <Description>Address Line 1 must not contain 'AS ABOVE'</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410206">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428042</Code>
            <Description>Non Individual Name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410207">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000448</Code>
            <Description>Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410208">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000449</Code>
            <Description>Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.410209">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000450</Code>
            <Description>Other given name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428016.0">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428016</Code>
            <Description>Tax File Number has failed the algorithm check</Description>
            <Location>xbrli:identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428021">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428021</Code>
            <Description>Invalid ACN</Description>
            <LongDescription>The Australian Company Number (ACN) has failed the algorithm check</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428023">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428023</Code>
            <Description>Current postal address must be supplied.</Description>
            <LongDescription>Current postal address - Line 1 is required</LongDescription>
            <Location>address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Line1.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428026">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428026</Code>
            <Description>C/- must be followed by a Name and the Address on line 2</Description>
            <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428030">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428030</Code>
            <Description>Postal Address Line 3 is not required</Description>
            <Location>pyde.02.00:AddressDetails.Line3.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428033">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428033</Code>
            <Description>Postal address on previous return - Line 4 is not required</Description>
            <Location>pyde.02.00:AddressDetails.Line4.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428036">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428036</Code>
            <Description>Invalid State code</Description>
            <LongDescription>The State code in the Current address is not Valid (Valid States are "QLD ","NSW ","VIC ","SA ","WA ","NT ","ACT ","TAS)</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428037">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428037</Code>
            <Description>Address details must be present</Description>
            <LongDescription>Address details must be complete with street name and number, suburb/town field</LongDescription>
            <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428040.0">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000477</Code>
            <Description>ABN is invalid</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428041">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428041</Code>
            <Description>For an Australian address, postcode is invalid. Valid range is 0200 - 9999</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428045">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428045</Code>
            <Description>Organisation Name in schedule should match Organisation Name in parent return</Description>
            <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428204">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428204</Code>
            <Description>Number of Postal Addresses cannot exceed 2</Description>
            <Location>address2.02.02:AddressDetails/pyde.02.01:AddressDetails.Usage.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428205">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428205</Code>
            <Description>Current postal address is only required once</Description>
            <Location>address2.02.02:AddressDetails/pyde.02.00:AddressDetails.Currency.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428206">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428206</Code>
            <Description>Previous postal address is only required once</Description>
            <Location>pyde.02.00:AddressDetails.Currency.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428211">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428211</Code>
            <Description>Pay As You Go Withholding Payment type code "DFRW" is only required once</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428212">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428212</Code>
            <Description>Pay As You Go Withholding Payment type code "DNOABN" is only required once</Description>
            <Location>rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428217">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428217</Code>
            <Description>Number of Current Organisation Names supplied cannot exceed 3</Description>
            <Location>pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428218">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428218</Code>
            <Description>Number of Previous Organisation Name details supplied cannot exceed 1</Description>
            <Location>pyde.02.00:OrganisationNameDetails.Currency.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428219">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428219</Code>
            <Description>Declaration signatory must be supplied</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428221">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428221</Code>
            <Description>Invalid Person Name Type code. Valid code is "LGL"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428223">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428223</Code>
            <Description>Invalid Person Name Currency code. Valid code is "C"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428224">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.428224</Code>
            <Description>Can only have one current address present</Description>
            <Location>prsnstrcnm3.02.01:PersonNameDetails/pyde.02.00:PersonNameDetails.Currency.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428230">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000411</Code>
            <Description>Suburb/Town/City cannot contain state code</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000406">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000406</Code>
            <Description>Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.000408">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000408</Code>
            <Description>'Care of' is not valid for address line 2</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428247">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.410009</Code>
            <Description>The Tax Agent number has failed the Tax Agent number algorithm check</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428248">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000422</Code>
            <Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.428249">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.000436</Code>
            <Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.432032">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432032</Code>
            <Description>BSB Number, Account Number and Account Name must all be present</Description>
            <LongDescription>If any EFT details are present, then a BSB number, account number and an account name must all be present. If EFT is not required, then all fields must be blank or not present</LongDescription>
            <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.432035">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432035</Code>
            <Description>BSB Number must be six digits and greater than 012000</Description>
            <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.432036">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432036</Code>
            <Description>Bank account number must not contain an apostrophe or a space</Description>
            <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.432037">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432037</Code>
            <Description>Bank account name must not contain invalid characters _ ! @ $ % [ ] ? = : ; " ,</Description>
            <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.432040">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432040</Code>
            <Description>Only one EFT bank account may be present</Description>
            <Location/>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.432267">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432267</Code>
            <Description>Financial institution name and branch name must not be present</Description>
            <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.432268.CTR">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432268</Code>
            <Description>Financial institution details must be entered when a credit (refund) is due.</Description>
            <LongDescription>Based on the return calculation details a credit or refund is due. In order for the ATO to pay this credit or refund, Australian financial institution account details must be provided. If account details are not available please phone the Tax Office on: For self lodgers 13 28 61 options 2 2 and for tax agents 13 72 86 options 1 3 1 2.</LongDescription>
            <Location>rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.432391">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.432391</Code>
            <Description>Tax agent contact name must have a Usage code of 'Contact'</Description>
            <LongDescription>The unstructured person name for the tax agent or intermediary contact must include a Usage Code of 'Contact'. Please contact your software vendor in order to rectify this error.</LongDescription>
            <Location>prsnunstrcnm1.02.01:PersonUnstructuredName/pyde.02.05:PersonUnstructuredName.Usage.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.436279">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.436279</Code>
            <Description>Declaration name must have a usage code of 'DeclarationSignatory'</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438000">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438000</Code>
            <Description>The context period start date is incorrect.</Description>
            <LongDescription>Period start date within context on the schedule must match period start date within the parent return reporting party context</LongDescription>
            <Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438000.CGTS">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438000</Code>
            <Description>The context period start date is incorrect.</Description>
            <LongDescription>Period start date within context on the schedule must match period start date within the parent return reporting party context</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438000.IDS">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438000</Code>
            <Description>The context period start date is incorrect.</Description>
            <LongDescription>Period start date within context on the schedule must match period start date within the parent return reporting party context</LongDescription>
            <Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438001">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438001</Code>
            <Description>The context period end date is incorrect.</Description>
            <LongDescription>Period end date within context on the schedule must match period end date within the parent return reporting party context</LongDescription>
            <Location>xbrli:context/xbrli:period/xbrli:endDate</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438001.IDS">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438001</Code>
            <Description>The context period end date is incorrect.</Description>
            <LongDescription>Period end date within context on the schedule must match period end date within the parent return reporting party context</LongDescription>
            <Location>xbrli:context/xbrli:period/xbrli:endDate</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438010">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438010</Code>
            <Description>Personal services income section completed incorrectly</Description>
            <LongDescription>If the income includes personal services income (PSI) then total amount of income and deductions, results test satisfied and business determination indicators must all be completed</LongDescription>
            <Location>bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438011">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438011</Code>
            <Description>Personal services income section completed incorrectly</Description>
            <LongDescription>If the income does not include personal services income (PSI) then total amount of income and deductions,results test satisfied,business determination,unrelated clients test,employment test and business premises test indicators must not be completed</LongDescription>
            <Location>bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438012">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438013">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438014">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438015">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438016">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438018">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.400011</Code>
            <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
            <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438019">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438019</Code>
            <Description>Exemption or rollover code not supplied</Description>
            <LongDescription>If an exemption or rollover has been applied then the exemption or rollover code(s) must be supplied</LongDescription>
            <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438021">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438021</Code>
            <Description>Exemption or rollover applied indicator must be true</Description>
            <LongDescription>If an exemption or rollover code(s) is provided then the exemption or rollover applied indicator must be true</LongDescription>
            <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438022">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438022</Code>
            <Description>Small business active asset reduction amount missing from CGT schedule</Description>
            <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business active asset reduction (Subdivision 152-C)", then Small business active asset reduction amount on attached CGT schedule must be completed</LongDescription>
            <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438023">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438023</Code>
            <Description>Small business retirement exemption amount missing from CGT schedule</Description>
            <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business retirement exemption (Subdivision152-D)", then Small business retirement exemption amount on attached CGT schedule must be completed</LongDescription>
            <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438024">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438024</Code>
            <Description>Small business roll-over amount missing from CGT schedule</Description>
            <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business roll-over (Subdivision 152-E)", then Small business roll-over amount on attached CGT schedule must be completed</LongDescription>
            <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438025">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438025</Code>
            <Description>Small business 15 year exemption amount missing from CGT schedule</Description>
            <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Small business 15 year exemption (Subdivision152-B)", then Small business 15 year exemption amount on attached CGT schedule must be completed</LongDescription>
            <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438026">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438026</Code>
            <Description>Capital gains disregarded by a foreign resident amount missing from CGT schedule</Description>
            <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Foreign resident CGT exemption (Division 855)", then Capital gains disregarded by a foreign resident amount on attached CGT schedule must be completed</LongDescription>
            <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438027.CTR">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438027</Code>
            <Description>Capital gains disregarded as a result of a scrip for scrip roll-over amount missing from CGT schedule</Description>
            <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Scrip for scrip roll-over (Subdivision 124-M)", then Capital gains disregarded as a result of a scrip for scrip roll-over amount on attached CGT schedule must be completed</LongDescription>
            <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438028">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438028</Code>
            <Description>Capital gains disregarded by a demerging entity amount missing from CGT schedule</Description>
            <LongDescription>If taxpayer is required to lodge a CGT schedule and CGT exemption or rollover applied code is "Demerger exemption (Subdivision 125-C)", then Capital gains disregarded by a demerging entity amount on attached CGT schedule must be completed</LongDescription>
            <Location>rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438029">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438029</Code>
            <Description>Entity identifier scheme for ReportingParty must be"http://www.ato.gov.au/tfn"</Description>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438030">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438030</Code>
            <Description>Entity identifier scheme for Intermediary must be"http://www.ato.gov.au/abn"</Description>
            <Location>xbrli:context</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438036">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438036</Code>
            <Description>Tax on taxable income must be supplied. A value must be included in the field, even if the value is zero.</Description>
            <Location>rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.GEN.438041">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.438041</Code>
            <Description>Tax losses Carry Back Offset cannot be claimed from 2015.</Description>
            <Location>rvctc3.02.00:Tax.Losses.Utilised.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410051">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.IEE.410235</Code>
            <Description>Election Commencement Time must not be present if Income Year Specified is different to the parent return target financial year</Description>
            <Location>rvctc3.02.00:Elections.Commencement.Date</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410069">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.IEE.410069</Code>
            <Description>Questions about revocation must not be answered if the form is used for an election</Description>
            <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410070">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.IEE.410070</Code>
            <Description>The income year of the Interposed Entity Revocation must equal the income year of the main return</Description>
            <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410071">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.IEE.410071</Code>
            <Description>For a revocation all details about the family trust must be present</Description>
            <LongDescription>You have nominated to revoke an interposed entity, however information is missing from the revocation section on the schedule. For the revocation to be valid Section B on the IEE schedule must be completed</LongDescription>
            <Location>rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410076">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.IEE.410076</Code>
            <Description>An IEE election must not contain revocation Income Year</Description>
            <LongDescription>This schedule contains election details, and also the 'income year from which the revocation is to be effective'. If both an election and a revocation are needed, a second schedule is to be submitted with the main return form</LongDescription>
            <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410084">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.IEE.410238</Code>
            <Description>Year specified for IEE revocation must be 2011 or later</Description>
            <Location>rvctc3.02.00:Elections.Revocation.Year</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410100">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.IEE.410100</Code>
            <Description>The TFN of the trustee or partner or the no TFN indicator must be present</Description>
            <LongDescription>The interposed entity code is '161', '217' or '212' and the field indicating that the 'trustee or partner does not have a tax file number' is blank, and no tax file number has been supplied</LongDescription>
            <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410198">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.IEE.410086</Code>
            <Description>TFN of specified individual must be present if TFN non existent indicator is not 'TRUE'</Description>
            <LongDescription>TFN of specified individual must be present if TFN non existent indicator is blank or 'FALSE'</LongDescription>
            <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410223">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.IEE.410223</Code>
            <Description>Interposed Entity Address must be blank or be the same as on main form</Description>
            <LongDescription>When the IEE is lodged as a schedule, the Address of the interposed entity must be either blank or must equal the address on the main form</LongDescription>
            <Location>address2.02.00:AddressDetails</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410224">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.IEE.410223</Code>
            <Description>Interposed Entity Address must be blank or be the same as on main form</Description>
            <LongDescription>When the IEE is lodged as a schedule, the Address of the interposed entity must be either blank or must equal the address on the main form</LongDescription>
            <Location>address2.02.00:AddressDetails</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410225">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.402063</Code>
            <Description>Name on schedule does not match parent form</Description>
            <LongDescription>Name on schedule does not match name on parent form.</LongDescription>
            <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410226">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.GEN.402063</Code>
            <Description>Name on schedule does not match parent form</Description>
            <LongDescription>Name on schedule does not match name on parent form.</LongDescription>
            <Location>orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.IEE.410262">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.IEE.410262</Code>
            <Description>If IEE is lodged as a schedule intermediary declaration must not be present for IEE</Description>
            <Location>declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.LS.414023">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.LS.414023</Code>
            <Description>Answer to changeover time question is required</Description>
            <Location>rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
   <diagnostic id="DVR.ATO.PSS.000036">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.PSS.000036</Code>
            <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
            <LongDescription/>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438069">
        <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
            <Code>CMN.ATO.RDTIS.438069</Code>
            <Description>Refundable R&amp;D tax offset is incorrect</Description>
            <LongDescription>Refundable R&amp;D tax offset must equal 45% of the Refundable tax offset Total notional R&amp;D deductions.</LongDescription>
            <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount</Location>
            <Severity>Error</Severity>
        </ProcessMessage>
    </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438055">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438055</Code>
      <Description>Refundable R&amp;D tax offset is incorrect</Description>
      <LongDescription>Refundable R&amp;D tax offset must equal 45% of the Refundable tax offset Total notional R&amp;D deductions</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.RDTIS.438070">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438070</Code>
      <Description>Refundable R&amp;D tax offset is incorrect</Description>
      <LongDescription>Refundable R&amp;D tax offset must be equal to $45 million plus 30% of the amount of Refundable tax offset Total notional R&amp;D deductions above $100 million.</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RDTIS.438059">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438059</Code>
      <Description>Non-refundable R&amp;D tax offset is incorrect</Description>
      <LongDescription>Non-refundable R&amp;D tax offset must equal 40% of the Non-refundable tax offset Total notional R&amp;D deductions</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
 <diagnostic id="DVR.ATO.RDTIS.438071">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438071</Code>
      <Description>Non-refundable R&amp;D tax offset is incorrect</Description>
      <LongDescription>Non-refundable R&amp;D tax offset must equal 40% of the Non-refundable tax offset Total notional R&amp;D deductions.</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RDTIS.438072">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RDTIS.438072</Code>
      <Description>Non-refundable R&amp;D tax offset is incorrect</Description>
      <LongDescription>Non-refundable R&amp;D tax offset must be equal to $40 million plus 30% of the amount of Non-refundable tax offset Total notional R&amp;D deductions above $100 million.</LongDescription>
      <Location>gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.PSS.000035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000035</Code>
      <Description>Payment Type not applicable to Non-individual income tax return</Description>
      <LongDescription></LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
</diagnostics>