﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<let name="curr_year_432030" value="number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" />
<let name="year_end_432030" value="xs:date(concat(format-number($curr_year_432030,'0'), '-06-30'))" />
<let name="death_date_432030" value="pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />

<!--
            Rule ID: VR.ATO.TRT.432706
            
            IF [TRT106] <> NULL 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT106] = TRT:RP.JAUS:rvctc1.02.03:IncomeTax.CommonwealthOfAustraliaGovernmentPensionsAndAllowances.Code

        -->

<assert  id="VR.ATO.TRT.432706" diagnostics="DVR.ATO.TRT.432706" test="not(
                       rvctc1.02.03:IncomeTax.CommonwealthOfAustraliaGovernmentPensionsAndAllowances.Code[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                   )"></assert>

<!--
            Rule ID: VR.ATO.TRT.432633
            
            IF [TRT230] <> NULL AND [TRT445] <> NULL AND [TRT230] <> [TRT445]
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT230] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT445] = TRT:RP:rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code
        -->

<assert  id="VR.ATO.TRT.432633" diagnostics="DVR.ATO.TRT.432633" test="not(  
                               trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled/rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
                               and  
                               rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
                               and 
                               (
                                  number(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled/rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')])
                                   !=
                                  number(rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')])
                                )
                           )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432635
            
            IF [TRT446] <> NULL AND  [TRT445] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT445] = TRT:RP:rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code
            [TRT446] = TRT:RP:rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount
        -->

<assert  id="VR.ATO.TRT.432635" diagnostics="DVR.ATO.TRT.432635" test="not(  
                               rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
                               and  
                               not(rvctc3.02.08:CapitalGainsTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')])
                           )"></assert>

<!--
            Rule ID: VR.ATO.TRT.432631

            IF [TRT438] > 0 AND [TRT437] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT437] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
            [TRT438] = TRT:RP.JAUS.NonPrim:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount


        -->

<assert  id="VR.ATO.TRT.432631" diagnostics="DVR.ATO.TRT.432631" test="not(  
                               sum(rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                               and  
                               not(bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId  and not(@i:nil='true' or @i:nil='1')])
                           )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432632
            
            IF (ANY OCCURRENCE OF [TRT441] > 0 OR [TRT443] > 0) AND 
            ((SUM([TRT441]) + [TRT443]) <> [TRT440])
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT440] = TRT:RP:bafpr1.02.10:Income.TrustEstateIncome.Amount
            [TRT441] = TRT:RP:bafpr1.02.10:Income.TrustEstateIncomeShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT443] = TRT:RP:bafpr1.02.10:Income.TrustEstateIncomeShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                    -->

<assert  id="VR.ATO.TRT.432632" diagnostics="DVR.ATO.TRT.432632" test="not(  
                                (
										sum($TRT441)  &gt; 0
                                    or 
										sum($TRT441) &gt; 0
									)
									and
										round(xs:decimal(100*sum($TRT440)))
									!=
										round(xs:decimal(100*sum($TRT441 | $TRT443)))	
                             )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432609
            
            IF ([TRT28] <> NULL) AND ([TRT28] < 1995 OR [TRT28] > [TRT1])
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT1] = TRT:RP:pyin.02.00:Report.TargetFinancial.Year
            [TRT28] = TRT:RP:rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year
        -->

<assert  id="VR.ATO.TRT.432609" diagnostics="DVR.ATO.TRT.432609" test="not(  
                           rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            (
                              number (rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 1995
                              or
                               (
                                 number(rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;
                                 number(pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                               )
                            )
                      )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432610
            
            IF ([TRT30] <> NULL) AND ([TRT30] < 1995 OR [TRT30] > [TRT1])
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT1] = TRT:RP:pyin.02.00:Report.TargetFinancial.Year
            [TRT30] = TRT:RP:rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year
        -->

<assert  id="VR.ATO.TRT.432610" diagnostics="DVR.ATO.TRT.432610" test="not(  
                           rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            (
                              number (rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 1995
                              or
                               (
                                 number(rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;
                                 number(pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                               )
                            )
                      )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432421
            
            IF [TRT95] > 0 AND ([TRT94] = 0 OR [TRT94] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT94] = TRT:RP.JAUS:bafpr2.02.02:Income.Interest.Gross.Amount
            [TRT95] = TRT:RP.JAUS:rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
-->

<assert  id="VR.ATO.TRT.432421" diagnostics="DVR.ATO.TRT.432421" test="not(  
                            number(sum(rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            and
                            (
                            number (bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            or
                            not(bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )

                         )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432100
            
            IF [TRT353] <> NULL AND ([TRT77] = NULL OR [TRT77] <= 0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT353] = TRT:RP.JAUS.Prim:pyde.02.05:Party.TrustType.Code
        -->

<assert  id="VR.ATO.TRT.432100" diagnostics="DVR.ATO.TRT.432100" test="not(
                            $TRT353 and (not($TRT77) or xs:decimal(round(xs:decimal(sum($TRT77) * 100))) &lt;= 0)
                        )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432098
            
            IF ([TRT84] > 0 OR [TRT438] > 0 OR [TRT83] > 0 OR [TRT85] > 0 OR [TRT86] > 0 OR [TRT87] > 0) AND ([TRT76] = NULL AND [TRT77] = NULL AND [TRT80] = NULL AND [TRT81] = NULL AND [TRT437] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT76] = TRT:RP.JAUS.Prim:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT80] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [TRT83] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
            [TRT84] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount
            [TRT85] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
            [TRT86] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount
            [TRT87] = TRT:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount
            [TRT437] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
            [TRT438] = TRT:RP.JAUS.NonPrim:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount
        -->

<assert  id="VR.ATO.TRT.432098" diagnostics="DVR.ATO.TRT.432098" test="not(
                            (
                             sum(($TRT84)) &gt; 0 or sum($TRT438) &gt; 0 or 
                             sum(($TRT83)) &gt; 0 or sum($TRT85) &gt; 0 or 
                             sum(($TRT86)) &gt; 0 or sum($TRT87) &gt; 0
                             ) 
                            and 
                            (not($TRT76) and not($TRT77) and not($TRT80) and not($TRT81) and not($TRT437)) 
                        )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432080
            
            IF ([TRT73] <> NULL OR [TRT74] <> NULL) AND ([TRT71] = NULL AND [TRT72] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
            [TRT72] = TRT:RP.JAUS.NonPrim:bafpr1.02.09:Income.Net.Amount
            [TRT73] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            [TRT74] = TRT:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
        -->

<assert  id="VR.ATO.TRT.432080" diagnostics="DVR.ATO.TRT.432080" test="not(       
                            (
                            rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount [@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                            
                            or
                            rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount [@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                            and
                            (
                            not (bafpr1.02.09:Income.Net.Amount [@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not (bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )
                
                          )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432107
            
            IF [TRT83] > 0 AND ([TRT80] = NULL AND [TRT81] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT80] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [TRT83] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
        -->

<assert  id="VR.ATO.TRT.432107" diagnostics="DVR.ATO.TRT.432107" test="not(                              
                         sum($TRT83) &gt; 0 
                         and 
                         (not($TRT80) and not($TRT81)) 
                     )"></assert>
  
<!--     
            Rule ID: VR.ATO.TRT.432335
            
            IF ([TRT244] = TRUE OR [TRT149] = TRUE OR [TRT245] = ""NonResidentNoPermEstab"") AND [TRT405] = NULLORBLANK 
                 RETURN VALIDATION MESSAGE
            ENDIF

            [TRT149] = TRT:RP:pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator
            [TRT244] = TRT:RP:rvctc1.02.00:IncomeTax.BeneficiaryUnderLegalDisabilityAlsoPresentlyEntitledToIncomeFromAnotherTrust.Indicator
            [TRT245] = TRT:RP:pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code
            [TRT405] = TRT:RP:bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text
        -->

<assert  id="VR.ATO.TRT.432335" diagnostics="DVR.ATO.TRT.432335" test="not(  
                            (rvctc1.02.00:IncomeTax.BeneficiaryUnderLegalDisabilityAlsoPresentlyEntitledToIncomeFromAnotherTrust.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                            or
                            pyde.02.00:Residency.TaxPurposesPersonStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                            or
                            pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^NonResidentNoPermEstab$')]
                            )
                            and
                            not(bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                         )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432097
            
            IF [TRT79] > 0 AND ([TRT76] = NULL AND [TRT77] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT76] = TRT:RP.JAUS.Prim:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT79] = TRT:RP.JAUS.Prim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
        -->

<assert  id="VR.ATO.TRT.432097" diagnostics="DVR.ATO.TRT.432097" test="not(                              
                            bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')and number(.) &gt;0] 
                            and 
                            not( bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                            and 
                            not( bafpr1.02.13:Income.TrustShareNet.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                          )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432092
            
            IF ([TRT49] > 0) AND [TRT74] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT74] = TRT:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
        -->

<assert  id="VR.ATO.TRT.432092" diagnostics="DVR.ATO.TRT.432092" test="not(   
                            (
                            number(sum(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            )
                            and  not(rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432202
            
            IF [TRT140] < [TRT141] 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT140] = TRT:RP.JFOREIGN:bafpr1.02.04:Income.Other.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
        -->

<assert  id="VR.ATO.TRT.432202" diagnostics="DVR.ATO.TRT.432202" test="not(   
                        round(xs:decimal(100*sum(bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt;
                        round(xs:decimal(100*sum(bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')])))
                     )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432353
            
            IF [TRT81] > 0 AND [TRT436] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [TRT436] = TRT:RP.JAUS.NonPrim:pyde.02.05:Party.TrustType.Code
        -->

<assert  id="VR.ATO.TRT.432353" diagnostics="DVR.ATO.TRT.432353" test="not(   
                            sum($TRT81) &gt; 0 
                            and 
                            not($TRT436)
                     )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432356
            
            IF [TRT355] = FALSE AND ([TRT356] > 0 OR [TRT357] > 0 OR ([TRT358] <> 0 AND [TRT358] <> NULL) OR [TRT359] > 0) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT355] = TRT:RP:rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
            [TRT356] = TRT:RP.TOFA:bafpr1.02.04:Income.GainsTotal.Amount
            [TRT357] = TRT:RP.TOFA:bafpr1.02.04:Expense.LossesTotal.Amount
            [TRT358] = TRT:RP.TOFA:bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount
            [TRT359] = TRT:RP.TOFA:bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount
        -->

<assert  id="VR.ATO.TRT.432356" diagnostics="DVR.ATO.TRT.432356" test="not(   
                        rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                        and(sum(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 or
                            sum(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 or
                            bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] or
                            sum(bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)
                      )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432137
          
            Franking credit cannot be greater than 48% of dividends-franked amount. 
         
            IF [TRT98] > 0 AND (([TRT97] * 0.48) < ([TRT98] - 1)) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT97] = TRT:RP.JAUS:bafpr1.02.00:Income.DividendsFranked.Amount
            [TRT98] = TRT:RP.JAUS:rvctc1.02.03:IncomeTax.FrankingCredits.Amount

        -->
  
        <assert  id="VR.ATO.TRT.432137" diagnostics="DVR.ATO.TRT.432137" test="not( 
                            number(sum(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            and
                            (
                                round(xs:decimal(sum(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) * 0.48)) * 100 
                                &lt;
                                round(xs:decimal(sum(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) - 1)) * 100
                            )
                      
                     )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432337
          
            IF [TRT245] = "NonResidentNoPermEstab" AND [TRT246] = NULL 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT245] = TRT:RP:pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code
            [TRT246] = TRT:RP:rvctc4.02.00:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount
        -->

<assert  id="VR.ATO.TRT.432337" diagnostics="DVR.ATO.TRT.432337" test="not(   
                            matches(pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(NonResidentNoPermEstab)$')
                            and
                            not(rvctc4.02.00:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432276
            
            IF [TRT195] > 12 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT195] = TRT:RP:rvctc2.02.00:IncomeTax.MedicareLevy.DependentChildrenAndStudents.Count
        -->

<assert  id="VR.ATO.TRT.432276" diagnostics="DVR.ATO.TRT.432276" test="not(                      
                          sum(rvctc2.02.00:IncomeTax.MedicareLevy.DependentChildrenAndStudents.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;12
                         )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432352
                
            IF [TRT77] > 0 AND [TRT353] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT353] = TRT:RP.JAUS.Prim:pyde.02.05:Party.TrustType.Code
            -->

<assert  id="VR.ATO.TRT.432352" diagnostics="DVR.ATO.TRT.432352" test="not(
                            sum($TRT77) &gt; 0
                            and
                            not($TRT353)                       
                         )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432095
            
            IF ([TRT75] <> NULL) AND ([TRT75] < 0.50)
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT75] = TRT:RP.JAUS:bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount

            -->

<assert  id="VR.ATO.TRT.432095" diagnostics="DVR.ATO.TRT.432095" test="not(                      
                        bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        xs:decimal(round(100 * sum(bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt; (0.50 * 100)
                     )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432259
            
            IF [TRT183] > 0 AND [TRT183] > [TRT64] 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT64] = TRT:RP.JAUS:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
            [TRT183] = TRT:RP.JFOREIGN:bafpr1.02.04:Expense.Royalties.Amount
        -->

<assert  id="VR.ATO.TRT.432259" diagnostics="DVR.ATO.TRT.432259" test="not(                      
                             sum(bafpr1.02.04:Expense.Royalties.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;0
                               and 
                             ( round(xs:decimal(100*sum(bafpr1.02.04:Expense.Royalties.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                               &gt;
                               round(xs:decimal(100*sum(bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                              )
                        )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432263
            
            IF [TRT187] = SET(""D"", ""'X"") AND ([TRT186] = 0 OR [TRT186] = NULL) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT186] = TRT:RP.Closing(Instant):rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount
            [TRT187] = TRT:RP:rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Code
        -->

<assert  id="VR.ATO.TRT.432263" diagnostics="DVR.ATO.TRT.432263" test="not(
                            rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Code
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(D|X)$')]
                            and
                            (
                                not (rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount
                                [@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])
                                or
                                 sum(rvctc1.02.00:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount
                                [@contextRef = $RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            )  
                    )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432634

            IF [TRT439] > 0 AND [TRT97] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT97] = TRT:RP.JAUS:bafpr1.02.00:Income.DividendsFranked.Amount
            [TRT439] = TRT:RP.JAUS:rvctc2.02.06:IncomeTax.Deduction.DistributionFranked.Amount
        -->

<assert  id="VR.ATO.TRT.432634" diagnostics="DVR.ATO.TRT.432634" test="not(
                        sum(rvctc2.02.06:IncomeTax.Deduction.DistributionFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                            &gt; 0
                        and
                        not(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                       )"></assert>
                       
<!--
            Rule ID: VR.ATO.TRT.432138
            
            IF [TRT97] > 0 AND [TRT98] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT97] = TRT:RP.JAUS:bafpr1.02.00:Income.DividendsFranked.Amount
            [TRT98] = TRT:RP.JAUS:rvctc1.02.03:IncomeTax.FrankingCredits.Amount
        -->

<assert  id="VR.ATO.TRT.432138" diagnostics="DVR.ATO.TRT.432138" test="not(
                        sum(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        not(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                       )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432227
            
            IF [TRT156] <> NULL AND  [TRT157] < [TRT156]
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT156] = TRT:RP.Closing(Instant):bafpo1.02.00:Assets.CurrentTotal.Amount
            [TRT157] = TRT:RP.Closing(Instant):bafpo1.02.00:Assets.Total.Amount
        -->

<assert  id="VR.ATO.TRT.432227" diagnostics="DVR.ATO.TRT.432227" test="not(
                       bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]
                       and(
                           round(xs:decimal(100*sum( bafpo1.02.00:Assets.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                           &lt;
                           round(xs:decimal(100*sum( bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          )
                      )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432230
            
            IF [TRT158] <> NULL AND [TRT159] < [TRT158]
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT158] = TRT:RP.Closing(Instant):bafpo1.02.00:Liabilities.CurrentTotal.Amount
            [TRT159] = TRT:RP.Closing(Instant):bafpo1.02.00:Liabilities.Total.Amount
        -->

<assert  id="VR.ATO.TRT.432230" diagnostics="DVR.ATO.TRT.432230" test="not(
                       bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]
                       and(
                           round(xs:decimal(100*sum( bafpo1.02.00:Liabilities.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                           &lt;
                           round(xs:decimal(100*sum( bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          )
                      )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432238
            
            IF ([TRT169] <> NULL) AND ([TRT168] = NULL OR [TRT168] = 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT168] = TRT:RP.Closing(Instant):bafpo7.02.04:Assets.Inventories.Total.Amount
            [TRT169] = TRT:RP.Closing(Instant):bafpo7.02.02:Assets.Inventories.ValuationMethod.Code
        -->

<assert  id="VR.ATO.TRT.432238" diagnostics="DVR.ATO.TRT.432238" test="not(
                       count(bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                        and
                        sum(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                       )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432240
            
            IF ([TRT169] = NULL) AND ([TRT168] >0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT168] = TRT:RP.Closing(Instant):bafpo7.02.04:Assets.Inventories.Total.Amount
            [TRT169] = TRT:RP.Closing(Instant):bafpo7.02.02:Assets.Inventories.ValuationMethod.Code
        -->

<assert  id="VR.ATO.TRT.432240" diagnostics="DVR.ATO.TRT.432240" test="not(
                       count(bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                        and
                        sum(bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                       )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432241
            
            IF [TRT170] <> NULL AND ([TRT156] < [TRT170])
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT156] = TRT:RP.Closing(Instant):bafpo1.02.00:Assets.CurrentTotal.Amount
            [TRT170] = TRT:RP.Closing(Instant):bafpo1.02.00:Assets.TradeandReceivablesOther.Amount
        -->

<assert  id="VR.ATO.TRT.432241" diagnostics="DVR.ATO.TRT.432241" test="not(
                       count(bafpo1.02.00:Assets.TradeandReceivablesOther.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                        and
                        ( round(xs:decimal(100*sum(bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt; round(xs:decimal(100*sum(bafpo1.02.00:Assets.TradeandReceivablesOther.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                       )"></assert>

<!--
            Rule ID: VR.ATO.TRT.432243
            
            IF [TRT171] <> NULL AND ([TRT158] < [TRT171])
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT158] = TRT:RP.Closing(Instant):bafpo1.02.00:Liabilities.CurrentTotal.Amount
            [TRT171] = TRT:RP.Closing(Instant):bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount
        -->

<assert  id="VR.ATO.TRT.432243" diagnostics="DVR.ATO.TRT.432243" test="not(
                       count(bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                        and
                        ( round(xs:decimal(100*sum(bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt; round(xs:decimal(100*sum(bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                       )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432245
            
            IF [TRT173] <> NULL AND ([TRT172] = 0 OR [TRT172] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT172] = TRT:RP:lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount
            [TRT173] = TRT:RP:lrla.02.05:Remuneration.WagesAndSalariesAction.Code
        -->

<assert  id="VR.ATO.TRT.432245" diagnostics="DVR.ATO.TRT.432245" test="not(
                        count(lrla.02.05:Remuneration.WagesAndSalariesAction.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0
                        and
                        round(100*sum(lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]))=0
                       )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432247
            
            IF [TRT172] > 0 AND [TRT173] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT172] = TRT:RP:lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount
            [TRT173] = TRT:RP:lrla.02.05:Remuneration.WagesAndSalariesAction.Code
        -->

<assert  id="VR.ATO.TRT.432247" diagnostics="DVR.ATO.TRT.432247" test="not(
                        count(lrla.02.05:Remuneration.WagesAndSalariesAction.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])= 0
                        and
                        round(xs:decimal(100*sum(lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) &gt;0
                       )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432597
            
            IF COUNT TUPLE(trt.0004.lodge.req.xx.xx:EmploymentTerminationPaymentDetails WHERE TUPLE ELEMENT (crigi.xx.xx:InsuranceBenefits.BeneficiaryType.Code <> SET(""D"",""O""))) > 0
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.TRT.432597" diagnostics="DVR.ATO.TRT.432597" test="not(
                         count(trt.0004.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1')
                            and ./crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[not(matches(upper-case(.),'^(D|O)$'))] ]
                            ) &gt; 0
                       )"></assert>
  
<assert  id="VR.ATO.GEN.010029" diagnostics="DVR.ATO.GEN.010029.TRT" test="not(
                        not(pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                        and
                        (
                          pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                          or pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                          or pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                        )
                      )"></assert>

  <assert  id="VR.ATO.GEN.010028" diagnostics="DVR.ATO.GEN.010028" test="not(
                        pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and(
                        not(pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')])
                        or not(pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                        or not(pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                    ))"></assert>
  
<!--        
            Rule ID: VR.ATO.TRT.432430
            
            IF COUNT TUPLE(trt.0004.lodge.req.xx.xx:OtherAustralianIncome) > 50
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.TRT.432430" diagnostics="DVR.ATO.TRT.432430" test="not(
                            count(trt.0004.lodge.req.02.00:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]) &gt; 50
                         )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432601
            
            IF COUNT TUPLE(trt.0004.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
      -->

<assert  id="VR.ATO.TRT.432601" diagnostics="DVR.ATO.TRT.432601" test="not(
                            count(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]) &gt; 1
                         )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432604
            
            IF COUNT TUPLE(trt.0004.lodge.req.xx.xx:SuperannuationIncomeStreamWithholdingPaymentDetails) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.TRT.432604" diagnostics="DVR.ATO.TRT.432604" test="not(
                            count(trt.0004.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]) &gt; 1
                         )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432605
            
            IF COUNT TUPLE(trt.0004.lodge.req.xx.xx:SuperannuationLumpSumWithholdingPaymentDetails) > 1
                RETURN VALIDATION MESSAGE
            ENDIF

        -->

<assert  id="VR.ATO.TRT.432605" diagnostics="DVR.ATO.TRT.432605" test="not(
                            count(trt.0004.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]) &gt; 1
                         )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432606
            
            IF COUNT TUPLE(trt.0004.lodge.req.xx.xx:MailRecipient) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.TRT.432606" diagnostics="DVR.ATO.TRT.432606" test="not(
                         count(trt.0004.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]) &gt; 1
                    )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432389
            
            IF COUNT TUPLE(trt.0004.lodge.req.xx.xx:OtherDeductions) > 99
                 RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.TRT.432389" diagnostics="DVR.ATO.TRT.432389" test="not(
                            count(trt.0004.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]) &gt; 99
                         )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432390
            
            IF COUNT TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary) > 130
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
<!--
<assert  id="VR.ATO.TRT.432390" diagnostics="DVR.ATO.TRT.432390" test="not(
                        count(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]) &gt; 130
                      )"></assert>
                      -->
<!--
            Rule ID: VR.ATO.TRT.432235
            
            IF ([TRT71] <> NULL OR [TRT72] <> NULL) AND (([TRT166] = 0 OR [TRT166] = NULL) AND ([TRT167] = 0  OR [TRT167] = NULL) AND ([TRT168] = 0  OR [TRT168] = NULL) AND ([TRT170] = 0 OR [TRT170] = NULL)  AND ([TRT156] = 0  OR [TRT156] = NULL) AND  ([TRT157] = 0 OR [TRT157] = NULL) AND  ([TRT171] = 0 OR [TRT171] = NULL)  AND  ([TRT158] = 0 OR [TRT158] = NULL)  AND  ([TRT159] = 0 OR [TRT159] = NULL)  AND  ([TRT172] = 0 OR [TRT172] = NULL) AND  ([TRT174] = 0 OR [TRT174] = NULL)  AND ([TRT181] = 0 OR [TRT181] = NULL))
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
            [TRT72] = TRT:RP.JAUS.NonPrim:bafpr1.02.09:Income.Net.Amount
            [TRT156] = TRT:RP.Closing(Instant):bafpo1.02.00:Assets.CurrentTotal.Amount
            [TRT157] = TRT:RP.Closing(Instant):bafpo1.02.00:Assets.Total.Amount
            [TRT158] = TRT:RP.Closing(Instant):bafpo1.02.00:Liabilities.CurrentTotal.Amount
            [TRT159] = TRT:RP.Closing(Instant):bafpo1.02.00:Liabilities.Total.Amount
            [TRT166] = TRT:RP.Opening(Instant):bafpo7.02.04:Assets.Inventories.Total.Amount
            [TRT167] = TRT:RP:bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount
            [TRT168] = TRT:RP.Closing(Instant):bafpo7.02.04:Assets.Inventories.Total.Amount
            [TRT170] = TRT:RP.Closing(Instant):bafpo1.02.00:Assets.TradeandReceivablesOther.Amount
            [TRT171] = TRT:RP.Closing(Instant):bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount
            [TRT172] = TRT:RP:lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount
            [TRT174] = TRT:RP:lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount
            [TRT181] = TRT:RP:lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount
        -->

<assert  id="VR.ATO.TRT.432235" diagnostics="DVR.ATO.TRT.432235" test="not(
                            ($TRT71 or $TRT72) 
                            and 
                               (                                                               
                                (sum($TRT166) = 0 or not($TRT166) )
                                and 
                                (sum($TRT167) = 0 or not($TRT167) )
                                and 
                                (sum($TRT168) = 0 or not($TRT168) )
                                and 
                                (sum($TRT170) = 0 or not($TRT170) )
                                and 
                                (sum($TRT156) = 0 or not($TRT156) )
                                and  
                                (sum($TRT157) = 0 or not($TRT157) )
                                and  
                                (sum($TRT171) = 0 or not($TRT171) )
                                and  
                                (sum($TRT158) = 0 or not($TRT158) )
                                and  
                                (sum($TRT159) = 0 or not($TRT159) )
                                and  
                                (sum($TRT172) = 0 or not($TRT172) )
                                and  
                                (sum($TRT174) = 0 or not($TRT174) )
                                and  
                                (sum($TRT175) = 0 or not($TRT175) )
                                and  
                                (sum($TRT176) = 0 or not($TRT176) )
                                and  
                                (sum($TRT177) = 0 or not($TRT177) )
                                and  
                                (sum($TRT178) = 0 or not($TRT178) )
                                and  
                                (sum($TRT179) = 0 or not($TRT179) )
                                and  
                                (sum($TRT180) = 0 or not($TRT180) )
                                and  
                                (sum($TRT181) = 0 or not($TRT181) )
                                and  
                                (sum($TRT182) = 0 or not($TRT182) )
                                and                               
                                (sum($TRT183) = 0 or not($TRT183) )
                                and
                                (sum($TRT184) = 0 or not($TRT184) )
                            )   
                         )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432081
            
            IF ((ANY OCCURRENCE OF([TRT218]) > 0) OR [TRT234] > 0) AND ([TRT71] = NULL AND [TRT76] = NULL AND [TRT77] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
            [TRT76] = TRT:RP.JAUS.Prim:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT234] = TRT:RP.Prim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432081" diagnostics="DVR.ATO.TRT.432081" test="not(
                            (
                             trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1') and sum(.) &gt; 0]
                             or sum(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                             )
                            and not(bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafpr1.02.13:Income.TrustShareNet.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432083
            
            IF [TRT72] = NULL AND ([TRT47] <> NULL OR [TRT49] <> NULL OR [TRT52] <> NULL OR [TRT55] <> NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT52] = TRT:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT55] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
            [TRT72] = TRT:RP.JAUS.NonPrim:bafpr1.02.09:Income.Net.Amount
        -->

<assert  id="VR.ATO.TRT.432083" diagnostics="DVR.ATO.TRT.432083" test="not(
                          not(bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                          and(
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] or
                            lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] or
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] or 
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432079
            
            IF ([TRT46] + [TRT47] + [TRT49] + [TRT50] + [TRT52] + [TRT54] + [TRT55]) - ([TRT56] + [TRT57] + [TRT58] + [TRT59] + [TRT60] + [TRT61] + [TRT62] + [TRT63] + [TRT64] + [TRT65] + [TRT66] + [TRT67] + [TRT68]) + [TRT69] + [TRT447] <> ([TRT71] + [TRT72]) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT52] = TRT:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT55] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
            [TRT56] = TRT:RP.JAUS:bafpr1.02.02:Expense.ForeignResidentWithholding.Amount
            [TRT57] = TRT:RP.JAUS:lrla.02.00:Remuneration.WagesAndSalaries.ContractorsAndConsultantsPayments.Amount
            [TRT58] = TRT:RP.JAUS:emsup.02.02:SuperannuationContribution.EmployerContributions.Amount
            [TRT59] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.CostOfSalesTotal.Amount
            [TRT60] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.BadDebtsTotal.Amount
            [TRT61] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.LeaseTotal.Amount
            [TRT62] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.RentTotal.Amount
            [TRT63] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.InterestTotal.Amount
            [TRT64] = TRT:RP.JAUS:bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount
            [TRT65] = TRT:RP.JAUS:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
            [TRT66] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount
            [TRT67] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.RepairsAndMaintenanceTotal.Amount
            [TRT68] = TRT:RP.JAUS:bafpr1.02.04:Expense.DeductibleOtherTotal.Amount
            [TRT69] = TRT:RP.JAUS:bafpr1.02.04:Income.ReconciliationAdjustmentTotal.Amount
            [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
            [TRT72] = TRT:RP.JAUS.NonPrim:bafpr1.02.09:Income.Net.Amount
            [TRT447] = TRT:RP.JAUS:bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount
        -->

<assert  id="VR.ATO.TRT.432079" diagnostics="DVR.ATO.TRT.432079" test="not(
                        round (xs:decimal( 100 * sum(
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                         -
                        round (xs:decimal( 100 * sum(
                            bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            lrla.02.00:Remuneration.WagesAndSalaries.ContractorsAndConsultantsPayments.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.CostOfSalesTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.BadDebtsTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.LeaseTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.RentTotal.Amount [@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr2.02.04:Expense.Operating.RepairsAndMaintenanceTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.04:Expense.DeductibleOtherTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        )))
                        +
                        round ( xs:decimal(100 * sum(                         
                            bafpr1.02.04:Income.ReconciliationAdjustmentTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))
                        !=
                        round ( xs:decimal(100 * sum(
                            bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                      )"></assert>
  
    <!--
            Rule ID: VR.ATO.TRT.432046
    
            IF ([TRT161] <> NULLORBLANK OR [TRT162] <> NULLORBLANK) AND ([TRT46] = NULL AND [TRT47] = NULL AND 
                          [TRT49] = NULL AND [TRT50] = NULL AND [TRT52] = NULL AND [TRT54] = NULL AND [TRT55] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT52] = TRT:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT55] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
            [TRT161] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MTR" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails)
            [TRT162] = TRT:RP:pyde.02.00:AddressDetails.Line1.Text WHERE (pyde.02.01:AddressDetails.Usage.Code = "BUS" AND pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails)
    -->

    <assert  id="VR.ATO.TRT.432046" diagnostics="DVR.ATO.TRT.432046" 
               test="not((orgname2.02.00:OrganisationNameDetails[upper-case(pyde.02.00:OrganisationNameDetails.Currency.Code
                            [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])='C' and 
                             upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code
                                [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])='MTR']
                                /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                                    [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                             or address2.02.02:AddressDetails[upper-case(pyde.02.01:AddressDetails.Usage.Code)='BUS' 
                                                       and upper-case(pyde.02.00:AddressDetails.Currency.Code)='C']
                      /pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      and(
                            not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                            not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                            not(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                            not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                            not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                            not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and
                            not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
             
                        ))"></assert>

  
<!--
            Rule ID: VR.ATO.TRT.432193
            
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] > 0) AND (SUM([TRT224]) + [TRT240] <> [TRT134] + [TRT135] + [TRT136]) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT224] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT240] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432193" diagnostics="DVR.ATO.TRT.432193" test="not(
                        round ( xs:decimal(100 * sum(
                             bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                             bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                             bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                             bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                             bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                             bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                             rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                         -
                         round ( xs:decimal(100 * sum(
                            rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                         &gt; 0
                         and
                         (   
                            round ( xs:decimal(100 * sum(
                                trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary/rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled/rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))
                         !=
                            round ( xs:decimal(100 * sum(
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))
                         )
                      )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432358
            
            IF [TRT355] = TRUE AND ([TRT356] = NULL OR [TRT356] = 0) AND ([TRT357] = NULL or [TRT357] = 0) AND ([TRT358] = NULL OR [TRT358] = 0) AND ([TRT359] = NULL OR [TRT359] = 0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT355] = TRT:RP:rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
            [TRT356] = TRT:RP.TOFA:bafpr1.02.04:Income.GainsTotal.Amount
            [TRT357] = TRT:RP.TOFA:bafpr1.02.04:Expense.LossesTotal.Amount
            [TRT358] = TRT:RP.TOFA:bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount
            [TRT359] = TRT:RP.TOFA:bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount
        -->

<assert  id="VR.ATO.TRT.432358" diagnostics="DVR.ATO.TRT.432358" test="not(
                           rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
                                        [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                           and
                           sum(
                                bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ) = 0
                      )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432298
            
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] <= 0 )
            AND (ANY OCCURRENCE OF [TRT226] <> NULL) OR [TRT242] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT130] = TRT:RP.JAus bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JForeign.CFCLC  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JForeign.CFC404  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JForeign.CFCUC  bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JForeign bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JForeign rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT226] = TRT:RP:Income.InternationalDealings.TaxOffset.Amount
            IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT242] = TRT:RP:Income.InternationalDealings.TaxOffset.Amount
            IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
        -->

<assert  id="VR.ATO.TRT.432298" diagnostics="DVR.ATO.TRT.432298" test="not(
                            round(xs:decimal(100 * sum($TRT130 | $TRT133 | $TRT134 | $TRT135 | $TRT136 | $TRT141 | $TRT143 | $TRT144))) &gt; 0
                            and 
                            sum($TRT143) &gt; 0 
                            and 
                            round(xs:decimal(100 * sum($TRT143))) &lt; round(xs:decimal(100 * sum($TRT217 | $TRT233))) 
                        )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432207

            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] > 0) AND [TRT143] > 0 AND [TRT143] < SUM([TRT217]) + [TRT233] 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT217] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT233] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432207" diagnostics="DVR.ATO.TRT.432207" test="not(
                         sum(rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                         &gt; 0
                         and
                         round(xs:decimal(100 * sum(rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) 
                         &gt; 
                         round(xs:decimal(100 *sum(
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |  
                                rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))
                     )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432307
            
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] <= 0) AND ((ANY OCCURRENCE OF [TRT217] <> NULL OR [TRT221] <> NULL)  OR ([TRT237] <> NULL OR [TRT233] <> NULL))
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT217] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT221] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT233] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT237] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432307" diagnostics="DVR.ATO.TRT.432307" test="not(
                         round(xs:decimal(100 * sum(
                                  bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                | bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                | bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                | bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                | bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                | bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]  
                                | rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                          )))
                                
                                -
                         round(xs:decimal(100 * sum(
                                rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))                               
                                &lt;= 0
                         and    (
                                trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                or
                                trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                or
                                trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                or
                                trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )
                
                      )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432140
            
            IF [TRT99] > 0 AND (([TRT96]*0.5) + 1) < [TRT99] 
                  RETURN VALIDATION MESSAGE
            ENDIF

            [TRT96] = TRT:RP.JAUS:bafpr1.02.05:Income.DividendsUnfranked.Amount
            [TRT99] = TRT:RP.JAUS:rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount
        -->

<assert  id="VR.ATO.TRT.432140" diagnostics="DVR.ATO.TRT.432140" test="not(
                            number(sum(rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                            and 
                            (round(xs:decimal(100 * sum(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            * 0.5)
                            + 1
                            &lt;
                            round(xs:decimal(100 * sum(rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                                    
                                 
                      )"></assert>

  <!--
            Rule ID: VR.ATO.TRT.432041
            
            IF ([TRT46] <> NULL OR [TRT47] <> NULL OR [TRT49] <> NULL OR [TRT50] <> NULL OR [TRT52] <> NULL OR [TRT54] <> NULL OR [TRT55] <> NULL) AND [TRT42] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT42] = TRT:RP:pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT52] = TRT:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT55] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
        -->
  
<assert  id="VR.ATO.TRT.432041" diagnostics="DVR.ATO.TRT.432041" test="not(
                            (
                                $TRT46
                                or $TRT47
                                or $TRT49
                                or $TRT50
                                or $TRT52
                                or $TRT54
                                or $TRT55
                            )
                            and
                            not($TRT42)
                      )"></assert>
  
 <!--
            Rule ID: VR.ATO.TRT.432234
            
            IF ([TRT46] <> NULL OR [TRT47] <> NULL OR [TRT49] <> NULL OR [TRT50] <> NULL OR [TRT52] <> NULL OR [TRT54] <> NULL OR [TRT55] <> NULL) AND ([TRT161] = NULLORBLANK OR [TRT162] = NULLORBLANK) 
                  RETURN VALIDATION MESSAGE
            ENDIF

            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT52] = TRT:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT55] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
            [TRT161] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = ""MTR"" AND pyde.02.00:OrganisationNameDetails.Currency.Code = ""C"") IN TUPLE(orgname2.02.00:OrganisationNameDetails)
            [TRT162] = TRT:RP:pyde.02.00:AddressDetails.Line1.Text WHERE (pyde.02.01:AddressDetails.Usage.Code = ""BUS"" AND pyde.02.00:AddressDetails.Currency.Code = ""C"") IN TUPLE(address2.02.02:AddressDetails)
        -->  

<assert  id="VR.ATO.TRT.432234" diagnostics="DVR.ATO.TRT.432234" test="not(
                            (
                                $TRT46 or
                                $TRT47 or
                                $TRT49 or
                                $TRT50 or
                                $TRT52 or
                                $TRT54 or
                                $TRT55 
                            )
                            and
                          (
                                not(
                                    orgname2.02.00:OrganisationNameDetails
                                    [
                                    upper-case(pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])='C'
                                    and
                                    upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])='MTR'
                                    and
                                    pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                    ]
                                )
                                or
                                not(
                                    address2.02.02:AddressDetails
                                    [
                                    upper-case(pyde.02.01:AddressDetails.Usage.Code)='BUS'
                                    and
                                    upper-case(pyde.02.00:AddressDetails.Currency.Code)='C'
                                    and
                                    pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                    ]                                
                                )

                            )   
                        )"></assert>

   <!--
            Rule ID: VR.ATO.TRT.432039
            
            IF [TRT42] <> NULL AND (([TRT41] = NULLORBLANK) OR([TRT46] = NULL AND [TRT47] = NULL AND [TRT49] = NULL AND
                        [TRT50] = NULL AND [TRT52] = NULL AND [TRT54] = NULL AND [TRT55] = NULL)) 
                  RETURN VALIDATION MESSAGE
            ENDIF

            [TRT41] = TRT:RP:pyde.02.05:OrganisationDetails.MainIncomeActivity.Description
            [TRT42] = TRT:RP:pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT52] = TRT:RP.JAUS.NonPrim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT55] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.Other.Amount
--> 
  
<assert  id="VR.ATO.TRT.432039" diagnostics="DVR.ATO.TRT.432039" test="not(
                        $TRT42
                        and
                        (
                            not($TRT41[string-length(normalize-space(.)) != 0])
                            
                            or
                            (
                                not($TRT46)
                                and not($TRT47)
                                and not($TRT49)
                                and not($TRT50)
                                and not($TRT52)
                                and not($TRT54)
                                and not($TRT55)
                            )
                        )
                    )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432314
            
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] <= 0 ) AND ((ANY OCCURRENCE OF [TRT226] <> NULL) OR [TRT242] <> NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT226] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT242] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432314" diagnostics="DVR.ATO.TRT.432314" test="not(
                        number(
                         round(xs:decimal(100 * sum(                
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                         -
                         round(xs:decimal(100 * sum(                             
                                rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                        )
                        &lt;= 0
                        and
                        (
                             count(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                             or
                             count(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        )
                     )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432315
            
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] > 0) AND (SUM([TRT226]) + [TRT242] <> [TRT142]) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT142] = TRT:RP.JFOREIGN:bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT226] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT242] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432315" diagnostics="DVR.ATO.TRT.432315" test="not(
                        number(
                         round(xs:decimal(100 * sum(                
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                                -
                         round(xs:decimal(100 * sum(                             
                                rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                         )))
                        )
                        &gt; 0
                        and
                        (
                          round(xs:decimal(100 * sum(                
                                  trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                  trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                          )))
                          !=
                          round(xs:decimal(100 * sum(
                              bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]
                          )))
                        )   
                     )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432134
            
            IF ([TRT99] > 0 AND [TRT96] > 0 AND [TRT97] > 0) AND ([TRT96] + (([TRT97]*0.5) + 1)) < [TRT99] 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT96] = TRT:RP.JAUS:bafpr1.02.05:Income.DividendsUnfranked.Amount
            [TRT97] = TRT:RP.JAUS:bafpr1.02.00:Income.DividendsFranked.Amount
            [TRT99] = TRT:RP.JAUS:rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount
        -->

<assert  id="VR.ATO.TRT.432134" diagnostics="DVR.ATO.TRT.432134" test="not(
                        number(sum(rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and
                        number(sum(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and
                        number(sum(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                        and
                        round(xs:decimal(100 *
                            (
                                sum(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])    
                                +
                                sum(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                                * 0.5 + 1
                            ))
                        )
                        &lt;
                        round(xs:decimal(100 * sum(
                            rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))
                            
                     )"></assert>
  
    <!--
                Rule ID: VR.ATO.TRT.432277
                
                IF [TRT196] + [TRT198] > ([TRT1]&"-06-30") - (([TRT1]-1)&"-07-01") +1
                RETURN VALIDATION MESSAGE
                ENDIF

                [TRT1] = TRT:RP:pyin.02.00:Report.TargetFinancial.Year
                [TRT196] = TRT:RP:rvctc2.02.00:IncomeTax.MedicareLevy.ExemptionFullDays.Count
                [TRT198] = TRT:RP:rvctc2.02.00:IncomeTax.MedicareLevy.ExemptionHalfDays.Count
    -->

    <let name="VR.ATO.TRT.432277_curr_year" value="number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')][1])" />
    <let name="VR.ATO.TRT.432277_prev_year" value="number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')][1]) - 1" />

    <assert  id="VR.ATO.TRT.432277" diagnostics="DVR.ATO.TRT.432277" 
                  test="not(                  
                            pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and (             
                              sum(rvctc2.02.00:IncomeTax.MedicareLevy.ExemptionFullDays.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                              rvctc2.02.00:IncomeTax.MedicareLevy.ExemptionHalfDays.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                              &gt;
                              (days-from-duration( xs:date(concat(format-number($VR.ATO.TRT.432277_curr_year,'0'), '-06-30'))- xs:date(concat(format-number($VR.ATO.TRT.432277_prev_year,'0'), '-07-01')) )  + 1)
                            )
                     )"></assert>
<!--
                Rule ID: VR.ATO.TRT.432112
                
                IF SUM([TRT222]) + [TRT238] <> [TRT86] + [TRT95] + [TRT99]
                   RETURN VALIDATION MESSAGE
                ENDIF

                [TRT86] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount
                [TRT95] = TRT:RP.JAUS:rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
                [TRT99] = TRT:RP.JAUS:rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount
                [TRT222] = TRT:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                [TRT238] = TRT:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)

        -->

<assert  id="VR.ATO.TRT.432112" diagnostics="DVR.ATO.TRT.432112" test="not(
                        round(xs:decimal(100 * sum(                
                                trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))
                        !=
                        round(xs:decimal(100 * sum(
                                rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))
                     )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432070
                
                IF [TRT65] < ([TRT189] + [TRT190])
                    RETURN VALIDATION MESSAGE
                ENDIF

                [TRT65] = TRT:RP.JAUS:bafpr1.02.04:Expense.DepreciationandAmortisation.Amount
                [TRT189] = TRT:RP.LowCost:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
                [TRT190] = TRT:RP.GeneralPool:bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
        -->

<assert  id="VR.ATO.TRT.432070" diagnostics="DVR.ATO.TRT.432070" test="not(
                        round(xs:decimal(100 * sum(bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt;
                        round(xs:decimal(100 * sum(bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[@contextRef=$RP.GeneralPool.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                                  |bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[@contextRef=$RP.LowCost.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))
                      )"></assert>
  
<!--           
                Rule ID: VR.ATO.TRT.432086
                
                IF [TRT73] > 0 AND [TRT73] > (([TRT46] + [TRT47]) *0.50) + 1 
                    RETURN VALIDATION MESSAGE
                ENDIF

                [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
                [TRT47] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
                [TRT73] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
        -->

<assert  id="VR.ATO.TRT.432086" diagnostics="DVR.ATO.TRT.432086" test="not(
                            sum(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            and
                            round(xs:decimal(100 * sum(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            &gt;
                           round(xs:decimal(100 * 
                                    ((sum
                                        (lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                         lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                        )
                                        * 0.5
                                    ) 
                                    + 1)
                            ))
                            
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432342

                IF SUM([TRT342]) + [TRT343] <> [TRT340] 
                   RETURN VALIDATION MESSAGE
                ENDIF

                [TRT340] = TRT:RP:gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
                [TRT342] = TRT:RP:gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                [TRT343] = TRT:RP:gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432342" diagnostics="DVR.ATO.TRT.432342" test="not(
                          round(xs:decimal(100 * sum(
                            trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                            trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                            )))
                            !=
                            round(xs:decimal(100 * sum(
                               gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )))                       
                         )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432091
                
                IF [TRT74] > 0 AND [TRT74] > ([TRT49] *0.50 + 1)
                    RETURN VALIDATION MESSAGE
                ENDIF

                [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
                [TRT74] = TRT:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
            -->

<assert  id="VR.ATO.TRT.432091" diagnostics="DVR.ATO.TRT.432091" test="not(
                        round(xs:decimal(100 * sum(rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &gt; 0
                        and
                        round(xs:decimal(100 * sum(rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &gt;                         
                        round(xs:decimal(100 *
                                (
                                  sum(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                                  * .50 + 1
                                )                    
                        ))
                         
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432093
                
                IF SUM([TRT215]) + [TRT231] <> [TRT74] + [TRT87] 
                   RETURN VALIDATION MESSAGE
                ENDIF

                [TRT74] = TRT:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
                [TRT87] = TRT:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount
                [TRT215] = TRT:RP:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                [TRT231] = TRT:RP:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432093" diagnostics="DVR.ATO.TRT.432093" test="not(
                            sum(
                                trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                            != 
                            sum(
                                rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                        )"></assert>
  
<!--            
                Rule ID: VR.ATO.TRT.432089
                
                IF SUM([TRT220]) + [TRT236] <> [TRT73] + [TRT84] 
                    RETURN VALIDATION MESSAGE
                ENDIF

                [TRT73] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                [TRT84] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount
                [TRT220] = TRT:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                [TRT236] = TRT:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432089" diagnostics="DVR.ATO.TRT.432089" test="not(
                        round(xs:decimal(100 * sum(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                        /rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                                                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                                    trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                        /rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount 
                                                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))
                        !=
                        round(xs:decimal(100 * sum(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                                                        [@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |    
                                                    rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount
                                                        [@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))                                                                                    
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432578

                IF [TRT418] <> (SUM([TRT419]) + [TRT435])
                   RETURN VALIDATION MESSAGE
                ENDIF

                [TRT418] = TRT:RP.JAUS:rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
                [TRT419] = TRT:RP:rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                [TRT435] = TRT:RP:rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432578" diagnostics="DVR.ATO.TRT.432578" test="not(
                        round(xs:decimal(100 * sum(
                                            rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
                                                [@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))
                        !=
                        round(xs:decimal(100 * sum(
                                            trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount
                                                    [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                            trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount 
                                                    [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )))
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432179
                
                IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] > 0) AND ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] - [TRT144] <> SUM([TRT218]) + [TRT234] + SUM([TRT219]) + [TRT235] + SUM([TRT442]) + [TRT444] + SUM([TRT223]) + [TRT239] + [TRT446] +SUM([TRT224]) + [TRT240] + SUM([TRT225]) + [TRT241])
                   RETURN VALIDATION MESSAGE
                ENDIF

                [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
                [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
                [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
                [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
                [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
                [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
                [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
                [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
                [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                [TRT223] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                [TRT224] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                [TRT225] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                [TRT234] = TRT:RP.Prim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                [TRT235] = TRT:RP.NonPrim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                [TRT239] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                [TRT240] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                [TRT241] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
                [TRT444] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
                [TRT446] = TRT:RP:rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount
            -->

<assert  id="VR.ATO.TRT.432179" diagnostics="DVR.ATO.TRT.432179" test="not(
                            (
                                 sum(
                                            bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                            bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                            bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |                            
                                            bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                            rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')])
                                -
                                sum(
                                            rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            )                                                       
                            &gt; 0
                            and
                            round(xs:decimal(100 *
                                    (
                                        sum(
                                                    bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                                    bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                                    bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                                    bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |                            
                                                    bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')] |                            
                                                    bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')])
                                        -
                                        sum(
                                                    rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                                    )
                            ))
                            !=
                            round(xs:decimal(100 *
                                sum(
                                            trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                           
                                            trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')] |
                      
                                            trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')] |
                     
                                            trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')] |                                                                                        

                                            trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]   |
             
                                            trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]   |
   
                                            trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |    
                    
                                            trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |    

                                            rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |                           
     
                                            trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |    
                    
                                            trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |    
                                                
                                            trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                                /bafpr3.02.02:Income.InternationalDealings.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                                
                                            trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled
                                                /bafpr3.02.02:Income.InternationalDealings.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] )
                                      ))              
                         )"></assert>
  
    <!--
        Rule ID: VR.ATO.TRT.432110
      
        IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] > 0) 
        
        AND (
                SUM([TRT221]) + [TRT237] 
                <> 
                (
                    [TRT85] + [TRT98] + [TRT143]
                )
                +/- 1
         ) 
        
           RETURN VALIDATION MESSAGE
           
        ENDIF
                

        [TRT85] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
        [TRT98] = TRT:RP.JAUS:rvctc1.02.03:IncomeTax.FrankingCredits.Amount
        [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
        [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
        [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
        [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
        [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
        [TRT221] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        [TRT237] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
  
  
  -->
    <assert id="VR.ATO.TRT.432110" diagnostics="DVR.ATO.TRT.432110" 
            test="not(
                    round(xs:decimal(100 * (sum ($TRT130 | $TRT133 | $TRT134 | $TRT135 | $TRT136 | $TRT141 |$TRT143) - sum($TRT144)))) 
                    &gt; 
                    0
                    and 
                    abs(
                        round(xs:decimal(100 * sum($TRT221 | $TRT237))) 
                        -
                        round(xs:decimal(100 * sum($TRT85  | $TRT98 )))
                    )&gt;100
                )"/>

<!--
                Rule ID: VR.ATO.TRT.432180
                
                IF [TRT130] <> ([TRT71] + [TRT72] + [TRT76] + [TRT77] - [TRT79] + [TRT80] + [TRT81] - [TRT83] + [TRT437] - [TRT438] + [TRT89] - [TRT90] - [TRT91] - [TRT92] + [TRT93] + [TRT94] + [TRT96] + [TRT97] + [TRT98] + [TRT105] + SUM([TRT109]) + SUM([TRT111]) + (SUM([TRT113]) * 0.05) + [TRT115] + [TRT116] + [TRT117] + [TRT118] + [TRT119] + [TRT100] + [TRT101] + [TRT102] + [TRT103] + SUM([TRT121]) - ([TRT123] + [TRT439] + [TRT124] + SUM([TRT129]))) +/- 1 
                   RETURN VALIDATION MESSAGE
                ENDIF

                [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
                [TRT72] = TRT:RP.JAUS.NonPrim:bafpr1.02.09:Income.Net.Amount
                [TRT76] = TRT:RP.JAUS.Prim:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
                [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
                [TRT79] = TRT:RP.JAUS.Prim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
                [TRT80] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
                [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
                [TRT83] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
                [TRT89] = TRT:RP.JAUS:bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount
                [TRT90] = TRT:RP.JAUS:bafpr1.02.05:Expense.Interest.Amount
                [TRT91] = TRT:RP.JAUS:bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
                [TRT92] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
                [TRT93] = TRT:RP.JAUS:bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount
                [TRT94] = TRT:RP.JAUS:bafpr2.02.02:Income.Interest.Gross.Amount
                [TRT96] = TRT:RP.JAUS:bafpr1.02.05:Income.DividendsUnfranked.Amount
                [TRT97] = TRT:RP.JAUS:bafpr1.02.00:Income.DividendsFranked.Amount
                [TRT98] = TRT:RP.JAUS:rvctc1.02.03:IncomeTax.FrankingCredits.Amount
                [TRT100] = TRT:RP.JAUS:emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentTaxedElement.Amount WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = ""O"") IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails)
                [TRT101] = TRT:RP.JAUS:emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = ""O"") IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails)
                [TRT102] = TRT:RP.JAUS:emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = ""D"") IN TUPLE(trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails)
                [TRT103] = TRT:RP.JAUS:emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = ""O"") IN TUPLE(trt.0003.lodge.req.02.00:EmploymentTerminationPaymentDetails)
                [TRT105] = TRT:RP.JAUS:gfapc.02.01:Pension.Total.Amount
                [TRT109] = TRT:RP.JAUS:lrla.02.00:Remuneration.IndividualNonBusinessGross.Amount IN TUPLE(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
                [TRT111] = TRT:RP.JAUS:lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount IN TUPLE(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
                [TRT113] = TRT:RP.JAUS:lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount IN TUPLE(trt.0003.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
                [TRT115] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails)
                [TRT116] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails)
                [TRT117] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount IN TUPLE(trt.0003.lodge.req.02.00:LumpSumInArrears) IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails)
                [TRT118] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount IN TUPLE(trt.0003.lodge.req.02.00:LumpSumInArrears) IN TUPLE(trt.0003.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails)
                [TRT119] = TRT:RP.JAUS:lrla.02.00:Remuneration.BonusesAndAllowances.Amount
                [TRT121] = TRT:RP.JAUS:bafpr1.02.04:Income.Other.Amount IN TUPLE(trt.0003.lodge.req.02.00:OtherAustralianIncome)
                [TRT123] = TRT:RP.JAUS:bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount
                [TRT124] = TRT:RP.JAUS:bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
                [TRT129] = TRT:RP.JAUS:bafpr1.02.04:Expense.DeductibleOther.Amount IN TUPLE(trt.0003.lodge.req.02.00:OtherDeductions)
                [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
                [TRT437] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
                [TRT438] = TRT:RP.JAUS.NonPrim:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount
                [TRT439] = TRT:RP.JAUS:rvctc2.02.06:IncomeTax.Deduction.DistributionFranked.Amount
        -->
  
<assert  id="VR.ATO.TRT.432180" diagnostics="DVR.ATO.TRT.432180" test="not(
                        abs(
                          round(xs:decimal(100 * sum(bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                          -
                          (
                              round(xs:decimal(100 * (sum(
                                 bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.13:Income.TrustShareNet.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                                
                                |bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                            
                                |bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                            
                                |bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |gfapc.02.01:Pension.Total.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0004.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /lrla.02.00:Remuneration.IndividualNonBusinessGross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0004.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0004.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0004.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0004.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /trt.0004.lodge.req.02.00:LumpSumInArrears[not(@i:nil='true' or @i:nil='1')]
                                     /rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                                 
                                |trt.0004.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /trt.0004.lodge.req.02.00:LumpSumInArrears[not(@i:nil='true' or @i:nil='1')]
                                     /rvctc2.02.00:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |lrla.02.00:Remuneration.BonusesAndAllowances.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                    
                                |trt.0004.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentTaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                               
                                |trt.0004.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                   /emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0004.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1') 
                                   and ./crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]='D']
                                     /emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0004.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1') 
                                   and ./crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]='O']
                                     /emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |trt.0004.lodge.req.02.00:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]
                                   /bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                              ))))                          
                              +
                              round(xs:decimal(100 * (sum(
                                trt.0004.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]
                                  /lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                              )) * 0.05))
                              -
                              round(xs:decimal(100 * (sum(
                                 bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                |bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                            
                                |bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |rvctc2.02.06:IncomeTax.Deduction.DistributionFranked.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                                |bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]                               
                                |trt.0004.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]
                                  /bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                              ))))
                          )  
                        ) &gt; 100
                      )"></assert>

<assert  id="VR.ATO.GEN.432417" diagnostics="DVR.ATO.GEN.432417.TRT" test="not(
                        not($INT.ContextId)
                        and
                        not(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId 
                            and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                      )"></assert>
<!--
                Rule ID: VR.ATO.TRT.432419
                
                IF COUNT TUPLE(trt.0004.lodge.req.xx.xx:EmploymentTerminationPaymentDetails WHERE TUPLE ELEMENT crigi.xx.xx:InsuranceBenefits.BeneficiaryType.Code = ""D"") > 1
                    RETURN VALIDATION MESSAGE
                ENDIF
        -->

<assert  id="VR.ATO.TRT.432419" diagnostics="DVR.ATO.TRT.432419" test="not(
                        count(trt.0004.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1')]/
                        crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[not(@i:nil='true' or @i:nil='1') and . = 'D']) &gt; 1
                    )"></assert>

  <!--
                Rule ID: VR.ATO.TRT.432013
  
                IF [TRT24] <> NULLORBLANK AND [TRT20] <> NULLORBLANK 
                    RETURN VALIDATION MESSAGE
                ENDIF
            
                [TRT24] = TRT:RP:OrganisationNameDetails.OrganisationalName.Text WHERE 
                          ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") AND 
                          (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
                          IN TUPLE(orgname2.xx.xx:OrganisationNameDetails ) IN TUPLE(trt.0001.lodge.req.xx.xx:MailRecipient )
                [TRT20] = TRT:RP:PersonNameDetails.FamilyName.Text WHERE 
                          ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") AND 
                          (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "MailRecipient")) 
                          IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails ) IN TUPLE(trt.0001.lodge.req.xx.xx:MailRecipient )
        -->
  
<assert  id="VR.ATO.TRT.432013" diagnostics="DVR.ATO.TRT.432013" test="not(
                        trt.0004.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]
                            /orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                                    [@contextRef = $RP.ContextId 
                                     and not(@i:nil='true' or @i:nil='1')
                                     and string-length(normalize-space(.)) != 0
                                        and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'C'
                                        and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'MN' ]                       
                        and
                        trt.0004.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]
                            /prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') 
                                    and @contextRef=$RP.ContextId
                                    and string-length(normalize-space(.)) != 0
                                        and upper-case(../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'LGL' 
                                        and upper-case(../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'MAILRECIPIENT']     
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432192
                
                IF [TRT133] > 0 AND [TRT131] = FALSE 
                   RETURN VALIDATION MESSAGE
                ENDIF

                [TRT131] = TRT:RP:rvctc3.02.00:CapitalGainsTax.Event.Indicator
                [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            -->

<assert  id="VR.ATO.TRT.432192" diagnostics="DVR.ATO.TRT.432192" test="not(
                        bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                        and
                        rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                    )"></assert>
    
<!-- 
                Rule ID: VR.ATO.TRT.432031
                
                IF [TRT32] = "059" AND [TRT34] = NULL 
                   RETURN VALIDATION MESSAGE
                ENDIF

                [TRT32] = TRT:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code
                [TRT34] = TRT:RP:pyde.02.00:PersonDemographicDetails.Death.Date
        -->

<assert  id="VR.ATO.TRT.432031" diagnostics="DVR.ATO.TRT.432031" test="not(
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '059'
                        and
                        not(pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                    )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432567
                
                IF COUNT TUPLE(trt.0004.lodge.req.xx.xx:EmploymentTerminationPaymentDetails WHERE TUPLE ELEMENT crigi.xx.xx:InsuranceBenefits.BeneficiaryType.Code = ""O"") > 1
                    RETURN VALIDATION MESSAGE
                ENDIF

        -->

<assert  id="VR.ATO.TRT.432567" diagnostics="DVR.ATO.TRT.432567" test="not(
                            count(trt.0004.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1') and
                            ./crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[not(@i:nil='true' or @i:nil='1') and . = 'O']]) &gt; 1                            
                         )"></assert>
  
<!--     
                Rule ID: VR.ATO.TRT.432256
                
                IF [TRT182] > 0 AND [TRT182] > [TRT63] 
                    RETURN VALIDATION MESSAGE
                ENDIF

                [TRT63] = TRT:RP.JAUS:bafpr2.02.04:Expense.Operating.InterestTotal.Amount
                [TRT182] = TRT:RP.JFOREIGN:bafpr1.02.05:Expense.Interest.Amount
        -->

<assert  id="VR.ATO.TRT.432256" diagnostics="DVR.ATO.TRT.432256" test="not(
                        number(sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &gt; 0
                        and 
                        (
                            round(xs:decimal(100 * sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1')])))
                            &gt; 
                            round(xs:decimal(100 * sum(bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                         )
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432027
                
                IF [TRT34] <> NULL AND [TRT32] <> ""059""
                   RETURN VALIDATION MESSAGE
                ENDIF

                [TRT32] = TRT:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code
                [TRT34] = TRT:RP:pyde.02.00:PersonDemographicDetails.Death.Date
        -->

<assert  id="VR.ATO.TRT.432027" diagnostics="DVR.ATO.TRT.432027" test="not(
                        pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '059'
        )"></assert>

  <!--
                Rule ID: VR.ATO.TRT.432026
                
                IF [TRT230] <>  NULLORBLANK AND [TRT32] = "203" 
                   RETURN VALIDATION MESSAGE
                ENDIF

                [TRT32] = TRT:RP:pyde.02.03:OrganisationDetails.OrganisationType.Code
                [TRT230] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->
         
<assert  id="VR.ATO.TRT.432026" diagnostics="DVR.ATO.TRT.432026" test="not(
                        trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]
                            /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1' and string-length(normalize-space(.)) != 0)]
                        and
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '203'
                    )"></assert>

  <!--
                Rule ID: VR.ATO.TRT.432052
                
                IF [TRT74] <> NULL AND [TRT49] = NULL 
                    RETURN VALIDATION MESSAGE
                ENDIF

                [TRT49] = TRT:RP.JAUS.NonPrim:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
                [TRT74] = TRT:RP.JAUS:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount
        -->
        
<assert  id="VR.ATO.TRT.432052" diagnostics="DVR.ATO.TRT.432052" test="not(
                        rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and not (lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>

    <!--
                Rule ID: VR.ATO.TRT.432030
               
                IF [TRT34] <> NULL AND [TRT34] > (([TRT1])&"-06-30")
                    RETURN VALIDATION MESSAGE
                ENDIF

                [TRT1] = TRT:RP:pyin.02.00:Report.TargetFinancial.Year
                [TRT34] = TRT:RP:pyde.02.00:PersonDemographicDetails.Death.Date
    -->

    <assert  id="VR.ATO.TRT.432030" diagnostics="DVR.ATO.TRT.432030"
                 test="not(
                         pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                          and 
                          pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                          and 
                        function:IsDate1GreaterThanDate2(pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')], $year_end_432030)
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432087
                
                IF [TRT73] <> NULL AND [TRT46] = NULL AND [TRT47] = NULL 
                    RETURN VALIDATION MESSAGE
                ENDIF
            
                [TRT73] = TRT:RP.JAus:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                [TRT46] = TRT:RP.Prim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
                [TRT47] = TRT:RP.NonPrim.JAus:Remuneration.ABNNotQuotedPaymentGross.Amount
        -->

<assert  id="VR.ATO.TRT.432087" diagnostics="DVR.ATO.TRT.432087" test="not(
                        rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                    )"></assert>
  
<!--          
                Rule ID: VR.ATO.TRT.432054
                
                IF [TRT361] = TRUE AND ([TRT50] = 0 OR [TRT50] = NULL) 
                    RETURN VALIDATION MESSAGE
                ENDIF
            
                [TRT361] = TRT:RP.Prim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator
                [TRT50]  = TRT:RP.Prim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        -->

<assert  id="VR.ATO.TRT.432054" diagnostics="DVR.ATO.TRT.432054" test="not(
                        gfagg.02.02:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and
                        (
                            sum(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef = $RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                        )
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432055
                
                IF [TRT362] = TRUE AND ([TRT52] = 0 OR [TRT52] = NULL) 
                    RETURN VALIDATION MESSAGE
                ENDIF
            
                [TRT362] = TRT:RP.NonPrim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator
                [TRT52]  = TRT:RP.NonPrim.JAus:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        -->

<assert  id="VR.ATO.TRT.432055" diagnostics="DVR.ATO.TRT.432055" test="not(
                        gfagg.02.02:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator[@contextRef = $RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and 
                        sum(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432129
                
                IF [TRT123] > 0 AND ([TRT94] = NULL AND [TRT96] = NULL AND [TRT97] = NULL) 
                    RETURN VALIDATION MESSAGE
                ENDIF
                [TRT123] = TRT:RP.JAus:Expense.AustralianInvestmentAllowableDeduction.Amount
                [TRT94]  = TRT:RP.JAus:Income.Interest.Gross.Amount
                [TRT96]  = TRT:RP.JAus:Income.DividendsUnfranked.Amount
                [TRT97]  = TRT:RP.JAus:Income.DividendsFranked.Amount
        -->

<assert  id="VR.ATO.TRT.432129" diagnostics="DVR.ATO.TRT.432129" test="not(
                        sum(bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                        and(    not(bafpr2.02.02:Income.Interest.Gross.Amount    [@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and not(bafpr1.02.00:Income.DividendsFranked.Amount  [@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]))
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432131
                
                IF [TRT95] > 0 AND ([TRT94] * 0.5) <= [TRT95] 
                    RETURN VALIDATION MESSAGE
                ENDIF
            
                [TRT95] = TRT:RP.JAus:rvctc1.xx.xx:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
                [TRT94] = TRT:RP.JAus:bafpr2.xx.xx:Income.Interest.Gross.Amount
        -->

<assert  id="VR.ATO.TRT.432131" diagnostics="DVR.ATO.TRT.432131" test="not(
                        sum(rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                        and
                        (
                            round(xs:decimal(100 * (sum(bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) * .5)))
                            &lt;= 
                            round(xs:decimal(100 * sum(rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        )
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432133
                
                IF [TRT99] > 0 AND ([TRT96] = 0 OR [TRT96] = NULL) AND ([TRT97] = 0 OR [TRT97] = NULL)
                    RETURN VALIDATION MESSAGE
                ENDIF
            
                [TRT99] = TRT:RP.JAus:rvctc1.xx.xx:IncomeTax.DividendsTFNAmountsWithheld.Amount
                [TRT96] = TRT:RP.JAus:bafpr1.xx.xx:Income.DividendsUnfranked.Amount
                [TRT97] = TRT:RP.JAus:bafpr1.xx.xx:Income.DividendsFranked.Amount
        -->

<assert  id="VR.ATO.TRT.432133" diagnostics="DVR.ATO.TRT.432133" test="not(
                        sum(rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                        and 0 = sum(bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and 0 = sum(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432038
            
                IF [TRT43] <> NULLORBLANK AND ([TRT42] = NULL OR [TRT41] = NULLORBLANK) 
                    RETURN VALIDATION MESSAGE
                ENDIF

                [TRT41] = TRT:RP:pyde.02.05:OrganisationDetails.MainIncomeActivity.Description
                [TRT42] = TRT:RP:pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code
                [TRT43] = TRT:RP:pyde.02.10:OrganisationDetails.ActivityEvent.Code  
            
        -->

<assert  id="VR.ATO.TRT.432038" diagnostics="DVR.ATO.TRT.432038" test="not(
                            $TRT43[string-length(normalize-space(.)) != 0] and (not($TRT42) or not($TRT41[string-length(normalize-space(.)) != 0])) 
                        )"></assert>
  
<!--
                Rule ID: VR.ATO.TRT.432148
                
                IF [TRT104] > 0 AND [TRT105] <= [TRT104]
                   RETURN VALIDATION MESSAGE
                ENDIF
            
                [TRT104] = TRT:RP.JAus:rvctc1.xx.xx:IncomeTax.AustralianGovernmentPensionsAndAllowancesTaxWithheld.Amount
                [TRT105] = TRT:RP.JAus:gfapc.xx.xx:Pension.Total.Amount
        -->

<assert  id="VR.ATO.TRT.432148" diagnostics="DVR.ATO.TRT.432148" test="not(
                        sum(rvctc1.02.00:IncomeTax.AustralianGovernmentPensionsAndAllowancesTaxWithheld.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                        and
                        xs:decimal(round(100 * sum(gfapc.02.01:Pension.Total.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                        &lt;=
                        xs:decimal(round(100 * sum(rvctc1.02.00:IncomeTax.AustralianGovernmentPensionsAndAllowancesTaxWithheld.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])))
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432024

            IF [TRT32] = "059" AND 
                ((ANY OCCURRENCE OF ([TRT214] = SET("25", "26", "27", "28", "29", "30", "34", "35", "125", "126", "127", "128", "129", "138", "139", "140"))) 
                    OR [TRT230] = SET("36", "37"))
                        RETURN VALIDATION MESSAGE
            ENDIF
            [TRT32] = TRT:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [TRT214] = TRT:RP:rvctc1.xx.xx:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT230] = TRT:RP:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
            
        -->

<assert  id="VR.ATO.TRT.432024" diagnostics="DVR.ATO.TRT.432024" test="not(
                            pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '059' and                        
                            (
                             count(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]
                                /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(25|26|27|28|29|30|34|35|125|126|127|128|129|138|139|140)$')])&gt; 0 or 
                             count(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]
                                /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(36|37)$')]) &gt; 0 
                             )                         
                        )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432025
            
            IF [TRT32] <> "059" AND (ANY OCCURRENCE OF [TRT214] = SET("11", "12", "13", "14", "111", "118", "119", "120")) 
                OR [TRT230] = SET("15", "16", "17")
                    RETURN VALIDATION MESSAGE
            ENDIF
            [TRT32] = TRT:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [TRT214] = TRT:RP:rvctc1.xx.xx:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT230] = TRT:RP:rvctc1.xx.xx:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled )
            
        -->

<assert  id="VR.ATO.TRT.432025" diagnostics="DVR.ATO.TRT.432025" test="not(
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '059' and                        
                            (count(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]
                                /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')  and matches(.,'^(11|12|13|14|111|118|119|120)$')])  &gt; 0
                                or 
                             count(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]
                                /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(15|16|17)$')])  &gt; 0
                            )                         
                        )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432028
            
            IF [TRT32] = "203" AND ANY OCCURRENCE OF([TRT214] <> SET("45", "145"))
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT32] = TRT:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [TRT214] = TRT:RP:rvctc1.xx.xx:IncomeTax.AssessmentCalculation.Code 
                IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
        -->

    <assert  id="VR.ATO.TRT.432028" diagnostics="DVR.ATO.TRT.432028" 
             test="not(
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (.='203')]
                        and                            
                      count( trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and  not(matches(.,'^(45|145)$')) ] ) &gt;  0
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432029
            
            IF [TRT32] <> "203" AND ANY OCCURRENCE OF([TRT214] = SET("45", "145"))
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT32] = TRT:RP:pyde.xx.xx:OrganisationDetails.OrganisationType.Code
            [TRT214] = TRT:RP:rvctc1.xx.xx:IncomeTax.AssessmentCalculation.Code 
                IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432029" diagnostics="DVR.ATO.TRT.432029" test="not(
                        pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '203'
                        and 
                        count(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]
                            /rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(45|145)$')] )   &gt;  0
                    )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432045
            
            IF [TRT71] <> NULL AND ([TRT46] = NULL AND [TRT50] = NULL AND [TRT54] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
            -->

<assert  id="VR.ATO.TRT.432045" diagnostics="DVR.ATO.TRT.432045" test="not(
                        bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        (
                            not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432387
            
            IF COUNT (TUPLE(trt.0004.lodge.req.xx.xx:IndividualNonBusinessWithholdingPaymentDetails)) > 20
                RETURN VALIDATION MESSAGE
            ENDIF
            -->

<assert  id="VR.ATO.TRT.432387" diagnostics="DVR.ATO.TRT.432387" test="not(
                            count(trt.0004.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]) &gt; 20
                         )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432048
            
            IF [TRT72] <> NULL AND ([TRT47] = NULL AND [TRT49] = NULL AND [TRT52] = NULL AND [TRT55] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT72] = TRT:RP.NonPrim.JAus:bafpr1.xx.xx:Income.Net.Amount
            [TRT47] = TRT:RP.NonPrim.JAus:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT49] = TRT:RP.NonPrim.JAus:lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
            [TRT52] = TRT:RP.NonPrim.JAus:gfagg.xx.xx:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT55] = TRT:RP.NonPrim.JAus:bafpr1.xx.xx:Income.Other.Amount        
        -->

<assert  id="VR.ATO.TRT.432048" diagnostics="DVR.ATO.TRT.432048" test="not(
                        bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        (
                            not(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"></assert>
<!--
            Rule Id: VR.ATO.TRT.432078
            
            IF ([TRT46] <> NULL OR [TRT50] <> NULL OR [TRT54] <> NULL) AND [TRT71] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT46] = TRT:RP.JAUS.Prim:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT50] = TRT:RP.JAUS.Prim:gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
            [TRT54] = TRT:RP.JAUS.Prim:bafpr1.02.04:Income.Other.Amount
            [TRT71] = TRT:RP.JAUS.Prim:bafpr1.02.09:Income.Net.Amount
        -->

<assert  id="VR.ATO.TRT.432078" diagnostics="DVR.ATO.TRT.432078" test="not(
                        (
                            lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]
                        )
                        and
                        not(bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432199
            
            IF ([TRT134] > 0 OR [TRT135] > 0 OR [TRT136] > 0) AND [TRT138] <> TRUE 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT134] = TRT:RP.JForeign.CFCLC:bafpr3.xx.xx:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JForeign.CFC404:bafpr3.xx.xx:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JForeign.CFCUC:bafpr3.xx.xx:Income.InternationalDealings.Attributed.Amount
            [TRT138] = TRT:RP.JForeign:bafpr3.xx.xx:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
        -->

<assert  id="VR.ATO.TRT.432199" diagnostics="DVR.ATO.TRT.432199" test="not(
                            (
                                 sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.CFCLC.JForeign.ContextId])
                                   &gt; 0
                              or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.CFC404.JForeign.ContextId])
                                   &gt; 0
                              or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.CFCUC.JForeign.ContextId])
                                   &gt; 0
                            )
                            and
                            not(bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
                                  [@contextRef = $RP.JForeign.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                          )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432085
            
            IF ([TRT46] > 0 OR [TRT47] > 0) AND [TRT73] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [TRT46] = TRT:RP.Prim.JAus:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT47] = TRT:RP.NonPrim.JAus:lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
            [TRT73] = TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
        -->

<assert  id="VR.ATO.TRT.432085" diagnostics="DVR.ATO.TRT.432085" test="not(
                        (
                            sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.Prim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.NonPrim.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        )
                        and
                        not(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432119
            
            IF [TRT89] > 0 AND ([TRT90] = NULL AND [TRT91] = NULL AND [TRT92] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT89] = TRT:RP.JAus:bafpr2.xx.xx:Income.Operating.RentalIncomeGross.Amount
            [TRT90] = TRT:RP.JAus:bafpr1.xx.xx:Expense.Interest.Amount
            [TRT91] = TRT:RP.JAus:bafpr1.xx.xx:Expense.CapitalWorksDeduction.Amount
            [TRT92] = TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        -->

<assert  id="VR.ATO.TRT.432119" diagnostics="DVR.ATO.TRT.432119" test="not(
                        sum(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) 
                          &gt; 0
                        and
                        (
                            not(bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and 
                            not(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) and 
                            not(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432103
            
            IF ([TRT85] <> NULL AND [TRT86] <> NULL) AND ([TRT80] = NULL AND [TRT81] = NULL AND [TRT83] = NULL AND [TRT437] = NULL AND [TRT438] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT80] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount
            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [TRT83] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Expense.DistributionDeductionsOther.Amount
            [TRT85] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
            [TRT86] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount
            [TRT437] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
            [TRT438] = TRT:RP.JAUS.NonPrim:rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount
        -->

<assert  id="VR.ATO.TRT.432103" diagnostics="DVR.ATO.TRT.432103" test="not(
                            ($TRT85 and $TRT86) 
                            and 
                            (
                                not($TRT80) and not($TRT81) and not($TRT83) and not($TRT437) and not($TRT438)
                            ) 
                         )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432118
            
            IF ([TRT90] > 0 OR [TRT91] > 0 OR [TRT92] > 0) AND [TRT89] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT90] = TRT:RP.JAus:bafpr1.xx.xx:Expense.Interest.Amount
            [TRT91] = TRT:RP.JAus:bafpr1.xx.xx:Expense.CapitalWorksDeduction.Amount
            [TRT92] = TRT:RP.JAus:rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
            [TRT89] = TRT:RP.JAus:bafpr2.xx.xx:Income.Operating.RentalIncomeGross.Amount
        -->

<assert  id="VR.ATO.TRT.432118" diagnostics="DVR.ATO.TRT.432118" test="not( 
                           (
                                sum(bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                                  &gt; 0
                             or sum(bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                                  &gt; 0
                             or sum(rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                                  &gt; 0
                           )
                           and
                           not(bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432339
            
            IF [TRT245] = "Resident" AND [TRT246] <> NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT245] = TRT:RP:pyde.xx.xx:Residency.TaxPurposesOrganisationStatus.Code
            [TRT246] = TRT:RP:rvctc4.xx.xx:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount
        -->

<assert  id="VR.ATO.TRT.432339" diagnostics="DVR.ATO.TRT.432339" test="not(
                        pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'Resident'
                        and
                        rvctc4.02.00:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.GEN.438019

            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator = TRUE) AND (COUNT(RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code <> NULL) = 0)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438019" diagnostics="DVR.ATO.GEN.438019.TRT" test="not(
                            $TRT454[matches(.,'^(true|1)$')]
                            and 
                            (count($TRT448) = 0)
                        )"></assert>
  
<!--
            Rule Id: VR.ATO.GEN.438021
            
            IF (COUNT(RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code <> NULL) > 0) 
                AND 
                (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator <> TRUE)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438021" diagnostics="DVR.ATO.GEN.438021.TRT" test="not(
                            (count($TRT448) &gt; 0)
                            and               
                            $TRT454[not(matches(.,'^(true|1)$'))]
                            
                        )"></assert>

<!--
            Rule Id: VR.ATO.TRT.432695
            
            IF COUNT ([TRT448]) > 19 
              RETURN VALIDATION MESSAGE
            ENDIF

            [TRT448] = TRT:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code  
        -->

<assert  id="VR.ATO.TRT.432695" diagnostics="DVR.ATO.TRT.432695" test="not(
                           count($TRT448) &gt; 19  
                          )"></assert>
<!-- 
            Rule Id: VR.ATO.GEN.438011
            
            IF (RP:bafpr1.xx.xx:Income.PersonalServicesIncomeIncluded.Indicator = FALSE) 
                AND 
                (
                    (RP:bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount <> NULL) 
                     OR 
                    (RP:bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount <> NULL) 
                     OR 
                    (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator <> NULL) 
                     OR 
                    (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator <> NULL) 
                     OR 
                    (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator <> NULL) 
                     OR 
                    (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator <> NULL) 
                     OR 
                    (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator <> NULL)
                 )
                RETURN VALIDATION MESSAGE
            ENDIF
        
             TRT155 = bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
             TRT450 = bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
             TRT451 = bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
             TRT452 = rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
             TRT453 = rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
             TRT455 = rvctc2.02.01:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
             TRT456 = rvctc2.02.01:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
             TRT457=  rvctc2.02.01:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
        -->

<assert  id="VR.ATO.GEN.438011" diagnostics="DVR.ATO.GEN.438011.TRT" test="not(
                            ($TRT155[matches(.,'^(false|0)$')]) 
                             and 
                              (
                                ($TRT450) 
                                or 
                                ($TRT451) 
                                or 
                                ($TRT452) 
                                or 
                                ($TRT453) 
                                or 
                                ($TRT455)
                                or
                                ($TRT456)
                                or
                                ($TRT457)
                              )
                        )"></assert>
  
<!--
            Rule Id: VR.ATO.GEN.438010
            
            IF (RP:bafpr1.xx.xx:Income.PersonalServicesIncomeIncluded.Indicator = TRUE) 
                AND 
                (
                 (RP:bafpr3.xx.xx:Income.PersonalServicesIncome.Total.Amount = NULL) 
                  OR 
                 (RP:bafpr3.xx.xx:Expense.PersonalServicesIncome.Deduction.Amount = NULL) 
                  OR 
                 (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator = NULL) 
                  OR 
                 (RP:rvctc2.xx.xx:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator = NULL)
                 )
              RETURN VALIDATION MESSAGE
            ENDIF
        
                TRT155 = bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
                TRT450 = bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
                TRT451 = bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
                TRT452 = rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]
                TRT453 = rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]        
         -->

<assert  id="VR.ATO.GEN.438010" diagnostics="DVR.ATO.GEN.438010.TRT" test="not(
                            ($TRT155[matches(.,'^(true|1)$')]) 
                            and
                            (
                                not($TRT450)
                                or
                                not($TRT451)
                                or
                                not($TRT452)
                                or
                                not($TRT453)
                            )
                        )"></assert>
  
 <!--
            Rule Id: VR.ATO.TRT.432105
             
            IF [TRT436] <> NULL AND ([TRT81] = NULL OR [TRT81] <= 0)
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [TRT436] = TRT:RP.JAUS.NonPrim:pyde.02.05:Party.TrustType.Code
        -->

<assert  id="VR.ATO.TRT.432105" diagnostics="DVR.ATO.TRT.432105" test="not(
                            $TRT436 and (not($TRT81) or sum($TRT81) &lt;= 0)
                         )"></assert>
<!--
            Rule Id: VR.ATO.TRT.432203

            IF ([TRT141] = NULL OR [TRT141] = 0) AND ([TRT77] + [TRT81] + [TRT437] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] < 0 )
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT77] = TRT:RP.JAUS.Prim:bafpr1.02.13:Income.TrustShareNet.Amount
            [TRT81] = TRT:RP.JAUS.NonPrim:bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT437] = TRT:RP.JAUS.NonPrim:bafpr1.02.04:Income.TrustDistributionFranked.Amount
        -->

<assert  id="VR.ATO.TRT.432203" diagnostics="DVR.ATO.TRT.432203" test="not( 
                            (not($TRT141) or sum($TRT141) = 0) 
                            and 
                            round(xs:decimal(100 * sum($TRT77 | $TRT81 | $TRT437 | $TRT133 | $TRT134 | $TRT135 | $TRT136 | $TRT141 | $TRT143))) &lt; 0 
                            
                        )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432181
            
            IF ([TRT130] + [TRT133] + [TRT134] + [TRT135] + [TRT136] + [TRT141] + [TRT143] - [TRT144] <= 0) 
               AND 
               (SUM([TRT218]) + SUM([TRT219]) + SUM([TRT442]) + SUM([TRT223]) + SUM([TRT224]) + SUM([TRT225]) + SUM([TRT217]) + [TRT233] + [TRT234] + [TRT235] + [TRT444] + [TRT239] + [TRT240] + [TRT241] + [TRT446] <> 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT130] = TRT:RP.JAUS:bafpr1.02.09:Income.Net.Amount
            [TRT133] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [TRT134] = TRT:RP.JFOREIGN.CFCLC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT135] = TRT:RP.JFOREIGN.CFC404:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT136] = TRT:RP.JFOREIGN.CFCUC:bafpr3.02.02:Income.InternationalDealings.Attributed.Amount
            [TRT141] = TRT:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [TRT143] = TRT:RP.JFOREIGN:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [TRT144] = TRT:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [TRT217] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT223] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT224] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT225] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT233] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT234] = TRT:RP.Prim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT235] = TRT:RP.NonPrim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT239] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT240] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT241] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT444] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT446] = TRT:RP:rvctc3.02.08:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount  
        -->

<assert  id="VR.ATO.TRT.432181" diagnostics="DVR.ATO.TRT.432181" test="not(
                          round(xs:decimal(100 * 
                                ( sum($TRT130 | $TRT133 | $TRT134 | $TRT135 | $TRT136 | $TRT141 | $TRT143) 
                                  - 
                                  sum($TRT144)
                                )
                            )) 
                            &lt;= 0 
                            and 
                            ((sum($TRT218)
                            + sum($TRT219) 
                            + sum($TRT442) 
                            + sum($TRT223) 
                            + sum($TRT224) 
                            + sum($TRT225) 
                            + sum($TRT217) 
                            + sum($TRT233) 
                            + sum($TRT234) 
                            + sum($TRT235) 
                            + sum($TRT444) 
                            + sum($TRT239) 
                            + sum($TRT240) 
                            + sum($TRT241) 
                            + sum($TRT446)) != 0)
                        )"></assert>
</rule>

<rule context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.GEN.434223
            
            IF (pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer <> NULLORBLANK) and 
               (ABNALGORITHM(pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer) = FALSE)
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.434223" diagnostics="DVR.ATO.GEN.434223.TRT" test="not(
                            string-length(normalize-space(.)) != 0 and not(function:ValidateABN(.))
                          )"></assert>
</rule>

<rule context="trt.0004.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.TRT.432015

            IF [TRT20] = NULLORBLANK AND [TRT24] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF 
            
            [TRT20] = TRT:RP:PersonNameDetails.FamilyName.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.PersonNameType.Code = "LGL") 
                      AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "MailRecipient")) 
                      IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails ) 
                      IN TUPLE(trt.0001.lodge.req.xx.xx:MailRecipient )
            [TRT24] = TRT:RP:OrganisationNameDetails.OrganisationalName.Text WHERE 
                      ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
                      AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.Currency.Code = "C")) 
                      IN TUPLE(orgname2.xx.xx:OrganisationNameDetails ) 
                      IN TUPLE(trt.0001.lodge.req.xx.xx:MailRecipient )
        -->

<assert  id="VR.ATO.TRT.432015" diagnostics="DVR.ATO.TRT.432015" test="not(
                        not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]
                                /pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') 
                                    and @contextRef=$RP.ContextId
                                    and string-length(normalize-space(.)) != 0
                                        and upper-case(../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'LGL' 
                                        and upper-case(../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'MAILRECIPIENT'])
                        and
                        not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')] 
                                /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') 
                                    and @contextRef=$RP.ContextId
                                    and string-length(normalize-space(.)) != 0
                                        and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId])='MN'
                                        and upper-case(../pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId])='C'])
                      )"></assert>
</rule>

<rule context="trt.0004.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.TRT.432432
            
            WHERE IN TUPLE (organisationname2.xx.xx:OrganisationNameDetails) 
            IN TUPLE (trt.0004.lodge.req.xx.xx:MailRecipient)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN") OR (pyde.xx.xx:OrganisationNameDetails.Currency.Code <> "C")
               RETURN VALIDATION MESSAGE
            ENDIF     
        -->

<assert  id="VR.ATO.TRT.432432" diagnostics="DVR.ATO.TRT.432432" test="not(   
                            upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) != 'MN'                         
                            or
                            upper-case(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'
                        )"></assert>
</rule>

<rule context="trt.0004.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.TRT.432433
            
            WHERE IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails) 
            IN TUPLE (trt.0004.lodge.req.xx.xx:MailRecipient)
            IF (pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> "LGL") 
            OR (pyde.xx.xx:PersonNameDetails.Currency.Code <> "C") 
            OR (pyde.xx.xx:PersonNameDetails.Usage.Code <> "MailRecipient")
                RETURN VALIDATION MESSAGE
            ENDIF                   
        -->

<assert  id="VR.ATO.TRT.432433" diagnostics="DVR.ATO.TRT.432433" test="not(   
                        upper-case(pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')]) != 'LGL'
                        or
                        upper-case(pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'
                        or
                        upper-case(pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) != 'MAILRECIPIENT'
                     )"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.TRT.432296
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT215] > 0 AND ([TRT218] = NULL AND [TRT219] = NULL AND [TRT442] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT215] = TRT:RP:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432296" diagnostics="DVR.ATO.TRT.432296" test="not(
                        sum(rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                    )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432347
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT344] = TRUE AND ([TRT345] = 0 OR [TRT345] = NULL) AND ([TRT346] = 0 OR [TRT346] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT344] = TRT:RP:rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT345] = TRT:RP:rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT346] = TRT:RP:rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432347" diagnostics="DVR.ATO.TRT.432347" test="not(
                        rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and sum(rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                        
                        and sum(rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                        
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432295
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF  [TRT214] <> NULL AND [TRT214] <> SET("14", "35", "120", "140") AND [TRT344] = TRUE
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT344] = TRT:RP:rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
  <assert  id="VR.ATO.TRT.432295" diagnostics="DVR.ATO.TRT.432295" 
           test="not(
                        rvctc1.02.08:IncomeTax.AssessmentCalculation.Code
                        [
                            @contextRef=$RP.ContextId 
                            and 
                            not(@i:nil='true' or @i:nil='1')
                            and
                            not(matches(.,'^(14|35|120|140)$'))
                        ]
                        and
                        rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator
                        [
                            @contextRef=$RP.ContextId 
                            and 
                            not(@i:nil='true' or @i:nil='1') 
                            and 
                            matches(.,'^(true|1)$')
                        ]
                      )"></assert>

<!--
            Rule Id: VR.ATO.TRT.432294
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT214] = SET("120", "140") AND [TRT344] = TRUE AND (([TRT200] = NULLORBLANK AND [TRT203] = NULLORBLANK) OR [TRT205] = NULLORBLANK OR [TRT207] = NULLORBLANK OR [TRT382] = NULLORBLANK OR [TRT320]<>TRUE)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT205] = TRT:RP:pyde.02.00:AddressDetails.Line1.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT207] = TRT:RP:pyde.02.00:AddressDetails.LocalityName.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT382] = TRT:RP:pyde.02.08:AddressDetails.Country.Code WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT320] = TRT:RP:pyde.02.00:AddressDetails.OverseasAddress.Indicator WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT344] = TRT:RP:rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432294" diagnostics="DVR.ATO.TRT.432294" test="not(
                         rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and (number(.) = 120 or number(.) = 140)]
                         and
                         rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                         and
                         (
                            (
                                not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                    and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'LGL'
                                    and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'Contact']
                                    /pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                                and
                                not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                                    and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'MN'
                                    and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'C']
                                    /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            )
                            or
                            not(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                /pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            or
                            not(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            or
                            not(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.08:AddressDetails.Country.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                            or
                            not(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                         )
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432293
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF ([TRT200] <> NULLORBLANK OR [TRT203] <> NULLORBLANK) AND [TRT344] <> TRUE AND [TRT214] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = ""LGL"" AND pyde.02.05:PersonNameDetails.Usage.Code = ""Contact"") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = ""MN"" AND pyde.02.00:OrganisationNameDetails.Currency.Code = ""C"") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT344] = TRT:RP:rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator IN TUPLE(trt.0003.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432293" diagnostics="DVR.ATO.TRT.432293" test="not(
                        (
                            prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')] 
                                /pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                    and string-length(normalize-space(.)) != 0 and 
                                        ../pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                            and upper-case(.)= 'LGL'] and
                                        ../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                            and upper-case(.) = 'CONTACT']]                                                         
                            or
                            orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')] 
                                /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                    and string-length(normalize-space(.)) != 0 and
                                        ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                                            and upper-case(.)='MN'] and 
                                        ../pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')
                                            and upper-case(.)='C']]
                        )
                        and 
                        not(rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator[@contextRef=$RP.ContextId 
                                and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                        and
                        not(
                            rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId 
                                and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432022
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT214] = "140" AND [TRT229] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT229] = TRT:RP:rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryTrustee.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
  <assert  id="VR.ATO.TRT.432022" diagnostics="DVR.ATO.TRT.432022" 
           test="not(
                        rvctc1.02.08:IncomeTax.AssessmentCalculation.Code
                        [
                            @contextRef=$RP.ContextId 
                            and 
                            not(@i:nil='true' or @i:nil='1') 
                            and 
                            number(.) = 140
                        ]
                        and
                        not(rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryTrustee.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432348
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT344] <> TRUE AND ([TRT345] > 0 OR [TRT346] > 0) 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT344] = TRT:RP:rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT345] = TRT:RP:rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT346] = TRT:RP:rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432348" diagnostics="DVR.ATO.TRT.432348" test="not(
                        not(rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                        and
                        (
                            sum(rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            sum(rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        )    
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432287
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT214] = SET("14", "35")  AND [TRT344] = TRUE AND [TRT211] = NULL AND [TRT200] = NULLORBLANK AND [TRT203] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT211] = TRT:RP:pyid.02.00:Identifiers.TaxFileNumber.Identifier IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT344] = TRT:RP:rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432287" diagnostics="DVR.ATO.TRT.432287" test="not(
                            rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(14|35)$')]
                            and
                            rvctc1.02.03:IncomeTax.TrustBeneficiaryStatement.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                            and
                            not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                    and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)= 'LGL']
                                    and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'CONTACT']
                                    and ./pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]]
                                    )  
                            and
                            not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                                    and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[ @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='MN']
                                    and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')and upper-case(.)='C']
                                    and ./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                    ]
                              )

                         )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432303
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF ([TRT221] > 0 OR [TRT222] > 0) AND [TRT219] = NULL AND [TRT442] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT221] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT222] = TRT:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432303" diagnostics="DVR.ATO.TRT.432303" test="not(  
                            (sum(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            sum(rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)
                            and                           
                            not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef = $RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and 
                            not(bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432290
            
            IF ANY OCCURRENCE OF [TRT214] = SET(""111"", ""118"", ""119"", ""120"", ""125"", ""126"", ""127"", ""128"", ""129"", ""138"", ""139"", ""140"") 
                AND [TRT405] = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT214] = TRT:RP:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary )
            [TRT405] = TRT:RP:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text

        -->
  <assert  id="VR.ATO.TRT.432290" diagnostics="DVR.ATO.TRT.432290" 
           test="not(   
                        rvctc1.02.08:IncomeTax.AssessmentCalculation.Code
                        [
                            @contextRef = $RP.ContextId 
                            and 
                            not(@i:nil='true' or @i:nil='1')
                            and
                            matches(.,'^(111|118|119|120|125|126|127|128|129|138|139|140)$')
                        ]
                        and
                        count(../bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432289
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT214] = SET("11", "25", "26", "27", "28", "29", "111", "125", "126", "127", "128", "129") AND [TRT213] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT213] = TRT:RP:pyde.02.00:PersonDemographicDetails.Birth.Date IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432289" diagnostics="DVR.ATO.TRT.432289" test="not(
                            rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                            and matches(.,'^(11|25|26|27|28|29|111|125|126|127|128|129)$')]
                            and
                            not(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432283
            
            WHERE IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary) 
            IF [TRT226] > 0  AND [TRT224] = NULL AND [TRT225] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT224] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT225] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT226] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432283" diagnostics="DVR.ATO.TRT.432283" test="not(
                        sum(bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        not(rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and 
                        not(bafpr3.02.02:Income.InternationalDealings.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                         )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432581
            
            WHERE IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF [TRT432] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432581" diagnostics="DVR.ATO.TRT.432581" test="not(
                         not (rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432582
            
            WHERE IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF COUNT(TUPLE prsnstrcnm3.xx.xx:PersonNameDetails) = 0 AND 
                  [TRT432] = 'I'
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432582" diagnostics="DVR.ATO.TRT.432582" test="not(
                         count(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')])  = 0
                         and 
                         rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='I']
                     )"></assert>
  
<!--  
            Rule Id: VR.ATO.TRT.432583
            
            WHERE IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF COUNT(TUPLE orgname2.xx.xx:OrganisationNameDetails) = 0 AND 
                   [TRT432] <> 'I'
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432583" diagnostics="DVR.ATO.TRT.432583" test="not(
                            count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]) = 0 and
                            rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] != 'I'
                      )"></assert>
  
<!--  
            Rule Id: VR.ATO.TRT.432584
            
            WHERE IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF ([TRT213] = NULL AND [TRT432] = 'I') THEN
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT213] = TRT:RP:pyde.02.00:PersonDemographicDetails.Birth.Date IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432584" diagnostics="DVR.ATO.TRT.432584" test="not(
                            rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'I' and 
                            not (pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--  
            Rule Id: VR.ATO.TRT.432585
            
            WHERE IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF ([TRT214] <> SET("13","34","119","139") AND [TRT432] = 'C') THEN
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432585" diagnostics="DVR.ATO.TRT.432585" test="not(
                          not(rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(13|34|119|139)$')])
                          and  
                          rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'C'
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432586
            
            WHERE IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF ([TRT214] <> ("14","35","45","120","140","145") AND [TRT432] = 'T') THEN
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432586" diagnostics="DVR.ATO.TRT.432586" test="not(
                            rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'T' and 
                            not (matches(rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')],'^(14|35|45|120|140|145)$'))
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432602
            
            WHERE IN IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF COUNT TUPLE (trt.0004.lodge.req.xx.xx:AnnualTrusteePaymentReportInformation)  > 1
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.TRT.432602" diagnostics="DVR.ATO.TRT.432602" test="not(
                         count(trt.0004.lodge.req.02.00:AnnualTrusteePaymentReportInformation) &gt; 1
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432292
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF ([TRT218] <> NULL OR [TRT219] <> NULL  OR [TRT442] <> NULL OR [TRT220] > 0 OR [TRT221] > 0 OR [TRT222] > 0 OR [TRT217] > 0) AND [TRT214] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT217] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT220] = TRT:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT221] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT222] = TRT:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432292" diagnostics="DVR.ATO.TRT.432292" test="not(
                        (
                            bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            bafpr1.02.09:Income.DistributionFranked.Amountt[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            sum(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                        
                            or
                            sum(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            sum(rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            sum(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        )
                        and
                        not(rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432280
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF ([TRT200] <> NULLORBLANK OR [TRT203] <> NULLORBLANK) AND ([TRT219] + [TRT218] + [TRT442] + [TRT223] + [TRT224] + [TRT225] + [TRT217] < 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT217] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT223] = TRT:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT224] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT225] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432280" diagnostics="DVR.ATO.TRT.432280" test="not(
                        (
                            prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId] = 'LGL'
                                and ./pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId] = 'Contact']
                                /pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]
                            or
                            orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                            and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]='MN'
                            and ./pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]='C']
                                /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]
                        )
                        and sum(
                                    bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.NonPrim.ContextId] |
                                    bafpr1.02.04:Income.BeneficiaryShare.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.Prim.ContextId] |
                                    bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] |
                                    bafpr1.02.00:Income.CapitalGainsNet.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId] |
                                    rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId] |
                                    bafpr3.02.02:Income.InternationalDealings.Net.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId] |
                                    rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef=$RP.ContextId]
                            ) &lt; 0
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432300
            
            WHERE IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF ([TRT432]<>NULL OR [TRT211]<>NULLORBLANK OR [TRT212]<>NULLORBLANK OR [TRT200]<>NULLORBLANK OR [TRT201]<>NULLORBLANK OR [TRT202]<>NULLORBLANK OR [TRT203] <> NULLORBLANK OR [TRT213]<>NULL OR [TRT205]<>NULLORBLANK OR [TRT206]<>NULLORBLANK OR [TRT207]<>NULLORBLANK OR [TRT208]<>NULL OR [TRT209]<>NULL OR [TRT210]<>NULLORBLANK) AND 
            [TRT218]=NULL AND [TRT219]=NULL AND [TRT442]= NULL AND [TRT221] =NULL AND [TRT222]=NULL AND [TRT217]=NULL AND [TRT345]=NULL AND [TRT346]= NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT201] = TRT:RP:pyde.02.00:PersonNameDetails.GivenName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT202] = TRT:RP:pyde.02.00:PersonNameDetails.OtherGivenName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT205] = TRT:RP:pyde.02.00:AddressDetails.Line1.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT206] = TRT:RP:pyde.02.00:AddressDetails.Line2.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT207] = TRT:RP:pyde.02.00:AddressDetails.LocalityName.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT208] = TRT:RP:pyde.02.00:AddressDetails.StateOrTerritory.Code WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT209] = TRT:RP:pyde.02.00:AddressDetails.Postcode.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT210] = TRT:RP:pyde.02.08:AddressDetails.CountryName.Text WHERE (pyde.02.00:AddressDetails.Currency.Code = "C") IN TUPLE(address2.02.02:AddressDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT211] = TRT:RP:pyid.02.00:Identifiers.TaxFileNumber.Identifier IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT212] = TRT:RP:pyid.02.00:Identifiers.TaxFileNumberTrailingNumeric.Identifier IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT213] = TRT:RP:pyde.02.00:PersonDemographicDetails.Birth.Date IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT217] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT221] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT222] = TRT:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT345] = TRT:RP:rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT346] = TRT:RP:rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT432] = TRT:RP:rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432300" diagnostics="DVR.ATO.TRT.432300" test="not(
                        (
                            rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            pyid.02.00:Identifiers.TaxFileNumberTrailingNumeric.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'LGL'
                                and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'Contact']
                                /pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'LGL'
                                and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'Contact']
                                /pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'LGL'
                                and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] = 'Contact']
                                /pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[ @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='MN'
                                and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                            or
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                             or
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:AddressDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]='C']
                                    /pyde.02.08:AddressDetails.CountryName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        )
                        and
                        not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.02:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not( bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432302
            
            WHERE IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary) 
            IF [TRT220] > 0  AND [TRT218] = NULL AND [TRT219] = NULL  AND [TRT442] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT218] = TRT:RP.Prim:bafpr1.02.04:Income.BeneficiaryShare.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT219] = TRT:RP.NonPrim:bafpr1.02.04:Income.BeneficiaryShare.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT220] = TRT:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT442] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432302" diagnostics="DVR.ATO.TRT.432302" test="not(
                        sum(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432593
            
            IF [TRT211] <> NULL AND 
               [TRT211] = ANY OTHER OCCURRENCE OF [TRT211]
                    RETURN VALIDATION MESSAGE
            ENDIF
            [TRT211] = TRT:RP:Identifiers.TaxFileNumber.Identifier
                         IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432593" diagnostics="DVR.ATO.TRT.432593" test="not(
                        pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')
                          and . = ../preceding-sibling::trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary
                                      /pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]]
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432569
            
            WHERE IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
               IF COUNT(TUPLE prsnstrcnm3.xx.xx:PersonNameDetails) = 1 AND COUNT (TUPLE (address2.xx.xx:AddressDetails WHERE TUPLE EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "RES") AND (pyde.xx.xx:AddressDetails.Currency.Code = "C")) <> 1
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.TRT.432569" diagnostics="DVR.ATO.TRT.432569" test="not(
                         count(prsnstrcnm3.02.01:PersonNameDetails ) = 1 
                         and
                         count(
                        address2.02.02:AddressDetails
                            [   not(@i:nil='true' or @i:nil='1') and 
                                pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'RES'] and
                                pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'C']
                            ]) != 1
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432284
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT211] = NULL AND COUNT (TUPLE(address2.xx.xx:AddressDetails)) = 0
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT211] = TRT:RP:pyid.02.00:Identifiers.TaxFileNumber.Identifier IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432284" diagnostics="DVR.ATO.TRT.432284" test="not(
                        not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and count(address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]) = 0
                     )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432285
            
            IF (ANY OCCURRENCE OF[TRT211]) = RP:entity.indentifier.TFN
                RETURN VALIDATION MESSAGE
            ENDIF
            [TRT211] = TRT:RP:Identifiers.TaxFileNumber.Identifier 
                         IN TUPLE(trt.0001.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432285" diagnostics="DVR.ATO.TRT.432285" test="not(
                        pyid.02.00:Identifiers.TaxFileNumber.Identifier[. = $RP.Identifier.TFN and @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432286
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT212] <> NULLORBLANK AND [TRT211] = NULLORBLANK 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT211] = TRT:RP:pyid.02.00:Identifiers.TaxFileNumber.Identifier IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT212] = TRT:RP:pyid.02.00:Identifiers.TaxFileNumberTrailingNumeric.Identifier IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432286" diagnostics="DVR.ATO.TRT.432286" test="not(
                        pyid.02.00:Identifiers.TaxFileNumberTrailingNumeric.Identifier[@contextRef=$RP.ContextId and string-length(normalize-space(.))!=0 and not(@i:nil='true' or @i:nil='1')] 
                        and
                        not(pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and string-length(normalize-space(.))!=0] and not(@i:nil='true' or @i:nil='1'))
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432281
            
            WHERE IN 
            TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT214]  <> NULL AND ([TRT200] = NULLORBLANK AND [TRT203] = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432281" diagnostics="DVR.ATO.TRT.432281" test="not(
                        rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                       and         
                        not(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[ @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='MN']
                                and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')and upper-case(.)='C']
                                and ./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                ]
                          )
                       and                                 
                         not(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)= 'LGL']
                                and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'CONTACT']
                                and ./pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]]
                                )
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432282
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT200] <> NULLORBLANK AND [TRT203] <> NULLORBLANK 
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT200] = TRT:RP:pyde.02.00:PersonNameDetails.FamilyName.Text WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT203] = TRT:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN" AND pyde.02.00:OrganisationNameDetails.Currency.Code = "C") IN TUPLE(orgname2.02.00:OrganisationNameDetails) IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->

<assert  id="VR.ATO.TRT.432282" diagnostics="DVR.ATO.TRT.432282" test="not(
                         orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[ @contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='MN']
                                and ./pyde.02.00:OrganisationNameDetails.Currency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')and upper-case(.)='C']
                                and ./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                ]
                         and                                 
                           prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1') 
                                and ./pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)= 'LGL']
                                and ./pyde.02.05:PersonNameDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'CONTACT']
                                and ./pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                                ]
                           )"></assert>
  
<!--
            Rule Id: VR.ATO.TRT.432318
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF [TRT214] = SET("138", "139") AND [TRT228] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT214] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
            [TRT228] = TRT:RP:rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryNonTrustee.Amount IN TUPLE(trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary)
        -->
  
  <assert  id="VR.ATO.TRT.432318" diagnostics="DVR.ATO.TRT.432318" 
           test="not(                        
                        rvctc1.02.08:IncomeTax.AssessmentCalculation.Code
                        [
                            @contextRef=$RP.ContextId 
                            and 
                            not(@i:nil='true' or @i:nil='1')
                            and
                            matches(.,'^(138|139)$') 
                        ]
                        and
                        not(rvctc4.02.00:InternationalDealings.AssessableIncomeNonResidentBeneficiaryNonTrustee.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>    
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.TRT.432424
            
            WHERE IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails) IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF (pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> "LGL") OR (pyde.xx.xx:PersonNameDetails.Currency.Code <> "C") OR (pyde.xx.xx:PersonNameDetails.Usage.Code <> "Contact")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.TRT.432424" diagnostics="DVR.ATO.TRT.432424" test="not(   
                            upper-case(pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')]) != 'LGL'
                            or
                            upper-case(pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'
                            or
                            upper-case(pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) != 'CONTACT'                         
                        )"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.TRT.432422
                        
            WHERE IN TUPLE (organisationname2.xx.xx:OrganisationNameDetails) 
            IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN") OR (pyde.xx.xx:OrganisationNameDetails.Currency.Code <> "C")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.TRT.432422" diagnostics="DVR.ATO.TRT.432422" test="not(   
                            upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) != 'MN'                         
                            or
                            upper-case(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'
                        )"></assert>
</rule>

<rule context="phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.TRT.432572
            
            WHERE IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone)
            IF pyde.xx.xx:ElectronicContact.Telephone.ServiceLine.Code = ""02"" 
                AND pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number <> NULL 
                AND pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULL 
               RETURN VALIDATION MESSAGE
            ENDIF 
        -->

<assert  id="VR.ATO.TRT.432572" diagnostics="DVR.ATO.TRT.432572" test="not(
                            pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[not(@i:nil='true' or @i:nil='1')]  = '02'
                            and pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1')]
                            and not(pyde.02.00:ElectronicContact.Telephone.Area.Code[not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--
            Rule Id: VR.ATO.GEN.432016
            
            WHERE IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone)
            IF pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULL
                    OR pyde.xx.xx:ElectronicContact.Telephone.Usage.Code <> ""03"" 
                    OR pyde.xx.xx:Electronic Contact.Telephone.ServiceLine.Code <> 
                    SET (""01"", ""02"")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.432016" diagnostics="DVR.ATO.GEN.432016.SMSFAR" test="not(
                        not(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1')])
                        or  not(pyde.02.00:ElectronicContact.Telephone.Usage.Code[not(@i:nil='true' or @i:nil='1') and . = '03'])
                        or  not(pyde.02.00:ElectronicContact.Telephone.ServiceLine.Code[not(@i:nil='true' or @i:nil='1') and matches(.,'^(01|02)$')])
                      )"></assert>
</rule>

<rule context="trt.0004.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.TRT.432384
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:SuperannuationLumpSumWithholdingPaymentDetails)
            IF ([TRT100] = NULL AND [TRT101] = NULL) OR ([TRT408] <> TRUE) OR ([TRT410] <> "O")
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT100] = TRT:RP.JAUS:emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentTaxedElement.Amount WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = "O") IN TUPLE(trt.0004.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails)
            [TRT101] = TRT:RP.JAUS:emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = "O") IN TUPLE(trt.0004.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails)
            [TRT408] = TRT:RP.JAUS:crigi.02.00:InsuranceBenefits.DeathBenefit.Indicator WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = "O") IN TUPLE(trt.0004.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails)
            [TRT410] = TRT:RP.JAUS:crigi.02.00:InsuranceBenefits.BeneficiaryType.Code WHERE (crigi.02.00:InsuranceBenefits.BeneficiaryType.Code = "O") IN TUPLE(trt.0004.lodge.req.02.00:SuperannuationLumpSumWithholdingPaymentDetails)
        -->

<assert  id="VR.ATO.TRT.432384" diagnostics="DVR.ATO.TRT.432384" test="not(
                        (
                            not(emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentTaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            not(emsup.02.01:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                         )
                         or
                         not(crigi.02.00:InsuranceBenefits.DeathBenefit.Indicator[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                         or
                         not(crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(O)$')])
                     )"></assert>
</rule>

<rule context="trt.0004.lodge.req.02.00:SuperannuationIncomeStreamWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.TRT.432603
            
            WHERE IN TUPLE (trt.0001.lodge.req.xx.xx:SuperannuationIncomeStreamWithholdingPaymentDetails)
            IF COUNT TUPLE(trt.0001.lodge.req.xx.xx:LumpSumInArrears) > 1
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.TRT.432603" diagnostics="DVR.ATO.TRT.432603" test="not(
                         count(trt.0004.lodge.req.02.00:LumpSumInArrears) &gt; 1
                     )"></assert>
</rule>

<rule context="trt.0004.lodge.req.02.00:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.TRT.432164
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:OtherAustralianIncome)
            IF [TRT120] = NULLORBLANK OR [TRT121] = NULL 
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT120] = TRT:RP.JAUS:bafpr1.02.00:Income.Other.Description IN TUPLE(trt.0004.lodge.req.02.00:OtherAustralianIncome)
            [TRT121] = TRT:RP.JAUS:bafpr1.02.04:Income.Other.Amount IN TUPLE(trt.0004.lodge.req.02.00:OtherAustralianIncome)
        -->

<assert  id="VR.ATO.TRT.432164" diagnostics="DVR.ATO.TRT.432164" test="not(
                        not(bafpr1.02.00:Income.Other.Description[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        or
                        not(bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
</rule>

<rule context="trt.0004.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.TRT.432425
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:IndividualNonBusinessWithholdingPaymentDetails)
            IF [TRT108] = NULL AND [TRT109] = NULL AND [TRT110] = NULL AND [TRT111] = NULL AND [TRT112] = NULL AND [TRT113] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT108] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount IN TUPLE(trt.0004.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT109] = TRT:RP.JAUS:lrla.02.00:Remuneration.IndividualNonBusinessGross.Amount IN TUPLE(trt.0004.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT110] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveAfter15Aug78.Amount IN TUPLE(trt.0004.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT111] = TRT:RP.JAUS:lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount IN TUPLE(trt.0004.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT112] = TRT:RP.JAUS:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveBefore16Aug78.Amount IN TUPLE(trt.0004.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
            [TRT113] = TRT:RP.JAUS:lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount IN TUPLE(trt.0004.lodge.req.02.00:IndividualNonBusinessWithholdingPaymentDetails)
        -->

<assert  id="VR.ATO.TRT.432425" diagnostics="DVR.ATO.TRT.432425" test="not(
                        not(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(lrla.02.00:Remuneration.IndividualNonBusinessGross.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveAfter15Aug78.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromLumpSumForUnusedLeaveBefore16Aug78.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(lrla.02.00:Remuneration.UnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount[@contextRef = $RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
</rule>

<rule context="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.TRT.432595
            
            WHERE IN TUPLE (organisationname2.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> SET("MN", "MTR"))
             RETURN VALIDATION MESSAGE
            ENDIF           
        -->

<assert  id="VR.ATO.TRT.432595" diagnostics="DVR.ATO.TRT.432595" test="not(                            
                             pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') 
                             and not(matches(upper-case(.),'^(MN|MTR)$'))]
                        )"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule Id: VR.ATO.GEN.432391
            
            WHERE IN TUPLE (xbrli\personunstructuredname1.xx.xx:PersonUnstructuredName)
            IF INT:pyde.xx.xx:PersonUnstructuredName.Usage.Code <> ""Contact""
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.432391" diagnostics="DVR.ATO.GEN.432391.TRT" test="not(
                              not (pyde.02.05:PersonUnstructuredName.Usage.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')])
                              or
                              pyde.02.05:PersonUnstructuredName.Usage.Code[@contextRef = $INT.ContextId and upper-case(.) != 'CONTACT']
                              
                            
                      )"></assert>
</rule>

<rule context="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.430206    
    
            IF (pyin.xx.xx:Report.CompletionHours.Number <> NULL) 
                AND (pyin.xx.xx:Report.CompletionHours.Number <> SET (1-999))
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.430206" diagnostics="DVR.ATO.GEN.430206.TRT" test="number(.) &gt;=1 and number(.) &lt;=999"></assert>
</rule>

<rule context="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.GEN.436279
            
            WHERE IN TUPLE (personunstructuredname1.xx.xx:PersonUnstructuredName) IN TUPLE(declaration2.xx.xx:Declaration)
            IF pyde.xx.xx:PersonUnstructuredName.Usage.Code <> "DeclarationSignatory"
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.436279" diagnostics="DVR.ATO.GEN.436279.TRT" test="not(
                        upper-case(pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')]) != 'DECLARATIONSIGNATORY'
                      )"></assert>
</rule>

<rule context="trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TRT.432321
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled)
            IF ([TRT234] <> NULL OR [TRT235] <> NULL OR [TRT444] <> NULL OR [TRT236] > 0 OR [TRT237] > 0 OR [TRT238] > 0 OR [TRT233] > 0) AND [TRT230] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            [TRT230] = TRT:RP:rvctc1.02.08:IncomeTax.AssessmentCalculation.Code
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT233] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT234] = TRT:RP.Prim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT235] = TRT:RP.NonPrim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT236] = TRT:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT237] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT238] = TRT:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT444] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432321" diagnostics="DVR.ATO.TRT.432321" test="not(       
                            (
                            rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or 
                            bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            or
                            sum(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                            or
                            sum(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                            or
                            sum(rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0  
                            or
                            sum(IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0  
                            )
                            and
                            not(rvctc1.02.08:IncomeTax.AssessmentCalculation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                          )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432325
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:IncomeNoBeneficiaryPresentlyEntitled)
            IF ([TRT237] > 0 OR [TRT238] > 0) AND [TRT235] = NULL AND [TRT444] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT235] = TRT:RP.NonPrim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount 
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT237] = TRT:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT238] = TRT:RP:rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT444] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432325" diagnostics="DVR.ATO.TRT.432325" test="not(
                        (
                            sum(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            or
                            sum(rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        )
                        and
                        not(rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432311
            
            IF [TRT242] > 0  AND [TRT240] = NULL AND [TRT241] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT240] = TRT:RP:rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount
            IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            
            [TRT241] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.Net.Amount
            IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            
            [TRT242] = TRT:RP:bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount
            IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
        -->

<assert  id="VR.ATO.TRT.432311" diagnostics="DVR.ATO.TRT.432311" test="not(
                        sum(bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        not(rvctc1.02.00:IncomeTax.AttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and 
                        not(bafpr3.02.02:Income.InternationalDealings.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432600
            
            IF [TRT236] > 0  AND [TRT234] = NULL AND [TRT235] = NULL AND [TRT444] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT234] = TRT:RP.Prim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT235] = TRT:RP.NonPrim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount 
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT236] = TRT:RP:rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT444] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount
                       IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)        
        -->

<assert  id="VR.ATO.TRT.432600" diagnostics="DVR.ATO.TRT.432600" test="not(
                        sum(rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
                               [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0                        
                        and
                        not(rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount
                               [@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount
                               [@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(bafpr1.02.09:Income.DistributionFranked.Amount
                               [@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
  
<!--
            Rule ID: VR.ATO.TRT.432607
            
            IF [TRT231] > 0 AND ([TRT234] = NULL AND [TRT235] = NULL  AND [TRT444] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [TRT231] = TRT:RP:rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount 
                            IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT234] = TRT:RP.Prim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount    
                            IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT235] = TRT:RP.NonPrim:rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount 
                            IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)
            [TRT444] = TRT:RP:bafpr1.02.09:Income.DistributionFranked.Amount
                            IN TUPLE(trt.0004.lodge.req.02.00:IncomeNoBeneficiaryPresentlyEntitled)                            
        -->

<assert  id="VR.ATO.TRT.432607" diagnostics="DVR.ATO.TRT.432607" test="not(
                        sum(rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and not(rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.Prim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(rvctc1.02.00:IncomeTax.IncomeOrLossTaxable.Amount[@contextRef=$RP.NonPrim.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and not(bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>
</rule>

<rule context="trt.0004.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TRT.432177
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:OtherDeductions)
            IF [TRT128] <> NULLORBLANK AND ([TRT129] = 0 OR [TRT129] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [TRT128] = TRT:RP.JAUS:bafpr1.02.04:Expense.DeductibleOther.Text IN TUPLE(trt.0004.lodge.req.02.00:OtherDeductions)
            [TRT129] = TRT:RP.JAUS:bafpr1.02.04:Expense.DeductibleOther.Amount IN TUPLE(trt.0004.lodge.req.02.00:OtherDeductions)
        -->

<assert  id="VR.ATO.TRT.432177" diagnostics="DVR.ATO.TRT.432177" test="not(
                        bafpr1.02.04:Expense.DeductibleOther.Text[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                        and 
                        sum(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.JAus.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                    )"></assert>
</rule>

<rule context="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]">

<!--
            Rule ID: VR.ATO.TRT.432596
            
            WHERE IN TUPLE(xbrli/addressdetails2.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.Usage.Code <> SET("POS", "BUS"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
  
    <assert  id="VR.ATO.TRT.432596" diagnostics="DVR.ATO.TRT.432596" 
                 test="not( not(matches(upper-case(.),'^(POS|BUS)$') ) )"/>
</rule>

<rule context="trt.0004.lodge.req.02.00:StatementOfDistributionToBeneficiary[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.TRT.432599
            
            WHERE IN TUPLE (addressdetails2.xx.xx:AddressDetails) IN TUPLE (trt.0004.lodge.req.xx.xx:StatementOfDistributionToBeneficiary) 
            IF (pyde.xx.xx:AddressDetails.Usage.Code <> SET("RES", "BUS"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert id="VR.ATO.TRT.432599" diagnostics="DVR.ATO.TRT.432599" 
                test="not(                          
                         pyde.02.01:AddressDetails.Usage.Code[
                         not(@i:nil='true' or @i:nil='1')
                         and not(matches(upper-case(.),'^(RES|BUS)$'))
                         ]
                        )"/>
</rule>

<rule context="trt.0004.lodge.req.02.00:EmploymentTerminationPaymentDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.TRT.432420
            
            WHERE IN TUPLE(trt.0004.lodge.req.xx.xx:EmploymentTerminationPaymentDetails)
            IF (emsup.xx.xx:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount
                      = NULL) OR (crigi.xx.xx:InsuranceBenefits.BeneficiaryType.Code = NULL) OR
                      (crigi.xx.xx:InsuranceBenefits.DeathBenefit.Indicator <> TRUE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.TRT.432420" diagnostics="DVR.ATO.TRT.432420" test="not(  
                            not(emsup.02.01:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount[not(@i:nil='true' or @i:nil='1')])
                            or
                            not(crigi.02.00:InsuranceBenefits.BeneficiaryType.Code[ not(@i:nil='true' or @i:nil='1')])
                            or
                            not(crigi.02.00:InsuranceBenefits.DeathBenefit.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                     )"></assert>
</rule>
    
 <rule context="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]">
     <!--
                 Rule ID: VR.ATO.TRT.432694

                 IF [TRT448] <> NULL AND [TRT448] = ANY OTHER OCCURRENCE OF [TRT448]
                    RETURN VALIDATION MESSAGE
                 ENDIF

                 [TRT448] = TRT:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
     -->

     <let name="TRT448Value" value="normalize-space(.)" />
     
     <assert  id="VR.ATO.TRT.432694" diagnostics="DVR.ATO.TRT.432694"
           test="not(
                         count(../rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1') and normalize-space(.)=$TRT448Value ]) &gt; 1
                        )"></assert>    
    </rule>

  <rule context="xbrli:xbrl/address2.02.02:AddressDetails
                            [
                              not(@i:nil='true' or @i:nil='1')
                              and                               
                              pyde.02.01:AddressDetails.Usage.Code
                              [ 
                                @contextRef = $RP.ContextId 
                                and 
                                not(@i:nil='true' or @i:nil='1')
                                and 
                                upper-case(.) = 'POS'
                              ]
                              and 
                              pyde.02.00:AddressDetails.Currency.Code
                              [
                                @contextRef = $RP.ContextId 
                                and 
                                not(@i:nil='true' or @i:nil='1')
                                and 
                                upper-case(.) = 'P'
                              ]
                            ]">

    <!-- 
                Rule ID: VR.ATO.TRT.432014

                IF ([TRT14] = [TRT9] AND [TRT312] = [TRT306] AND [TRT15] = [TRT10] AND [TRT16] = [TRT11] AND [TRT17] = [TRT12]) 
                    RETURN VALIDATION MESSAGE
                ENDIF
            
                [TRT14] = TRT:RP:AddressDetails.Line1.Text WHERE 
                          ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                          (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "P")) 
                          IN TUPLE(address2.xx.xx:AddressDetails )
                [TRT9]  = TRT:RP:AddressDetails.Line1.Text WHERE 
                          ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                          (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                          IN TUPLE(address2.xx.xx:AddressDetails )
               [TRT312] = TRT:RP:AddressDetails.Line2.Text WHERE 
                          ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                          (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "P")) 
                          IN TUPLE(address2.xx.xx:AddressDetails )
               [TRT306] = TRT:RP:AddressDetails.Line2.Text WHERE 
                          ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                          (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                          IN TUPLE(address2.xx.xx:AddressDetails )
                [TRT15] = TRT:RP:AddressDetails.LocalityName.Text WHERE 
                          ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                          (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "P")) 
                          IN TUPLE(address2.xx.xx:AddressDetails )
                [TRT10] = TRT:RP:AddressDetails.LocalityName.Text WHERE 
                          ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                          (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                          IN TUPLE(address2.xx.xx:AddressDetails )
                [TRT16] = TRT:RP:AddressDetails.StateOrTerritory.Code WHERE 
                          ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                          (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "P")) 
                          IN TUPLE(address2.xx.xx:AddressDetails )
                [TRT11] = TRT:RP:AddressDetails.StateOrTerritory.Code WHERE 
                          ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                          (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                          IN TUPLE(address2.xx.xx:AddressDetails )
                [TRT17] = TRT:RP:AddressDetails.Postcode.Text WHERE 
                          ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                          (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "P")) 
                          IN TUPLE(address2.xx.xx:AddressDetails )
                [TRT12] = TRT:RP:AddressDetails.Postcode.Text WHERE 
                          ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") AND 
                          (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
                          IN TUPLE(address2.xx.xx:AddressDetails )
      -->

    <assert  id="VR.ATO.TRT.432014" diagnostics="DVR.ATO.TRT.432014" test="not(
             (
             (($TRT14[upper-case(normalize-space(.))])[1]) = (($TRT9[upper-case(normalize-space(.))])[1]) 
             )
             and 
             (
             (($TRT312[upper-case(normalize-space(.))])[1]) = (($TRT306[upper-case(normalize-space(.))])[1])
             )
             and 
             (
             (($TRT15[upper-case(normalize-space(.))])[1]) = (($TRT10[upper-case(normalize-space(.))])[1]) 
             )
             and 
             (
             (($TRT16[upper-case(normalize-space(.))])[1]) = (($TRT11[upper-case(normalize-space(.))])[1]) 
             )
             and 
             (
             (($TRT17[upper-case(normalize-space(.))])[1]) = (($TRT12[upper-case(normalize-space(.))])[1])
             )
             )">

    </assert>
  </rule>
</pattern>